v7.69 - April 12 2026
  + Automation items: when loading from file via menu, fix potentially loading wrong file
  + CLAP: fix crash when scanning presets for plugins that are bundled into a single library [t=308256]
  + Project templates: fix potential duplicate menu items when using subdirectories [t=308249]

v7.68 - April 9 2026
  + Actions: add action to close and re-open audio/MIDI devices
  + Actions window: add 'New custom action' to list context menu
  + Batch converter: fix preserving source start position when converting from file [t=308155]
  + Big clock: display region/marker number within colored square if the number is displayed in the ruler [t=307921]
  + CLAP: update to version 1.2.7
  + CLAP: support loading factory presets
  + CLAP: support saving/loading presets to file
  + CLAP: display plug-in state size in compatibility submenu
  + CLAP: do not re-scan file presets when loading multiple instances of the same plugin
  + CLAP: request draft versions of extensions from plugins, if the draft is compatible with the final version
  + Cues: when embedding cues from project markers, do not include cues that are immediately outside of the region
  + Cues: when embedding cues from project markers during recording, fix sample rounding issues in certain instances
  + Dockers: add configuration for compact single-window mode in Preferences/Appearance
  + Envelopes: fix incorrect deletion of points when dragging after alt+clicking a point to remove it [p=2933619]
  + FX browser: clear add target when switching project tabs [p=2924526]
  + Linux: support horizontal-scrollwheel messages in listviews [t=308090]
  + Marker/region manager: fix double-seek when clicking a row [t=308052]
  + Markers: restore behavior of actions to insert marker at current/edit position without edit, will not add redundant markers (7.61 and earlier behavior)
  + Media items: fix consistently importing embedded cues as regions when the region ends at the media item end [p=2933892]
  + Metadata: consistently display embedded cues/regions that end on the last sample of media
  + Metadata: display wav/wavpack embedded cues/loops in sample positions as well as seconds
  + Metadata: properly encode/decode embedded loops ('smpl' chunk) that end on the last media sample [t=308019]
  + MIDI editor: respect preference to show/hide region/marker lanes in arrange view
  + MIDI editor: fix drawing of CC lane scrollbars/zoom buttons in non-100% scaling modes [t=307984]
  + MIDI editor: fix various scrollbar updating quirks
  + Project templates: show project templates in subdirectories as submenus
  + Region render matrix: display ruler lane color for regions
  + Regions: always draw selected regions over unselected regions
  + Regions: change display preview when moving regions with contents
  + Save as: when copying media, set ORIGINAL_FILENAME for take if not set [p=2934027]
  + Spectral edits: fix peaks preview display when using stretch markers [p=2934091]
  + Spectral edits: fix incorrect adjustment of spectral edits when adjusting items with stretch markers across loop boundaries
  + Spectral edits: correct preview display of gate/compressor when item/take volume or fades are present
  + Spectrogram: optionally display frequency scale
  + Spectrogram: draw take/item selection indicators over spectrogram
  + Spectrogram: improve drawing accuracy at top edge when item view is an odd number of pixels high
  + Startup: improve display of project template paths in choose-project dialog
  + Stretch markers: fix incorrect peak display around looped item boundary [p=2932579]
  + Video: support embedding basic metadata in WMF video renders
  + Windows: prevent accidental assignment of IME key to shortcuts [t=308201]

v7.67 - March 29 2026
  + Actions: add actions to open paths for saved FX chains, color themes, project/track templates in explorer/finder, add to various menus
  + API: add CSURF_EXT_TAKEFX_PARAMINFO_CHANGED/CSURF_EXT_TRACKFX_PARAMINFO_CHANGED, so control surfaces can update when FX parameter names or parameter context changes
  + Arrange view: fix grid line vs region/marker line z-order issue [p=2930798]
  + CLAP: optimize memory use for plug-ins with many parameters
  + Envelope manager: add preference for whether FX parameter sections are initially expanded (sections are collapsed by default)
  + Envelope manager: fix initial appearance on first open
  + Envelope manager: reduce empty unused space in top section
  + Envelopes: actions to remove redundant points will not remove all points from envelope [t=307783]
  + Envelopes: actions to remove unnecessary points within time selection work within razor edits, if any [t=307783]
  + Envelopes: actions to select/delete/insert points at time selection act on razor edits, if any
  + Envelopes: do not allow deleting last envelope point when alt+dragging to delete points
  + Envelopes: fix undo when deleting points via alt+click [t=307740]
  + FX parameters: organize various menus by parameter section/module/unit [t=292646]
  + FX parameters: display parameter section/module/unit in track envelope title
  + Linux: indent list view text when status images exist (similar display as Windows/macOS) [p=2920961]
  + macOS: improve keyboard behavior in various instances with odd focus [t=307689]
  + Markers: display 'Add marker' rather than 'Edit marker' when adding and immediately editing a marker
  + Media explorer: prebuffer audio before starting unsynchronized playback [t=305762]
  + MIDI event properties: automatically correct invalid user-inputted beat position input like '5.0.0' to '5.1.0' [t=307840]
  + Mouse modifiers: add default region/marker double-click mapping 'set loop points to region, or edit marker' for consistency with past behavior [p=2930554]
  + Mouse modifiers: add ruler lane header double-click context (double-click to select all regions/markers in lane, for example)
  + Mouse modifiers: display help text for the active mouse modifier when hovering over regions/markers [p=2930830]
  + Peaks: fix display of missing sample near end of item when zoomed-in
  + Peaks: fix incorrect waveform display when zoomed in on sinc-interpolated waveform with fadeout
  + Portable installs: fix incorrect addition of VST system paths after opt-out on first run
  + ReaScript: support FX_GetParamSectionName(), to get the parameter section (VST3 unit, CLAP module) that the parameter belongs to, including parent sections, if any
  + Recording: fix possible take offset off-by-1 sample when using looped recording
  + Regions/markers: add separate preferences to display vertical lines in arrange view for regions and/or markers
  + Regions: when moving regions with contents, show preview line at the insert point [p=2931143]
  + Render: 'do not render files that are likely silent' ignores media items on non-playing track lanes [p=2930848]
  + Render: improve display of render speed display when very slow or very fast
  + Render: support popup edit window for entering long file names in render settings dialog
  + Ruler: change settings to hide all markers/regions and collapse ruler lanes to project settings rather than global
  + Ruler lane manager: improve description of project settings to show/hide all regions/markers
  + Ruler lanes: distribute extra lane space to lanes with overlapping regions/markers as needed
  + Ruler lanes: handle ruler lane click without mouse move like ruler click [p=2931365]
  + Spectrogram: add option in Peaks Display Settings to use media samplerate for spectrogram range [t=307661]
  + Undo: shorten undo descriptions displayed in menubar/titlebar (fix 7.53 change) [t=307958]
  + Video: default to writing video as MPEG-range with FFmpeg, can override with range=jpeg [t=307784]
  + Video: FFmpeg encoder can be passed tag= parameter to customize encoding mode tag
  + Video: FFmpeg encoder uses hvc1 for QT compatibility when encoding h265, can override using tag= [p=2930770]
  + Video: fix incorrect color range when decoding JPEG-range media with newer FFmpeg versions [t=307784]
  + Volume fields: if user enters invalid value like --1 dB, treat as -1 dB
  + Web interface: add volume touch support for index.html and fancier.html
  + Web interface: support touch for volume/pan/width controls [t=307341]
  + Windows: fix loading notation font when REAPER is installed in a path that contains UTF-8 characters

v7.66 - March 18 2026
  + Actions: actions to select item under mouse respect 'selecting item selects group' setting
  + CLAP: fix transport flags when REAPER is recording [t=307598]
  + Console 1: deactivate tracks that are hidden in both TCP/MCP
  + Console 1: improve automatic device name detection to include future Softube devices
  + Console 1: support plugin/Console 1 requests from controller
  + Envelope panels: fix slight offset in readout of current value [t=173566]
  + Free item positioning: preserve media item height when moving to a new track (7.60 regression) [t=307652]
  + IDEs: syntax highlight built-in pow() function when editing JSFX/Video Processors/EEL2 ReaScripts
  + Markers: when markers overlap, mouse targets the later (visible) marker
  + Media item properties: fix behavior when enabling section source and project start time offset exists [t=307511]
  + Mouse modifiers: fix descriptions of modifiers to set time selection or loop points to region [t=307547]
  + Region manager: add undo point after importing regions/markers from csv file
  + Region manager: support importing regions/markers from csv file by dragging into region manager window, hold shift key to merge
  + Regions/markers: support assigning actions to region/marker click mouse modifier [p=2929759]
  + Regions/markers: support importing regions/markers from REAPER project file (.RPP)
  + Render: improve ordering of file-format modes, grouped alphabetically within logical groups (uncompressed, compressed, raw, CD, video)
  + Ruler: don't show region/marker editing guidelines until mouse moves
  + Ruler: fix skipped grid line display with certain tempo/time signature marker scenarios [p=2927309]
  + Ruler: reword some items in time selection right-click menu
  + Ruler: when editing regions with contents, show editing guidelines at unedited position, because all project contents will move
  + Ruler lanes: do not draw double divider line when there is insufficient room to display all lanes
  + Ruler lanes: ensure that with default preference settings, ruler cannot be resized small enough to hide default ruler lanes
  + Ruler lanes: fix intermittent display issue on undo/redo [p=2929395]
  + Ruler lanes: improve behavior when moving multiple regions/markers across hidden ruler lanes [t=307649]
  + Ruler lanes: prevent creating regions or markers in locked ruler lanes
  + Ruler lanes: prevent moving regions and markers to locked lanes
  + Take markers: always add marker when running quick-add actions, even if there is already a marker at that location [t=307667]
  + Tempo/time signature: respect 'allow partial measure' setting when editing earlier tempo envelope points [t=307330]
  + Time signature markers: when 'allow partial measure before this marker' enabled, display beat position in tempo marker editor based on previous time signature marker [p=2927309]
  + UI: improve responsiveness of UI when under very heavy audio-thread CPU load in playback/rendering
  + Video: add support for FFmpeg versions 5.0-8.1
  + Video: add FFmpeg support for ALAC decoding (s32p sample type)
  + Video: add FFmpeg support for AV1 encoding (if supported, preferring libsvtav1 over libaom-av1 for speed)
  + Video: add FFmpeg support for H.265 encoding (if supported)
  + Video: add FFmpeg support for hardware accelerated decoding, opt-in by using ffmpeg_hw in decoder list
  + Video: add FFmpeg support for multiple audio streams, opt-in by using ffmpeg_mta in video decoder list
  + Video: add FFmpeg support for arbitrary encoders, use codec=xyz in FFmpeg configuration
  + Video: fix FFmpeg encoding of reported framerate for some format (e.g. AVI)
  + Video: fix incorrect use of .mov container when writing .mp4 files
  + Video: fix FFmpeg audio decoding as noise when when unknown sample format is encountered
  + Video: improve FFmpeg encoding file-format selection, adding new MOV, MP4 modes and deprecating old QT/MOV/MP4 auto-select mode
  + Video: improve FFmpeg loading, allow loading from more system paths (and REAPER UserPlugin path)
  + Video: improve accuracy of timestamps for Windows Media encoder with ND framerates
  + Video: add support for decoding AV1 via VLC [p=2919578]
  + Video: allow encoding to arbitrary fractional framerates
  + Video: support entry of commas as decimal point in framerates when rendering
  + Video: support files with MXF extension, if supported by installed FFmpeg/VLC
  + Video: when changing video decoder priority list, prompt to re-open all media in order to use new decoders
  + Video processors: fix knob sizing with DPI changes/multimonitor
  + Video processors: display video processor CPU use as %v in FX chain, project bay, performance monitor

v7.65 - March 11 2026
  + Infoblock: do not update with unrelated info while mouse captured [t=307493]
  + Item colors: copy item color when pencil-drawing new item [t=296005]
  + Mouse modifiers: add region/marker left-click, double-click contexts
  + Peaks: fix display issue when very zoomed out on looped items [t=174592]
  + Project bay: fix multiple media item prompt showing incorrectly when importing media from project bay folder [p=2928381]
  + ReaScript: support GetSetProjectInfo("RULER_LANE_DEFAULT:X")
  + ReaSurroundPan: fix preset/state saving (7.62 regression) [t=307015]
  + Ruler: ensure that theme marker text color is readable
  + Ruler lane manager: add delete button options to delete lane with or without contents
  + Ruler lanes: more changes to lane resizing logic
  + Ruler lanes: support assiging the same lane as default for regions and markers when saving default project settings
  + Zooming: fix issue where at high zoom levels scroll position would get reset (7.62 regression) [t=307277]

v7.64 - March 6 2026
  + Ruler lanes: allow lanes to shrink 1 pixel smaller, consistent with 7.61 minimum height [p=2927166]

v7.63 - March 5 2026
  + Color theme: re-word descriptions of some ruler/region/tempo marker theme colors for clarity
  + Color theme: tempo/time signature lane background color falls back to ruler lane divider color if not specified
  + Item groups: when loading a project saved in a version prior to 7.48, remove any stale item group names [p=2926520]
  + Markers: draw marker text over dark background when marker text overlaps with regions
  + Media import: fix potentially importing items to extra lanes on fixed lane tracks [t=307308]
  + Metadata editor: do not delete in response to delete key unless the list has focus
  + Metadata editor: when list is focused, enter key will begin editing
  + MIDI editor: respect preference to hide region/marker numbers if name exists
  + Mouse modifiers: add region and marker mouse modifiers to move with no lane change, copy between lanes only, copy with no lane change
  + Mouse modifiers: separate contexts for marker left drag and region edge left drag
  + mp3 encoder: fix restoring 'Maximum bitrate/quality' mode in configuration
  + mp3 encoder: tweak 'Maximum bitrate/quality' mode to use q=2
  + Paste: when pasting files from explorer/finder/media explorer, advance edit cursor according to user preference
  + Preferences: do not resize ruler unnecessarily when changing ruler appearance preferences
  + ReaScript: FX_GetNamedConfigParm supports au_ids for Audio Units [p=2926559]
  + Recent projects: prevent crash when removing recent project from list
  + Regions/markers: add action to renumber all regions and markers in timeline order by ruler lane
  + Regions/markers: fix skipped index number when inserting region/marker via ruler lane mouse modifier
  + Regions: display vertical preview lines in arrange area while moving regions with contents
  + Regions: display region length in time (not beats) units when ruler display is set to 'time (minimal)' [t=307302]
  + Render: when writing project copy on render, respect preference not to add copy of project to recent project list [t=307276]
  + Ripple edit: fix behavior when editing regions with ripple-all enabled and 'ripple edit all affects regions/markers' disabled [t=307275]
  + Ruler: add action/context menu item to hide tempo/time signature area if project has no tempo/time signature changes
  + Ruler: restore default ruler height when creating new project, regardless of whether the user has saved a custom ruler height with default project settings
  + Ruler: improve display of adjacent regions in ruler lanes [t=307223]
  + TCP: ensure track routing button state is updated after loading project (7.49 regression) [t=307322]
  + Tempo envelope: fix possible crash when editing tempo envelope point without changing tempo/time signature and project contains only one tempo envelope point
  + Wildcards: fix $region{lanenumber} wildcard [p=2926605]
  + Wildcards: resolve $region{lane} even if the region length does not match the rendered start/end times [p=2926632]

v7.62 - February 28 2026
  + Actions: fix multiple item behavior with 'Move/Copy items to time selection, trim/loop to fit' [p=2923379]
  + Arrange view: when preference disabled to limit horizontal zoom/scroll to project start, prevent scrolling project start completely out of view
  + Audio Units: fix potential plug-in audio glitch when paused
  + Big clock: support $markercountdown, $regioncountdown wildcards
  + Color theme: add ruler_header_text color
  + Color theme: rename 'Ruler lane background (odd/even)' colors to 'Ruler lane background' and 'Ruler lane separator line'
  + Command line: add -peaktest option, to dry run render a project and report peak output level to stdout
  + Duplicate items: fix behavior when duplicating locked items
  + Editing: fix mouse-editing fades at start of project (7.60 regression) [t=306671]
  + Faders: add preference to ignore mouse click unless directly on fader handle [t=305675]
  + FX presets: improve speed of updating builtin-preset cache on Windows
  + IDEs: fix potential crash when autocompleting very long words [rr=KZ9viajgCV] [t=306826]
  + Item locking: add preference for locked items to be affected by region edits and inserting/removing time
  + Item locking: add preference for whether Media Item Properties dialog edits and 'Item properties:' actions apply to locked items
  + Item locking: add preference to prevent copying locked items
  + Item locking: do not preserve item lock when copy/pasting (consistent with mouse and region copy)
  + Item locking: items grouped with locked items are handled as locked items when ripple editing, region editing
  + Item locking: respect item lock when splitting, inserting time in project, removing time from project
  + Linux: fix potential GDK assert when video window transitions to/from fullscreen
  + Linux: fix loading VLC 3.0.x custom built for some distributions
  + Localization: support localizing license-key detection text
  + Locking: add action to lock all items on selected tracks
  + Locking: respect marker and media item locking when moving regions with contents
  + Markers: action to add/edit project marker at current position will edit an existing marker at that position rather than add a new one
  + Markers: action to insert marker always inserts a new marker, even if a marker already exists at that location
  + Markers: add actions to add marker at mouse position
  + Markers: add actions to quick-add (without editing) or edit existing project marker
  + Markers: support mouse-editing multiple selected markers at once
  + Metronome/click: prevent crash when user enters click source length of 0ms [t=307185]
  + MIDI editor: ctrl+A selects all text in raw MIDI window
  + MIDI editor: fix marker text color
  + MIDI editor: improve region/marker text vertical centering
  + Mouse modifiers: add mouse modifiers to move regions/markers between lanes only or with no lane change
  + Mouse modifiers: add mouse modifier to move region with no lane change
  + Mouse modifiers: add ruler lane mouse modifiers to draw a new region or add a new marker
  + Mouse modifiers: improve organization of region move mouse modifier dropdown
  + Mouse modifiers: rename 'Marker/region edge' context to 'Region edge or marker' for better alphabetization
  + Mouse modifiers: reword some region move mouse modifiers
  + Performance meter: correct video load display when video thread is taking a very long time to process a frame
  + Preferences: add Media Item Locking page
  + ReaScript: add GetNumRegionsOrMarkers, GetRegionOrMarker, GetRegionOrMarkerInfo_Value, SetRegionOrMarkerInfo_Value, GetSetRegionOrMarkerInfo_String
  + ReaScript: add GetSetProjectInfo('RULER_HEIGHT', 'RULER_LANE_NAME', 'RULER_LANE_COLOR', 'RULER_LANE_TIMEBASE')
  + ReaScript: add GetSetProjectInfo('RULER_LANE_HIDDEN', 'RULER_LANE_VISIBLE'), lane is visible if not hidden and there is enough space in the ruler to display it
  + ReaScript: add GetSetProjectInfo_String('RULER_LANE_TYPE'), which can create a new ruler lane
  + ReaScript: add GetSetProjectInfo_String('RENDER_STATS_SUMMARY'), for a human-readable summary of the most recently rendered files
  + ReaScript: GetSetProjectInfo_String('RENDER_STATS') includes rendered file length
  + ReaScript: add GetSetRegionOrMarkerInfo('B_VISIBLE'), returns 0 if region/marker is hidden for any reason (preferences, in hidden lane, etc)
  + ReaScript: document extended flags for GetMasterMuteSoloFlags [t=306769]
  + ReaScript: fix GetMediaTrackInfo_Value('B_MUTE', 'I_SOLO') for master track [t=306769]
  + ReaScript: FX_GetNamedConfigParm can check param.X.automatable
  + ReaSurroundPan: prevent possible incorrect state restore on project load
  + Region/marker manager: list regions before markers by default
  + Region/marker manager: add checkbox to display regions/markers in visible lanes only
  + Region/marker manager: support setting ruler lane for multiple selected regions/markers at once
  + Region/marker manager: add Current column, to display where the play/edit cursor currently is
  + Region/marker manager: add main section actions to toggle some display settings
  + Region/marker manager: display start/end/length in either time or beats, depending on ruler lane timebase
  + Region/marker manager: include ruler lane in csv export/import
  + Region/marker manager: preserve column order/width when switching between REAPER versions
  + Regions/markers: actions to go to previous/next region/marker only consider visible regions/markers
  + Regions/markers: add mouse modifier to copy markers
  + Regions/markers: display position/length in the ruler time display mode unless the ruler lane timebase is in beats and the ruler display mode is not, or vice versa
  + Regions: add preference (Mouse modifiers > Region) to prevent moving/copying region with contents while mouse is within the region
  + Regions: deselect all other regions on mouseup when clicking one of multiple selected regions and no edit was performed
  + Regions: ensure right edge of region in ruler exactly aligns with end position
  + Regions: preserve time signature at end of moved regions
  + Regions: support moving/copying multiple selected regions with or without contents
  + Regions: when inserting time or moving regions with contents, extend existing region only if it unambiguously spans the inserted time [t=304730]
  + Regions: when moving/copying regions with contents, display preview of where all regions will end up
  + Ripple: add setting for ripple-all to affect regions/markers (via action or right click toolbar ripple button)
  + Ripple: do not ripple edit grouped items unless the earliest item in the group is affected [t=303471]
  + Ruler: add support for ruler lanes
  + Ruler: support setting ruler lanes to different timebases
  + Ruler: support locking individual ruler lanes
  + Ruler: add actions to quick-add ruler lanes (without prompting for lane name)
  + Ruler: add preference to allow/prevent resizing ruler below default height
  + Ruler: add preferences to draw regions/markers with square edges, draw regions with square edges by default
  + Ruler: add preferences to hide region/marker number if region/marker is named
  + Ruler: add Ruler Lane Manager dialog
  + Ruler: add setting to collapse ruler lanes if the ruler is too small
  + Ruler: add support for setting separate default lanes for new regions and markers
  + Ruler: allow resizing ruler small enough to display no regions, markers, or tempo changes
  + Ruler: display lane headers to the left of the ruler
  + Ruler: do not deselect regions/markers when clicking on timeline or hand-scrolling
  + Ruler: do not draw theme color edge around unselected, custom colored regions/markers
  + Ruler: if space is constrained, hide tempo/time signature lanes if there are no tempo or time signature changes
  + Ruler: improve snapping behavior when moving regions without contents
  + Ruler: move region/marker/lane display preferences from ruler lane context menu to Preferences > Appearance > Ruler/Grid
  + Ruler: restore ruler height when loading projects or switching tabs, save/load ruler height with default project settings
  + Ruler: shift+click selects contiguous regions/markers in the same lane, when applicable
  + Ruler: support custom colors for region/marker lanes (only applied to regions/markers if the region/marker does not have a custom color)
  + Ruler: support showing/hiding all regions and/or markers
  + Ruler: support snapping left edge of region when moving region with contents to the right [t=302643]
  + Ruler: add preference to resize ruler when lane count changes
  + Ruler: double-click on ruler lane header selects all regions/markers in that lane, alt+click deletes lane
  + Ruler: right-click ruler lane header area to open Ruler Lane Manager
  + SDK: forward declare ProjectMarker in locally-generated reaper_plugin_functions.h [p=2920953]
  + SDK: remove WDL_INT64 use in reaper_plugin_functions.h
  + Tempo markers: soft-snap to regions/markers that have timebase time when editing while adjusting previous/current tempo [p=2835731]
  + Theme: display record mode information in TCP infoblock even if the track is not record armed
  + Toolbars: add context menu actions to vertically align main toolbar top/center/bottom
  + Toolbars: remove default spacers from main toolbar
  + Track/Region/Group Managers: thicker color square border when using default color
  + Track manager: fix refreshing arrange view display after clicking 'show all' button [t=306647]
  + Video: fix performance scaling issue which could cause effective hangs [t=306787]
  + WAV: fix 1-sample end position offset when encoding or decoding project regions as 'smpl' chunk [t=306533]
  + Wildcards: fix $markername/$regionname wildcards
  + Wildcards: support $regionlane{2} to match region lane number 2, etc
  + Wildcards: support $region{lane} and $marker{lane}, to match only regions/markers in the specified lane

v7.61 - February 3 2026
  + FX containers: improve automation behavior for parameters that have parameter modulation internally
  + Horizontal zoom: add new modes for edit/play cursor zooming that preserve zoom center position
  + Media explorer: fix bypass of pitch shift/timestretch engine when not applying tempo/pitch change (7.53 regression)
  + Media import: fix 1-sample region length offset when importing embedded 'smpl' cues [t=306533]
  + MIDI: prevent volume envelopes from turning note-on events into note-offs
  + Render: allow dither configuration when only secondary format supports dither
  + Render: fix dither of primary output when secondary format set and does not support dither
  + Render: fix potential incorrect dither of secondary output (7.56 regression) [t=306369]
  + Searching: improve matching of quoted strings that begin with or end with non-word characters
  + Searching: fix support for matching synonyms at start/end using ^/$
  + Searching: fix support for matching synonyms with leading/trailing non-word characters [p=2918333]
  + VST: increase maximum number of presets for preset combo box

v7.60 - January 31 2026
  + Actions: action to add marker at current position inserts at play position if playing back, even if the play position is offscreen [t=302767]
  + Actions: add actions to add marker at edit cursor, regardless of whether project is playing back [t=302767]
  + Actions: add action to play, stopping at end of selected items
  + Actions: add action to play, soloing selected items
  + Actions: when inserting markers via action, do not de-duplicate markers that would be more than 1 second apart
  + API: fix typo in reaper_plugin_functions.h [t=306341]
  + Crossfade editor: process keyboard shortcuts (other than up-arrow/down-arrow) when focus is on a dropdown list
  + Debug console: up-arrow key repeats the last command
  + Envelopes: fix actions to remove unnecessary points [t=305877]
  + Fixed lanes: improve display stability when moving media items or razor edits across tracks with different numbers of lanes [t=305352]
  + Fixed lanes: when moving/copying media items from multiple lanes to a track with no lanes, also copy over the source lane play state
  + Generic FX UI: fix potential crash when decreasing parameter count [t=305593]
  + Generic FX UI: update controls when loading preset/undo results in parameter count/type changes
  + Glue: do not attempt to create subdirectories for glued files if media item name contains directory separator character [t=306149]
  + Grouping: add media/razor edit grouping option to affect items that start or end at the same time [t=302106]
  + Import: fix potential crash with malformed .wav files [t=306064]
  + Import: when importing multiple files with certain preference settings, do not add tracks unnecessarily [t=306068]
  + Linux: fix render window scrollbar on certain low resolutions [t=306222]
  + Linux: fix control auto-resizing when localized
  + macOS: improve control rippling in certain instances when localized
  + MIDI: when pasting pooled MIDI data that is out of sync with existing MIDI items in the project, prompt to overwrite or create a new MIDI pool [t=305463]
  + MIDI editor: fix bank/program messages being altered by unrelated CC edits [t=306108]
  + Region manager: fix editing region start time to zero [t=306033]
  + Render: correctly save trim threshold values to render presets when the value is very small [t=306074]
  + Render: reset all per-take FX between rendered time regions
  + Scroll: add preference to not limit horizontal zoom/scroll to project start, instead displaying negative dead space when zooming out
  + Startup: add cancel button to choose-project prompt
  + Startup: list 'new project' above 'new project, ignore default template' in choose-project prompt and preferences
  + Transport: indicate when stopping at loop selection or end of items
  + Wildcards: add $uniqueid, for a unique hexadecimal string
  + Wildcards: support $lane wildcard when rendering selected tracks and only one lane is playing
  + Windows: fix incorrect display of date/time in media explorer when Windows system codepage is UTF-8 [t=301935]
  + Windows: improve date format for various locales on systems that are not in UTF-8 codepage [t=301935]

v7.59 - January 10 2026
  + Actions: improve actions that depend on grid spacing (navigate grid, split on grid, etc) when grid spacing does not align with measure length [t=304726]
  + Actions: improve behavior of 'Item: Set snap offset to nearest grid line'
  + Grid: when splitting on grid and grid is set to frames, split at every frame regardless of zoom level
  + Import: fix behavior when creating track folders for imported directories and also importing multi-track MIDI
  + Import: only sort imported files by filename when creating track folders for imported directories
  + Import: when importing directories, ignore non-media file types (track templates, etc)
  + Import: when importing multiple files, only prompt for how to arrange files when importing arrangeable files (not track templates, etc)
  + macOS: make list view and tree view row spacing/margins more consistent across Intel and Universal builds
  + Media explorer: fix possible crash when switching preview audio while still playing back [t=305898]
  + Media explorer: fix retaining custom channel mapping when seeking with channel map dialog open and crossfade enabled [p=2914251]
  + Media explorer: support shorter time selection length relative to media length [p=2914204]
  + mp3: support all encoding q-values from 0-9
  + Project backups: when opening .rpp-bak files from Backups/ or AutoSaves/, resolve relative filenames from the parent folder as needed [t=305827]
  + Timecode: fix timecode settings dialog appearance when no audio system is selected [t=305903]
  + Windows: correctly handle right-side Windows key as a keyboard modifier

v7.58 - January 2 2026
  + Actions: fix undo after running action to set media item timebase
  + Import: sort dragged-in files by directory only if user chooses to create track folders from imported files [t=305626]
  + Import: when importing subfolders, import subfolders after parent folder media
  + macOS: fix splash screen animation on Tahoe [t=305684]
  + Media explorer: do not cancel peaks building when seeking with crossfade disabled
  + Media explorer: fix inconsistent looping when crossfade enabled [p=2913349]
  + Media explorer: improve displayed MIDI peaks note range for .mid files
  + MIDI: fix potential bug where CCs are not drawn in arrange view in some timebases (7.53 regression) [t=305722]
  + MIDI: fix meta-events being deleted when editing MIDI with filter enabled [t=305600]
  + MIDI: when multi-line text event editing enabled, load text events from file as a single event, otherwise load as multiple text events to list in dropdown [t=305778]
  + Metadata: when scheme is set to 'all', list all supported metadata
  + Preferences: clean up layout of MIDI output device pane
  + Render: fix potentially incorrect auto-incrementing when rendering secondary format and using a wildcard that depends on the file format
  + Render: fix potentially incorrect auto-incrementing when rendering, immediately returning to render dialog, and rendering again
  + Render: fix rendering when primary and secondary render format have the same filename extension [t=305683]
  + Render: support parallel rendering even if rendered areas do not exactly overlap in time, as long as routing permits [p=2912109]
  + Section/reverse items: fix various minor issues and API issues relating to filenames

v7.57 - December 23 2025
  + Big clock plus: fix $markerpos/$regionpos when project start measure is customized [p=2910354]
  + Default theme: updated theme/script version number
  + Envelopes: allow editing track volume/pan/width text fields when in automation read mode, if there is not an active envelope overriding that specific field [t=305362]
  + FX: fix channel count negotiation after loading default preset [t=305524]
  + Import: fix folder track generation with media in subfolders with common names
  + Import: preserve original file order when importing multiple files at once via drag/drop [t=305626]
  + Media explorer: add rewind/home button
  + Media explorer: fix playback rate adjustment for MIDI preview
  + Media explorer: fix tempo-matching and playback rate adjustment for REX preview
  + Media explorer: minimize seeking when adjusting playback rate while previewing
  + Media explorer: pressing play while media is already playing restarts preview from most recent start point
  + Media explorer: support double/half tempo-matching for MIDI
  + Media items: fix unnecessary warning message when setting media item properties and 'auto-stretch at tempo changes' is enabled [t=305492]
  + MIDI: preserve newlines and other non-printable characters in text events
  + MIDI: support adding and editing multi-line text events
  + Mouse modifiers: fix potential crash when attempting to create a fixed lane comp area below the last track in the project [t=305508]
  + Pinned tracks: improve vertical zoom behavior when mouse is over pinned tracks [t=305413]
  + ReaScript: document P_EXT:ORIGINAL_FILENAME for GetSetMediaItemTakeInfo_String, etc
  + Render: fix embedding loudness metadata consistently
  + Render: fix possible blank areas in render when rendering or freezing multiple overlapping sections (7.37 regression) [t=305528]
  + Render: fix potentially incorrect file auto-incrementing when rendering multiple file formats and rendering stereo/multichannel to separate mono files
  + Render: fix rendering stereo/multichannel to separate mono files being applied when enabled but all postprocessing is also disabled
  + Render: fix potential crash when using malformed auto-increment suffix
  + Render: if user-entered render filename matches auto-increment pattern before resolving wildcards, start auto-incrementing from the user-entered number
  + Render: improve responsiveness when auto-incrementing many filenames at once
  + Render: respect setting to not embed metadata when rendering
  + Render: when rendering multiple files, ensure that if any file names collide, all of them get auto-incremented [p=2910515]
  + Spectrogram: fix actions to adjust brightness/contrast when used while peaks display settings window is not visible
  + Tempo envelope: respect tempo envelope beats timebase when pasting envelope points [t=302495]
  + Web interface: fix issue where keepalive connections would always remain active [t=305384]
  + Web interface: improve behavior when creating a new surface, pressing Apply, then pressing OK
  + Web interface: display connection/request statistics in configuration window
  + Windows: fix UTF-8 text in render statistics listview display [t=305428]
  + Windows: improve ctrl+backspace/ctrl+delete behavior in various edit fields
  + Windows: support triple-click to select all in edit fields

v7.56 - December 13 2025
  + Actions menu: if multiple key/MIDI bindings are mapped to recent actions, show all bindings in menu item
  + Appearance: do not draw new (7.55+) media item left edge overlay if media item is only a few pixels wide [p=2909373]
  + Audio Units: prevent dropping of MIDI messages in certain instances
  + Auto-increment: support separate preferences for 'save new version of project' suffix and 'auto-increment filename' suffix
  + Auto-increment: set default filename suffix to '-001' (revert to pre-7.45 behavior), keep 'save new version of project' suffix as '_001'
  + Auto-increment: add preference to ensure file number comes after all existing similarly named files in the directory [t=303372]
  + Auto-increment: add preference to treat _ (underscore) and - (hyphen) as interchangeable when auto-incrementing filenames
  + Auto-increment: allow space characters in auto-increment suffix (for example, ' 001')
  + Batch converter: fix converting only selected files when unselected, unconverted files exist
  + Batch converter: ignore $chid wildcard when not imploding/exploding
  + Batch converter: support sorting file list
  + Click source: support following project tempo / time signature while customizing click pattern
  + Click source: support setting to half speed
  + Command line: fix command line render occasionally canceling itself [t=305336]
  + Debug console: use fixed width font for debug console
  + Filtering: fix case matching for various non-ASCII characters that do not fold to ASCII
  + Glue: fix glue when preference set to create new MIDI as .mid files (7.46 regression) [t=305318]
  + Joysticks: actions/buttons to reinitialize MIDI devices also re-open joystick devices
  + Joysticks: opening configuration from device that failed to open will try to re-open the device if found
  + JSFX: avoid file_open(xml) trying to open files as MusicXML
  + macOS: allow plug-ins to request access to system cameras
  + macOS: improve display/handling of truncated UTF-8 strings [t=303957]
  + Media explorer: don't cancel incomplete peaks preview build when seeking with crossfade enabled [p=2908243]
  + Media import: set take extension attribute ORIGINAL_FILENAME when media is copied to project path on import [t=285404]
  + Media import: if media contains unambiguous tempo information in cue/marker metadata, use it when tempo-matching
  + Media item properties: support displaying and editing take section source start and length in time, beats, samples, or frames
  + Metronome: support setting to half speed
  + MIDI: avoid potential dropped notes at end of MIDI items
  + MIDI editor: add option in View menu to disable displaying note names on piano roll keys [t=305081]
  + Parameter modulation: increase precision of configuration display [t=305101]
  + ReaScript: clarify documentation for gfx_measurechar() [t=305316]
  + ReaScript: fix GetMediaSourceFileName() for section/reverse sources [t=305264]
  + Render: add render peaks display option to show file length in samples
  + Render: add render setting to enable/disable parallel postprocessing
  + Render: support rendering stereo and/or multichannel to per-channel mono files, via postprocessing dialog
  + Render: disable 2nd pass render option when normalizing video render
  + Render: fix auto-incrementing filename when rendering to both primary and secondary formats [t=304162]
  + Render: fix possible 1-sample file length discrepancy when rendering media items on multiple tracks [p=2893420]
  + Render: fix rendered file length discrepancies that can occur in certain circumstances [t=303315]
  + Render: fix rendered file length when processing at project sample rate, resampling to final sample rate, and rendering multiple project regions (7.37 regression)
  + Render: if not postprocessing, finalize rendered files for each timeline range before rendering the next timeline range
  + Render: ignore saved project setting to bring FX online after load when rendering from the command line
  + Render: improve render speed when rendering many files and using FX that introduce latency [t=305119]
  + Render: improve render speed when rendering many very short files [t=305119]
  + Render: update render statistics more efficiently during render
  + Render: internal changes to filename handling and metadata
  + Render: limit display of rendered file list dropdown to about 100 files
  + Render: properly flush synth plug-ins when normalizing video render
  + Render: resolve wildcards like $item, $itemnotes even when not rendering selected items, by finding the media item within the render that best matches the rendered time range
  + Ripple: import media preference 'insert empty space when ripple is enabled' also affects pasting media (when disabled, existing media that starts to the left of the import position is unaffected) [p=2905706]
  + Ruler: add support for minutes:seconds (minimal) display format
  + Ruler: fix performance issues/hangs at nonsensically-high measure offsets
  + Ruler: make label interval and tick mark spacing consistent when ruler display format is set to either time or frames
  + Section source: avoid drift when looping sections that are not a whole number of samples (5.20 regression)
  + Shutdown: optimize unloading FX at exit
  + Tempo markers: fix editing tempo when tempo change position is in beats and previous tempo marker is set to gradually transition tempo [t=304932]
  + Track panels: add new infoblock control to display contextual track information (optional, enable via Theme Adjuster script)
  + Track panels: click infoblock area to enable/disable displaying various contextual information
  + Track panels: infoblock implemented via tcp_infoblock images, fallback text is used if tcp_infoblock is not found
  + Wildcards: support $chid (channel ID), for use when rendering stereo/multichannel to mono files, ignored otherwise
  + Wildcards: support $chid{N}(...) to name channels when exploding N-channel file, ignore for other channel counts [p=2892788]
  + Wildcards: support $projectnotes and $projectnotes(key) to display specific lines from project notes, see wildcard help for more information
  + Windows: fix tooltip UTF-8 display errors when long strings are truncated
  + Windows: improve display/handling of truncated UTF-8 strings for display and accessibility [t=303957]
  + WMF: improve support for high unicode code points in filenames
  + Worker threads: optimize thread cleanup process
  + Zoom: when maximum project length is set, decrease horizontal zoom-out limit

v7.55 - November 27 2025
  + API: add Register("atexit") support to work around change to quit process for extensions
  + API: fix crash when GetTrackMIDINoteNameEx() is called with null project pointer (7.53 regression)
  + Audio Units: improve support for multiple types of plug-ins with the same name
  + Audio Units: support AUv3 MIDI output, MIDI processors [t=300840]
  + Audio Units: fix inconsistent FX names when inserting via project bay
  + Big clock: support 'time' and 'beats' as shorthand time formats for wildcards like $projectpos(format)
  + Big clock: support $regionpos and $markerpos wildcards (time within current region, time since last marker)
  + Import: ensure peaks are built for items imported from directory, even if the directory is collapsed [p=2906324]
  + Import: do not include filename in take name if media has title information (like MIDI title text event)
  + Import: fix possibly incorrect folder structure when importing directory containing multitrack MIDI [p=2906324]
  + Import: when importing multiple files and one is MIDI with tempo map, ensure all files are imported at the correct position
  + Localization: fix localization support for metadata format explanation strings that begin with numbers (3-letter, 24 comma, etc)
  + Linux: fix potential hang/crash related to menus (7.54 regression) [t=304895]
  + Linux: fix calling xdg-open from paths other than /usr/bin [p=2808822]
  + Media items: add theme color for left edge of item overlay
  + MIDI editor: update piano keys for note names when switching channels [t=304897]
  + Notation editor: extend media item to start/end of measure only if the current edit is outside the media item bounds
  + Notation editor: improve targeting of media items that are less than one measure long [t=304879]
  + Preferences: fix UTF-8 support on Windows for control surfaces list
  + Project bay: fix potentially incorrect FX path display when multiple similarly-named FX exist
  + Region/marker manager: allow changing region/marker index to 0
  + Tempo/time signature envelope: fix persistence of 'allow partial measure before this marker' flag [t=304941]
  + Theme tweaker: improve column alignment
  + VST: obey track grouping when plug-ins (e.g. Console1) use Presonus::ContextInfo::kVolume/kPan
  + Wildcards: support $itemnotes(name) [t=289489]

v7.54 - November 20 2025
  + Actions: add action to delete all track FX on selected tracks
  + Actions: fix undo following new cycle visible envelope actions added in 7.47
  + Actions: fix various actions that calculate project media length on background projects
  + AES-31 import: fix applying source offset to media
  + AES-31 import: consolidate matched mono channels to stereo tracks
  + AES-31 import: fix pan direction
  + AES-31 import: fix pre-FX/post-FX pan
  + AES-31 import: import matched L/R channels with differing pan automation as dual pan
  + AES-31 import: remove redundant automation points
  + AES-31 import: when re-linking media, retain resolved file locations rather than prompting for every file
  + AES-31 import: set automation visible/active
  + Apply FX / Render as new take / Glue: improve status display when processing multiple items
  + Automation items: fix behavior when using timebase beats (position only), project setting to affect automation item length is disabled, and razor editing [p=2903688]
  + Big clock: support $parentpos wildcard, to display parent project time for subprojects if unambiguous
  + Envelopes: fix actions to reduce number of envelope points when all points are redundant
  + Fades: fix LPF fade when 'all takes play' is enabled [t=304650]
  + Fixed lanes: add action to play only most recently playing lane (for A/B comparison)
  + Fixed lanes: when re-enabling fixed lanes, ensure lane play state is consistent with lane collapsed state [p=2904127]
  + FX: when bringing FX online via timer, also bring input FX online [t=304696]
  + FX: when opening project in new tab (including opening subprojects), handle saved project setting to bring FX online after project load
  + FX: when opening project via command line, handle saved project setting to bring FX online after project load
  + FX: when rendering queued project or rendering subproject proxy file, ignore saved project setting to bring FX online after project load
  + JSFX: fix default values for file-based sliders [t=304669]
  + JSFX: increase size of I/O button slightly [t=304645]
  + Linux: support copy/paste of items/tracks/etc across REAPER instances [t=304309]
  + Localization: improve sizing of various controls in render window
  + macOS: allow plug-ins to request access to Speech framework for speech recognition [t=304171]
  + macOS: improve splash screen topmost behavior, lower when switching to other applications during project load, etc
  + Media explorer: fix peaks building when switching rapidly between files with crossfade enabled [t=304822]
  + Media item fades: fix potentially incorrect fade-in/fade-out when applied to media with an odd number of channels [t=304646]
  + Modal windows: fix modal window positioning preference for Insert Multiple Tracks and Tempo Matching Prompt windows
  + Mouse modifiers: fix redundant menu entries in media item edge mouse modifiers
  + Mouse modifiers: improve default tooltip description for arrange view D actions
  + Mouse modifiers: improve apply button behavior in preferences
  + Peaks: ensure peaks are built after unfreezing
  + Peaks: ensure peaks are built after pasting items as new takes
  + Project load: do not run FX-related timers/etc until load has completed
  + Project unload: add option to unload projects in background on exit (7.52 and earlier behavior)
  + Project unload: prevent UI updates while closing project
  + ReaFIR: fix save/restore of multi-mono mode [t=304634]
  + ReaScript: add GetMediaTrackInfo_Value('I_TCPSCREENY'/'I_MCPSCREENX'), to get location of track/mixer control panel relative to physical screen
  + Render: if no directory is displayed in the render dialog directory field, browsing for directory initializes with the directory that would be rendered to by default, rather than the most recently used directory
  + Subprojects: if the active project is a subproject, support displaying parent project time as secondary ruler and/or transport time unit
  + Spectral edits: clamp defaults to reasonable values [p=2902912]
  + Splash: change 'Removing track' message to 'Unloading track' for clarity
  + Splash: display graphical progress meter when loading project
  + Splash: improve text alignment with long text on second line
  + Splash: shorten displayed plug-in names when loading project
  + Windows: fix UTF-8 character support on some media item properties window fields [t=304038]

v7.53 - November 11 2025
  + Actions: add action to bring all project FX online one at a time
  + Actions: fix extra MIDI events possibly being added at end of item when applying track FX as new take with MIDI output
  + Actions: add action to open 'choose project' prompt (allows opening multiple projects at once)
  + Actions: add actions to set all project take fx online or offline based on whether the take is active or not
  + Actions: show splash screen when closing projects via action
  + API: add StartPreviewFade(), to immediately fade preview audio in or out
  + Auto-crossfades: fix manually edited crossfades being reset when deleting unrelated media items [t=304510]
  + Automation items: add project setting to choose whether 'Beats (position only)' timebase changes length of automation items (on by default, matching behavior of 7.49 and earlier)
  + Automation items: fix start offset when changing effective timebase
  + Color theme: add theme elements for LPF fade color and blend mode
  + Control surfaces: add Console1 support
  + Debug: add project load time report, accessible via 'projload_report' in debug console
  + Default theme: update send level meter images slightly
  + Fades: clear LPF fade, reset fade curvature when performing various editing actions [t=304275]
  + Fades: improve behavior of 'move crossfade' mouse modifier when editing non-crossfade [t=304426]
  + FX: add preference to control whether pin mappings are loaded when loading FX presets [t=287808]
  + Import: add action to insert all media items in directory
  + Import: add setting and preference to create folder tracks for imported directories
  + Import: recursively import files from subdirectories when dragging a directory into REAPER
  + Import: warn/verify when importing more than 1000 files at once
  + Import: ignore .txt files when drag/dropped into arrange view with other media
  + JSFX: fix showing JSFX pathname when inserting via action/script on Windows [t=304344]
  + Media explorer: set default fade-in/fade-out to 20ms
  + Media explorer: support either fade-in or fade-out (or both/neither) for preview audio (replaces option to crossfade)
  + Media import: don't prompt to match empty project tempo to media if the project tempo is already set to the media tempo
  + Media import: simplify tempo-match preferences
  + MIDI editor: add option to draw CCs as gray
  + MIDI editor: add option to hide CCs in secondary contexts
  + MIDI editor: add preference for opacity of secondary editable contexts, extend opacity configuration range for inactive items
  + MIDI editor: show note names from tracks that MIDI is routed to, if any
  + Mouse modifiers: add ripple options for edge edits (only affects editing right edges)
  + Mouse modifiers: modifier to adjust item edge without changing fade only applies to pre-existing fades [t=304351]
  + Paths: increase maximum length of VST/LV2/CLAP plug-in path lists to 64k
  + Peaks: draw first sample of peaks over left border of containing media item
  + Peaks: fix errors where the first sample of media file may get skipped (7.39 regression) [t=304010]
  + Portable installs: fix issue in new 7.50 feature where VSTs would be rescanned even if skip requested by user
  + Project backups: add option to auto-save unsaved projects, will also save at exit and be available (if configured) when re-launching REAPER
  + Project bay: properly handle dragging items into 'add new track' area of project
  + Project bay: support creating folder tracks from project bay folders
  + Project load: add checkbox to load project with FX offline, then bring FX online one at a time
  + Project load: add FX offline/online options to import RPP dialog
  + Project load: display loading progress in splash screen
  + Project load: improve loading speed of projects that have many per-take FX
  + Project settings: add project setting (advanced tab) to always load project with FX offline, or bring FX online one at a time
  + Render: fix brickwall limiting to master mix when also rendering master mix and normalizing to master mix [t=304595]
  + REX: fix potential error when importing as beat slices and source tempo is lower than project tempo [t=304388]
  + REX: when importing as beat slices from media explorer with time selection set, import slices if they start within the time selection, and do not truncate the end of the slices
  + Searching/filtering: better handle case folding of UTF-8 codepoints up to U+800 [t=302713]
  + Searching/filtering: improve synonym case folding support for localized synonyms
  + Shutdown: improve shutdown process (display splash screen while unloading project), better compatibility with some plug-ins/control surfaces
  + Spectral edits: add actions to bypass/solo/delete selected spectral edits, reset/adjust gain of edit
  + Spectral edits: add new preferences page to configure defaults for new spectral edits
  + Spectral edits: control+clicking an edit allows multi-selection of edits
  + Spectral edits: faster drawing updates when modifying edits
  + Spectral edits: improve selection behavior, deselect spectral edits in other items when selecting, etc
  + Spectrogram: add high resolution spectrogram view (when sufficiently zoomed-in, zoom threshold is configurable in preferences)
  + Spectrogram: add mousewheel/MIDI CC/OSC assignable actions to adjust brightness/contrast/curve/frequency curve
  + Spectrogram: fix slightly-incorrect display (skipping one very high frequency bin)
  + Toolbars: prevent overly-large images from resizing toolbar editor too large
  + Toolbars: allow larger toolbar images (7.50 change partially reverted) [t=304328]
  + Undo: allow longer undo messages [t=303957]
  + Undo: support longer track names/etc for FX, envelope context messages

v7.52 - October 31 2025
  + Fixed lanes: fix comping in certain situations (7.50 regression) [t=304341]
  + Media explorer: do not override tempo-matched item timebase on import in some cases
  + Mouse position indicator: do not display when main window is not focused
  + Preferences/Paths: add user-configurable list of paths to exclude when copying/moving media files (on import and/or via save-as with copy)
  + Preferences/Paths: improve UI for configuration of alternate-peaks path list, allowing longer list of paths

v7.51 - October 30 2025
  + LV2: fix incorrect handling of default system paths (7.50 regression) [t=304333]

v7.50 - October 30 2025
  + Actions: improve descriptions of 'trim/move edge of item' actions for clarity
  + Automation items: adjust rate as needed when track or project timebase changes
  + Automation items: improve support for 'beats (position only)' timebase
  + Batch converter: fix postprocessing button staying disabled after converting with postprocessing disabled [t=304292]
  + Batch converter: support RMS normalization from command line [t=304174]
  + Crossfade editor: fix possible crash when editing multichannel media, 'mono peaks' disabled, 'apply fades to combined peaks' enabled [t=304172]
  + Default theme: minor track panel tweaks relating to pinning/fxlist margins/etc
  + Envelope panel: improve double-click behavior on buttons/controls
  + Fixed lanes: improve performance when comp areas contain many media items [t=304237]
  + Fixed lanes: improve project save time when many comp areas exist
  + FX browser: a change in VST path does not change folder membership [t=291316]
  + FX parameter modulation: fix behavior with parameters that report non-normalized values to host (mostly CLAP) [p=2899700]
  + Localization: fix Windows UTF-8 issue in phase alignment window combo box
  + Localization: make localization of some crossfade editor text consistent (move [xfadedit]/[xfadedit] translations to [xfade] section)
  + Localization: fix MIDI editor selection of triplet/etc with localized names
  + MIDI: preserve notation events through sends with channel filters or remapping [p=2888113]
  + Portable: when running a portable install for the first time, prompt user whether to scan system VST/CLAP/LV2 paths
  + Preferences: add action (under 'Recent project list display' button on Preferences > General) to remove missing projects from recent project list
  + Project tabs: correctly save active project tab when exiting with some tabs unsaved
  + ReaScript: fix EEL2 passing constant strings to various GetSet APIs in 'set' mode
  + ReaScript: GetSetEnvelopeInfo_String marks envelope as dirty for undo [t=303814]
  + Region manager: support 'current' column for take markers
  + Toolbars: enforce a reasonable maximum size for toolbar images/toolbar editor [t=304196]
  + Undo: preserve item selection on undo/redo when configured to not create item selection undo points [t=304184]
  + Undo: update envelope control panel on undo/redo of arm/bypass/etc state
  + Undo: when loading undo history, always ensure that undo state is up to date on project load
  + WALTER: fix tcp.fxlist.margin alignment field [p=2899267]

v7.49 - October 24 2025
  + Actions: improve behavior when moving items up one track and first track selected (7.46 regression)
  + Actions: add actions to toggle track zoom to minimum or default height, ignoring pinned tracks
  + Actions: actions to move to zero crossing ignore non-audio items
  + Actions: fix behavior when duplicating locked items via action
  + Auto-stretch at tempo changes: fix editing edge of auto-stretched item if the item did not previously span any tempo changes
  + Auto-stretch at tempo changes: ignore auto-stretch timebase for auto-synced click source items
  + Batch converter: report to user if convert-in-place failed to replace original file, support trying again [t=303947]
  + Color theme: change fallback color (if theme does not provide a color) for divider between pinned and unpinned tracks
  + Crossfade editor / Phase aligner: allow automatic correlation calculations to take more time, to reduce CPU usage
  + Crossfade editor: support previewing in bounds audio only, out of bounds audio only, top lane only, bottom lane only
  + Crossfade editor: add option to allow hand-scroll on ruler (no auto-center or recenter)
  + Crossfade editor: add setting to allow left and right items to be on different tracks or lanes
  + Crossfade editor: fix interaction with arrange view edits when auto-crossfade is enabled
  + Crossfade editor: if auto-center is disabled, support preference to center horizontal zoom on mouse cursor
  + Crossfade editor: improve accessibility
  + Crossfade editor: support mouse-editing pre-roll and post-roll directly
  + Crossfade editor: support scrubbing audio
  + Envelope manager: remove extra container-related items from FX parameter context menus
  + FX: add option in Preferences/Plug-ins to not prompt to create routing for newly inserted multichannel instruments
  + FX: allow alias/rename of Wet/Bypass/Delta parameters [t=288840]
  + FX: improve loading speed of projects that have many per-take FX
  + Linux: fix big clock region/marker display issues [t=303871]
  + Localization: support localizing Peak/-inf in loudness tooltip
  + Loudness tooltip: fix incorrect LUFS display on multichannel files
  + Loudness tooltip: improve behavior when using spectral edits
  + macOS: work around OS bug where some audio device names could be truncated on Big Sur
  + Metronome: set project metronome pattern when adding/editing time signature marker that changes metronome patterns at project start
  + MIDI: fix possibly incorrect media item fades applied to overlapping and/or all-takes-play media items [t=303991]
  + MIDI: improve responsiveness when importing massive tempo map
  + Normalization: disable setting to adjust mono media -3dB when normalizing to peak or true peak (the setting was ignored in those cases anyway)
  + Normalization: respect preference to adjust mono media -3dB when normalizing stereo/multichannel media that is playing back only one channel [t=303454]
  + Peaks: fix potential enhanced peak drawing error
  + Pitch envelope: render pitch envelope consistently regardless of buffer size [t=303892]
  + Preferences: fix positioning of mouse modifiers checkbox when dialog is resized
  + Preferences: move automatic take and pooled-MIDI item coloring options from Appearance/Peaks to Appearance/Media Items
  + ReaScript: add support for GetSetProjectInfo_String("RENDER_EXTRAFILEDIR") [t=304073]
  + ReaScript: SetEnvelopePointEx/InsertEnvelopePointEx do not try to update UI if nosort is set
  + Region/marker manager: add Current column, to display where the play/edit cursor currently is
  + Region/marker manager: list regions before markers by default
  + Region move: fix MIDI start offset after moving region with contents [p=2896338]
  + Render: fix auto-incrementing filename when rendering to both primary and secondary formats [t=304162]
  + Render: fix incorrect rendered output when using 'normalize to loudest file' and rendering multiple timeline regions at once (7.42 regression) [t=303988]
  + Render: fix possible glitch in online render when canceling render, seeking playback, and immediately restarting render [t=303640]
  + Render: improve various checkbox accessibility labels
  + Render: prevent normalizing or limiting to full master mix when rendering tracks or media items via master [t=303946]
  + REX: fix imported items not looping correctly when project tempo changes have many significant digits of precision
  + Spectrogram: fix incorrect display of multichannel recording items
  + Take envelopes: option to move or not move take envelopes when moving media item contents only affects slip editing (always adjust take envelopes when splitting, edge editing, etc) [t=303852]
  + Tempo envelope: when inserting or editing tempo change point at time zero, adjust tempo and/or time signature in project settings to match inserted point
  + Track panels: fix renaming of first track visible in TCP (7.46 regression) [t=304003]
  + Track panels: add context menu item in empty TCP area to customize empty TCP area toolbar [p=2896776]
  + Track panels: fix meters occasionally not updating on pinned tracks [t=303870]
  + Track panels: fix dragging track below the last visible track when the last track is a collapsed folder track [t=303868]
  + Track manager: fix arrange view vertical scroll behavior after changing track filter [t=303830]
  + Wildcards: fix behavior of wildcard help dialog when opened from Consolidate or Bounce dialogs [t=303811]
  + Windows: reduce excessive tooltip flicker
  + Windows: use modern dialog when browsing for folders on Windows 7 and later

v7.48 - October 6 2025
  + Actions: restore 7.45 behavior of actions to go to previous/next track (stop when first/last track is reached, rather than cycling through)
  + Actions: improve handling of first track selected with 'Move tracks up'
  + Actions: improve handling of selected folder with 'Move tracks down'
  + Auto-stretch at tempo changes: improve predictability when using non-square tempo envelope points
  + Automation: saved latch states are now stored in the project file
  + Automation: add actions to save/load/clear 64 latch presets for envelopes on all or selected tracks
  + Automation: add option to not automatically reset latches in write/latch modes [t=302661]
  + Automation: always set latches for active envelopes when in write mode
  + Batch converter: fix applying trailing silence trim
  + Batch converter: fix opening long paths in explorer/finder
  + Batch converter: properly apply leading trim when the first sample of the file is over the threshold
  + Batch converter: support applying fades outside of trimmed content
  + Batch converter: support Low Pass Fades (low pass filter opens as volume fades in, closes as volume fades out)
  + Big clock: add wildcards for selected media item name/notes, position, length (blank if no selected items, or multiple selected items)
  + CLAP: by default, do not delay automation by PDC amount (configurable via right-click of I/O button)
  + CLAP: treat plug-ins that do not support the audio port extension as MIDI-only [t=303348]
  + Envelopes: fix behavior when removing time from project and a square envelope point is at the start of the removed time [t=302457]
  + Envelopes: when using mouse modifier to delete envelope point, dragging with mouse down will continue to delete envelope points
  + Fades: support Low Pass Fades (low pass filter opens as volume fades in, closes as volume fades out)
  + Fades: display Low Pass Fade as a double line in arrange view
  + Fades: restore crossfade menu order from pre-7.40 (equal power fade listed 2nd rather than last)
  + Fixed lanes: actions to insert new MIDI item, empty item, click source, timecode item, etc target the last clicked lane [t=303679]
  + Fixed lanes: update active lane cursor when clicking lane play buttons
  + Fixed lanes: actions to insert retroactively recorded MIDI respect active lane
  + FX: rename VST/CLAP plug-in option (in I/O button right-click menu) 'Adjust automation' to 'Delay automation' for clarity
  + Item groups: add setting/action to display item group colors/names in arrange view instead of media item colors/names
  + JSFX: fix opening external editors for FX with filenames that contain spaces [t=303246]
  + Localization: optimize CPU use when using language packs
  + macOS: fix joystick support while MIDI learn/assign windows are open
  + Media explorer: fix playback rate after clearing time selection with escape key
  + Mouse modifiers: fix cursor not targeting empty fixed lane with certain combinations of custom mouse modifiers [t=303669]
  + Mouse modifiers: obey seek preferences when left-drag is mapped to marquee/etc (7.46/7.47 regressions) [p=2894325]
  + Nudge: ignore snap when nudging contents
  + Nudge: improve behavior when nudging contents by beats with tempo changes
  + Project bay: remove support for displaying little used old-style named take comps
  + ReaScript: fix opening external editors for very long script names
  + Render: add render peaks display option to show file length in samples
  + Render: display basic histogram of short-term loudness in HTML render statistics chart
  + Render: fix garbage output when rendering stems to a higher number of channels than the track channel count (7.37 regression)
  + Render: fix possible 1-sample file length discrepancy when rendering media items on multiple tracks [p=2893420]
  + Render: handle trimming leading silence when the first rendered sample is over the threshold
  + Render: improve tooltip on HTML render statistics chart (smaller, highlights which channel/polarity has the highest peak)
  + Render: support Low Pass Fades (low pass filter opens as volume fades in, closes as volume fades out)
  + Render: when both trimming and fading in render postprocessing, support applying fades either inside or outside the trimmed content [t=302662]
  + Render: support saving render presets with empty output directory [t=303314]
  + Screensets: include master TCP in track view screensets
  + Screensets: include TCP pinning state in track view screensets
  + Screensets: include visual spacer in track view screensets
  + Stretch markers: allow AltGr+click to remove stretch markers on Windows [p=2893806]
  + TCP toolbar: fix left-click behavior when clicking in empty area next to toolbar buttons
  + TCP toolbar: fix right-click menu positioning
  + Toolbars: add action to customize empty TCP area toolbar
  + Toolbars: add right-click menu for 'add track' toolbar button
  + Track pinning: actions to toggle track height to minimum or default size affect pinned tracks
  + Track pinning: disable track spacer menu items for pinned tracks
  + Track pinning: more predictable vertical zoom
  + VST: add support for wide layouts (k90_4_W, k91_4_W, k90_6_W, and k91_6_W)
  + VST: when setting volume/pan via IContextInfoProvider3 interface, add undo point after edit
  + VST: by default, third-party plug-ins do not delay automation by PDC amount (right-click I/O button to configure)
  + Windows: fix opening various paths in explorer when a file/directory similar name with .exe extension exists next to the path [t=303649]

v7.47 - September 26 2025
  + Accessibility: improve accessibility labels for ReaVerb IR generator fields
  + Envelopes: add actions to hide active envelope, show previous/next envelope on the same track (cycle through envelopes)
  + Help: fix click/action mappings in generated html mouse map/keyboard binding document [t=299870]
  + Localization: fix drawing of wet/dry knob UTF-8 text
  + Localization: allow localization of various accessibility labels in ReaPlugs
  + macOS: remove problematic option to partially-disable retina drawing for classic themes [t=303437]
  + macOS: improve mixer drawing performance when using Metal, retina displays, and visual spacers
  + Metadata: fix embedding BWF loudness metadata with certain settings [p=2891864]
  + Metadata: fix embedding BWF loudness metadata when file is silent
  + MIDI editor: fix actions to edit notes by grid [t=302994]
  + MIDI editor: actions that adjust event value/position based on midi CC/wheel obey MIDI event filter [t=302723]
  + MIDI editor: insert note at mouse cursor action will allow extending non-looped items [t=303324]
  + MIDI editor: when opening editor, ensure the clicked-on media item is visible in the arrange view [t=303296]
  + Mouse modifiers: fix default razor edit cursor (7.46 regression) [p=2893557]
  + Mouse modifiers: fix seeking when clicking in empty areas and left-drag is mapped to marquee/marquee zoom/razor edit selection/etc (7.46 regression)
  + Mouse modifiers: shift/control + right click no longer shows context menu, restoring 7.45 behavior [t=303397]
  + Notation editor: fix horizontal zoom when MIDI timebase is set to time and editor is wide [t=303336]
  + Parallel FX: fix certain instances where some VST3 can result in untouched channels being zeroed out [t=303311]
  + PDC auto-bypass: fix support for MIDI overdub/replace modes [t=303404]
  + PDC auto-bypass: add option to only auto-bypass PDC FX while recording (useful but causes glitches when punching in/out)
  + ReaScript: allow adding spectral edit frequency points with very close timing values
  + Render: display true peak in render statistics if setting is enabled to display it, or if normalizing or brickwall limiting to true peak, not if calculating true peak only for the purpose of embedding loudness metadata
  + Render: fix description of pad vs fade order in postprocessing help
  + Render: fix tiny rendered file length discrepancies that can occur in certain circumstances [t=303315]
  + Render: improve preview playback of recently-rendered items, avoiding possibly dropping samples at preview start [t=303386]
  + Render: support save/load of RPP with render trim threshold set under -100dB
  + Render: when rendering to mp3 and brickwall limiting, display final statistics for the pre-encoded signal [t=302749]
  + Screensets: fix updating display when loading track view screensets [p=2892617]
  + Solo bus: fix solo bus when trivial tracks are soloed [t=303344]
  + Solo bus: fix incorrect audio output after disabling solo bus while a track is soloed
  + Solo bus: add option to ignore solo on child tracks when the parent track is soloed [t=303393]
  + Spectral peaks: fix incorrect display with certain channel modes [t=303398]
  + Takes: action and mouse modifier to select take from take list affects grouped items [t=303389]
  + Track renaming: improve auto-scroll behavior (7.46 regression) [t=303367]
  + Vertical zoom: keep top of zoom-centered track visible when tracks are pinned, if possible [p=2892964]
  + Visual spacers: fix hit testing of visual spacers in certain instances

v7.46 - September 18 2025
  + Actions: add actions to move tracks up/down, similar to drag/dropping to position above/below selected tracks
  + Actions: fix behavior of 'crop project to selection' with razor edits and fixed lane comp areas
  + Batch converter: copying current settings to clipboard for command line use will list literal output filenames if possible
  + Batch converter: fix window title
  + Batch converter: support and document exploding stereo/multichannel to separate mono files when running from command line
  + Batch converter: when run from command line, fix converting filenames with space in path (7.29 regression) [t=298659]
  + CLAP: fix window destruction flow to be more compatible with iPlug2 GL plug-ins
  + CLAP: notify plug-ins when window DPI changes
  + CLAP: validate sizing using adjust_size if supported when creating UI
  + Consolidate: fix re-importing to project after consolidating MIDI to .mid files [t=303114]
  + Custom menus: improve behavior when menus have been customized and switching languages (store English names in reaper-menu.ini, requires load/save of menus with language pack loaded to convert to English)[t=302814]
  + Custom menus: improve handling of menu titles and localization (do not save menu titles if they equal the current localized default) [t=302814]
  + Envelopes: add menu items to set envelope segment shape when right-clicking between envelope points (equivalent to setting the previous point shape)
  + Envelopes: fix selecting all envelope points when automation items exist [p=2875000]
  + Envelopes: improve click-deselection logic, improve behavior when using left click marquee on envelopes in media lane [p=2874486]
  + Images: support reading CMYK .jpg files (though perhaps with not ideal colors) [p=2885432]
  + Import: support dragging folders into project (will import all media files within the directory without recursing)
  + Marquee selection/razor edits: smoother auto-scroll when dragging past the edge of the arrange view
  + Marquee selection: improve behavior when envelope in item lane is active and marquee does not intersect its points
  + Managers: improve focus behavior after editing name field in track/region/group managers on macOS [t=303243]
  + Managers: preserve column order/width in track/region managers when switching between REAPER versions going forward (existing customizations may be reset when running 7.46 for the first time)
  + MIDI editor: improve auto-scroll behaviors
  + Mouse modifiers: auto-scroll MIDI editor when dragging in mouse modifier contexts that are set to 'no action'
  + Mouse modifiers: add contexts for fader, tcp fader, mcp fader
  + Mouse modifiers: add contexts for Track Control Panel, Mixer Control Panel mouse wheel and horizontal wheel
  + Mouse modifiers: add flags to not change selection and/or move edit cursor when using actions in various click contexts
  + Mouse modifiers: always allow recently-created copies of CC events to cross other events when using copy CC mouse modifier [t=270899]
  + Mouse modifiers: add edit cursor handle support for 'No action' and new 'Move cursor (no scrub)' mode
  + Mouse modifiers: better handling of clicking out of bounds in MIDI editor when click is mapped to insert note
  + Mouse modifiers: fix click-selects-track when drag is mapped to time selection, etc
  + Mouse modifiers: fix context menus when right-drag set to time selection or scrub/jog [t=234628]
  + Mouse modifiers: fix item deselection/track selection when left drag is mapped to marquee zoom/marquee [t=264918]
  + Mouse modifiers: fix item left-click action when left drag is set to 'No action' [t=270727]
  + Mouse modifiers: fix middle-click action when middle-drag is set to 'No action' [t=247978]
  + Mouse modifiers: fix more combinations of click/drag in MIDI editor [p=2871984]
  + Mouse modifiers: fix running actions in take marker click context
  + Mouse modifiers: fix time selection in inline MIDI editor [t=257282]
  + Mouse modifiers: fix toggling selection on grouped items with certain drag options [p=2621675]
  + Mouse modifiers: fix issues with MIDI editor context menu when right-drag is mapped to time selection
  + Mouse modifiers: fix right-click/drag modifiers in MIDI inline editor when right-drag is mapped to scroll/scrub/etc in arrange view [t=289553]
  + Mouse modifiers: fix context menu in MIDI inline editor when right-drag is mapped to handscroll (which is not supported in the inline context) [p=2880891]
  + Mouse modifiers: fix click notation/score mouse modifiers when drag is set to select touched notes or time selection
  + Mouse modifiers: fix using piano roll click modifiers (rather than ruler) when clicking in notation/score empty staff areas and drag is not set to draw/paint notes
  + Mouse modifiers: mouse modifier in notation/score to insert note on left click does not move edit cursor, matching piano roll behavior
  + Mouse modifiers: improve click behavior when drag set to marquee/erase/scrub in piano roll and notation [t=263231] [t=253771]
  + Mouse modifiers: improve item cursor display when using razor edits [t=265245]
  + Mouse modifiers: improve label when moving envelope point vertically with fine adjustment [t=252617]
  + Mouse modifiers: improve MIDI editor preview when left click inserts note, left drag erases notes/selects time/scrubs [t=239896]
  + Mouse modifiers: improve MIDI editor mouse modifiers around scrub, don't move edit cursor until drag, play preview note if applicable before drag
  + Mouse modifiers: improve click behavior when using drag to move/copy existing notes [p=2871976]
  + Mouse modifiers: improve option to set time selection in media item left click context
  + Mouse modifiers: do not change track selection when left click is mapped to marquee selection [t=261318]
  + Mouse modifiers: cursor in envelope lanes reflects the track mouse modifiers [t=228507]
  + Mouse modifiers: obey option to move edit cursor to time selection when setting time selection via MIDI editor modifiers [t=265406]
  + Mouse modifiers: properly support 'No action' in MIDI editor ruler, marker/region drag, take marker drag contexts [t=268077]
  + Mouse modifiers: support alt+click to delete fade in fade-intersection context [t=276985]
  + Mouse modifiers: support ignoring grouping for item left-click 'add items to selection' [p=2873181]
  + Mouse modifiers: when razor edit click is set to 'No action', do not set cursor [t=299146]
  + MusicXML: export <instrument-name> as blank, for compatibility with MuseScore 4.5 [t=299830]
  + MusicXML: fix export encoding of XML characters [t=303077]
  + MusicXML: fix import of XML hex unicode character entities
  + Pan law: make master track 'Gain compensation (boost pans)' checkbox consistent with processing behavior
  + PDF export: improve appearance of accidentals on grace notes, lyrics with a single clef  [t=277592]
  + Peaks: fix possible display glitch when highly zoomed in and using stretch markers and take play rate
  + Phase aligner: respect 'use time selection' by ignoring reference items that are entirely outside the time selection [t=303037]
  + Project bay: add option to copy media to project directory when importing to project bay
  + Project bay: improve FX idle status display/sorting [t=302756]
  + Project bay: support dragging media folders and groups into the project
  + Project bay: support dragging multiple media items into project while preserving original track/item spacing
  + Project bay: when dragging media items within existing groups into project, create a new group
  + Project bay: when importing multiple media items into project, support importing to one track, separate tracks, or fixed lanes
  + Project settings: do not save project play rate as part of default settings [t=303058]
  + ReaScript: add GetSetMediaTrackInfo('B_TCPPIN'), GetSetProjectInfo('PROJECT_TCP_UI_FLAGS')
  + ReaScript: add GetSetProjectInfo('PROJECT_TIMEBASE') and 'PROJECT_TIMEBASE_FLAGS' (read-only)
  + ReaScript: extend SetMouseModifier()/GetMouseModifier( APIs to support extended flags
  + ReaScript: fix GetEnvelopePointByTimeEx()/SetEnvelopePointEx()/DeleteEnvelopePointEx() on automation items (the meaning of the 0x10000000 flag was backwards, this may break existing ReaScripts) [t=302948]
  + ReaScript: improve documentation for GetEnvelopePointEx( full-loop mode
  + ReaScript: improve performance of GetMediaSourceFileName() and other PCM_source APIs when used on sequential scans of large projects [t=303112]
  + ReaScript: recalculate TCP display order when calling TrackList_AdjustWindows(false)
  + ReaScript: fix FX_GetPresetIndex() for loaded video processors, better disambiguation between built-in and user presets of the same name [t=302678]
  + ReaSurroundPan: support improved localization of various speaker names [p=2884783]
  + Render: fix handling of filenames that end with many digits when testing for filename collisions [t=302972]
  + Render: obey 'Mix and process FX at project sample rate' setting when using 'Preserve source media sample rate if possible'
  + Render: 'Mix and process FX at project sample rate' will use the last hardware sample rate if project sample rate is not set
  + Ripple: adjust time selection/loop points when removing time from project
  + Ripple: add preference to insert or not insert empty space when importing media with ripple edit (if not inserting space, do not split overlapping items, just move later items to the right)
  + Solo: add preference to use a dedicated solo bus (master track hardware outputs can choose to bypass that bus)
  + Solo: add preference to enable metering for unsoloed tracks when in dedicated solo bus mode
  + Tempo envelope: support entering tempo/time signature change location in time, beats, H:M:S:F, or samples
  + Tempo envelope: add mouse modifier checkbox (enabled by default) for tempo envelope point edits to always use 'on one axis only' modifiers
  + Tempo envelope: support curved and bezier envelope shapes
  + Tempo envelope: improve behavior when pasting tempo envelope points and tempo envelope timebase is beats [t=302495]
  + Tempo envelope: allow dragging tempo change points when envelope segments are linear or curved [t=261032]
  + Theme: add support for pinned tracks to default theme
  + Theme: add theme elements for transport timebase indicator (trans.timebase, transport_timebase_time.png, transport_timebase_beat.png)
  + Theme: add theme elements for item timebase indicator (item_timebase_time, item_timebase_on, item_timebase_time_beat, item_timebase_beat_on, _on displays when the item timebase differs from the project timebase)
  + Theme: support theme images for pinned track divider (tcp_pinned_divider, tcp_pinned_divider_overflow)
  + Theme: report trackpinned=1 to WALTER if the track is pinned but overridden, trackpinned=2 if pinned and not overridden, trackhidden=1 if hidden but overridden
  + Timebase: add project setting to control whether MIDI items are affected by project timebase, to support MIDI items adjusting to tempo changes but not audio items
  + Timebase: improve import behavior when using Time timebase and a tempo map is present
  + Timebase: support setting project timebase to Beats with auto-stretch at tempo changes
  + Timebase: add stretch markers to preserve timing when setting timebase to Beats with auto-stretch at tempo changes
  + Timebase: optionally display media item button indicating item timebase
  + Timebase: support timebase Beats (position only) for MIDI items
  + Timebase: prevent adding unnecessary stretch markers at media item edges when applying timebase beats with auto-stretch at tempo changes
  + Timebase: when changing to Time timebase with auto-stretch at tempo changes, apply current transformation as a single media item play rate
  + Toolbars: add toolbar for empty Track Panel space, give it a default "insert track" button
  + Toolbars: make tooltips positioned similar to track panel tooltips
  + Toolbars: allow creating empty toolbars
  + Track meters: fix display when track panels are narrow [t=302866]
  + Track pinning: support pinning individual tracks to the top of the arrange view
  + Track pinning: pin master track to top of arrange view by default
  + Track pinning: add actions to override or show all hidden or pinned tracks, pin selected tracks/unpin all others, show/hide all pinned tracks
  + Track pinning: add preference to disable vertical zoom for pinned tracks
  + Track pinning: ignore 'expand selected tracks, minimize others' for pinned tracks
  + Track pinning: do not insert new tracks when drag-importing media into pinned track area
  + Video: auto-detect factory preset when saving preset
  + Video: fix generative oscilliscope/spectrum analyzer presets when project time offset is used [t=300658]
  + Video: fix input_get_name with empty take names [t=302761]
  + Video: restore preset name when bringing video processor online [t=303014]
  + Video: support syncing to encoded LTC via 'Move to media source preferred position' action
  + Windows: improve appearance when track-reordering indicator overlaps with metering

v7.45 - August 29 2025
  + Filenames: fix auto-increment behavior [p=2887221]
  + Filenames: set default auto-increment suffix to '_001' to match existing behavior of action to save new version of project
  + FX: show tooltip over borderless embedded FX in MCP
  + JSFX: simplify appearance of oscilliscope/spectrum analyzer when embedded
  + JSFX: support setting no-decorate and mouse-passthrough by setting gfx_ext_flags 0x100/0x200 respectively
  + WMF: fix incorrect extension when rendering video-only or audio-only files

v7.44 - August 27 2025
  + Actions: add action to duplicate project in new tab
  + Actions: add duplicate/copy as synonyms
  + Batch converter: fix applying trailing silence trim
  + Batch converter: fix applying leading trim when the first sample of the file is over the threshold
  + CLAP: support embedded FX UI (see reaper_plugin_fx_embed.h)
  + Crossfade editor: don't display ruler or peaks for negative project time
  + Crossfade editor: improve consistency of out-of-bounds peak display
  + Crossfade editor: improve gridline spacing
  + Crossfade editor: prevent crash when zooming and scrolled away from crossfade
  + Crossfade editor: prevent edits from creating negative start offset for looped media items
  + Filenames: support wildcards in auto-increment filename setting (Preferences > General)
  + FX: support no-decoration and passthrough clicks for embedded FX UI (see reaper_plugin_fx_embed.h)
  + GIF: report animated GIF frame count in source properties
  + Glue: fix handling take names that resemble filename extensions [t=302769]
  + JSFX: fix listing presets in Add FX window
  + JSFX: increase accuracy of true peak calculation in Loudness Meter
  + Linux: automatically try ALSA subdevices when the default subdevice fails to open
  + Linux: improve UI responsiveness when dragging/dropping files
  + Linux: only try suspending PulseAudio when ALSA device returns busy status
  + Linux: support drag/drop of files to plug-in windows [t=292802]
  + macOS: improve keyboard handling of Eisu/Kana keys
  + macOS: improve keyboard handling with IME window open
  + MIDI: fix adjusting left edge of MIDI item when inserting time or moving/copying regions when tempo changes exist [t=302502]
  + MIDI editor: increase size of key snap scale box slightly [t=302519]
  + Mouse modifiers: add modifier to move item contents and right edge, respecting toolbar ripple edit button
  + Phase aligner: disable controls while phase alignment is calculating
  + Phase aligner: support adjusting each item separately, each track separately, or all items together
  + Preferences: allow resizing preferences window smaller (automatically do so to support low resolution displays), allow scrolling
  + Preferences: move auto-increment suffix preference to Preferences > General
  + Project: use configurable auto-increment suffix when incrementing project name during save-as
  + Project bay: fix listing JSFX presets
  + ReaLimit: increase accuracy of true peak calculation
  + ReaScript: document section IDs for GetToggleCommandStateEx()
  + ReaScript: support crossfade editor commands in GetToggleCommandState_Ex()
  + Render: add preference to always delete incomplete files after canceling render
  + Render: fix normalizing and brickwall limiting to master mix when not rendering master mix (7.43 regression)
  + Render: fix possible crash/error when brickwall limiting files with high sample rate and high channel count [t=302536]
  + Render: fix possible peaks display error when brickwall limiting
  + Render: fix rendered files being slightly too long when brickwall limiting multiple files at once [t=302536]
  + Render: fix applying leading trim when the first sample of the file is over the threshold
  + Render: if default rendered file name is blank or "untitled", use "$project" instead
  + Render: increase accuracy of true peak calculation for render statistics and brickwall limiting
  + Render: support sending .wav.rpp and render_stats.html to alternate path vs media, via RENDER_EXTRAFILEDIR in project and render preset (no UI yet)
  + Ripple edit: respect setting 'ripple edit all affects tempo map' when pasting media items with ripple-edit-all enabled
  + Ruler: improve snapping behavior when moving regions without contents
  + Theme: display frame grid lines in different theme color in between whole seconds [t=302752]
  + Time selection/loop: add user preference for minimum length in pixels (prevent accidental 2-pixel time selections)
  + Video processor: prevent crash when right clicking to evaluate nontrivial code [t=302685]
  + Windows: fix some keyboard handling corner cases, e.g. alt+P/R in media item properties

v7.43 - August 13 2025
  + Actions: add action to toggle project timebase between time and beats
  + Actions: fix toggle command state for track groups 65-128 [t=301913]
  + Actions: improve actions to move selected points up/down a tiny/little bit with mute/stepped envelopes (move by step size)
  + Crossfade editor: add actions to mute left item, mute right item, solo crossfaded items
  + Crossfade editor: if re-center/auto-center options disabled, do not clamp edits or display to crossfade edges; allow crossfade to be partially or completely offscreen
  + Crossfade editor: support hand-scroll by dragging above the top item
  + Envelopes: add actions to remove unnecessary points
  + Envelopes: fix action to reduce envelope points removing first or last point
  + Freeze: fix intermittent issues with overlapping items being generated [t=302396]
  + Items: fix looped item playback when item is just barely longer than source material [p=2881216]
  + JSFX: improve syntax highlighting of parameter names [p=2880862]
  + Localization: fix control resizing errors on Windows [t=301809]
  + Localization: improve layout of automation item properties window
  + Localization: improve layout of track envelope manager window
  + Localization: improve measurement/expansion logic of controls on Windows
  + Media explorer: support marking and favoriting non-media files (projects, templates, FX chains/presets, etc)
  + Media explorer: support adding metadata for non-media files; persists as long as the file remains in the same folder
  + Media explorer: when writing metadata to file, preserve user-edited cached metadata that the file type does not support
  + Metronome: commit volume edit when editing and immediately closing window [t=295695]
  + MIDI: add explanatory timebase text to MIDI source properties dialog
  + MIDI: automatically pool copies of items when they are already pooled, regardless of MIDI pooling preference [t=301909]
  + MIDI: fix extending unlooped MIDI item when timebase is set to time and tempo changes exist [t=301867]
  + MIDI editor: when coloring by track/item and track/item is default colored, add option (enabled by default) to color by source instead [t=301151]
  + MIDI editor: fix initial zoom issues when using note folding
  + MIDI editor: fix reset of inline editor zoom/scroll on undo/redo, other actions [t=276983]
  + MIDI editor: preserve sequencer specific messages, support viewing and editing similar to sysex [t=302211]
  + MIDI editor: support snap to visible grid in inline editor [t=302099]
  + MIDI editor: fix displaying all text/sysex messages at item start in MIDI editor
  + MIDI editor: fix loss of default settings when gluing/etc in certain instances [t=302154]
  + Mixer: fix adjusting mixer control panel height for visual spacers and scrollbar [t=302428]
  + Phase aligner: add text explaining that multiple rows can be selected
  + Phase aligner: support applying phase adjustment per-track rather than per-item [t=301847]
  + Project: support importing .adl (AES-31) project files
  + Project bay: improve handling of double-click on collapse buttons [t=295988]
  + Project bay: remove useless behavior when drag/dropping FX parameters [t=295988]
  + Project tabs: support up to 1000 project tabs (increased from 128)
  + Razor edits: allow editing track envelopes in media lane, media item take envelopes similarly to track envelopes
  + Razor edits: avoid adding unnecessary edge points when editing envelopes [t=302015]
  + Razor edits: fix behavior when editing envelopes with multiple razor edits at once
  + Razor edits: fix tooltip when editing envelope left-side tilt
  + ReaScript: FX_Get/SetNamedConfigParm() supports channel_config to allow configuring ReaPlugs I/O and VST3 requested bus size
  + ReaScript: support I_FREEZECOUNT for GetSetMediaTrackInfo()
  + Regions: fix mouse-clicking regions when preference enabled to display selected regions over unselected regions [p=2879410]
  + Render: avoid saving default rendered file name as "untitled" [p=2883119]
  + Render: do not embed loudness metadata if embedding metadata is disabled generally
  + Render: when rendering to a lossy format like mp3 or ogg, calculate normalization and statistics based on the format-encoded signal rather than the source signal [t=301008]
  + Ruler: fix display update after double-clicking region [p=2878971]
  + Scrub range window: support entering negative values
  + Section source: preserve take envelope timing when slip editing section source [p=2877093]
  + Snap: respect snap to sample setting even if project sample rate is not set (use device sample rate instead)
  + Take envelopes: add option to move or not move take envelope points when moving media item contents
  + Theme: no longer show meters for non-record armed tracks that are over +0dB as a different color
  + Track I/O context menu: support multiple selected tracks when adding new track [p=2879019]
  + Track I/O context menu: when adding a new track with sends, select the new track and ensure it is visible
  + Track manager: fix sorting by certain columns [t=302398]
  + WAV: fix reading certain kinds of metadata (7.23 regression)
  + Windows: fix date UTF-8 formatting issues with certain locales [t=301935]
  + Windows: fix FX chain focus issues when renaming FX, toggling bypass, etc [t=299745]

v7.42 - July 13 2025
  + Accessibility: improve edit field labels in GetUserInputs() API call
  + Accessibility: improve take loop section labels in Media Item Properties window
  + Actions: fix corner case behaviors of move cursor by grid division actions added in 7.41
  + Actions: open in editor works while recording, does not automatically close audio device for external editors [t=73180]
  + Click source: fix incorrect peaks display when resizing item [t=301631]
  + Control surfaces: fix mixer ordering inconsistencies when mixer is not open
  + Crossfade editor: actions to preview left/right/both do not restart playback if already playing
  + Crossfade editor: actions to preview right-hand item start playback from start of right-hand item
  + Crossfade editor: add actions to increase/decrease pre-roll or post-roll time
  + Crossfade editor: add actions to preview left/right/both, not soloed
  + Crossfade editor: add action to play/stop from start of right-hand item
  + Crossfade editor: fix actions to set preview time to 50/100/500 ms
  + EDL: when importing Vegas TXT, handle start offset/playrate correctly [t=301827]
  + JSFX: improve syntax highlighting consistency for sliderX: lines
  + Localization: increase size of Metering labels in ReaPlugs
  + macOS: better popup button initial positioning when rounded macOS controls are enabled
  + MIDI: apply timebase changes when changing timebase via media item properties dialog [t=301795]
  + MIDI: fix auto-loop-disable/extend of looped items in time timebase when overdub recording
  + MIDI: fix overdub recording into subsequent loop iterations of looped items
  + MIDI: fix overdub recording to items in time timebase (with item-loop enabled) [t=301324]
  + MIDI: fix pencil-drawing MIDI when timebase is set to time [t=301402]
  + MIDI: fix potentially incorrect chasing on looped items in time timebase
  + MIDI: reconform MIDI data when switching item timebases (requires item to be un-pooled and not actually looped)
  + MIDI: when pasting MIDI items, snap item position to PPQN, not item-source-start-position [t=286926]
  + MIDI: fix auto-extending start of non-looped items in the time timebase [t=301694]
  + MIDI editor: always allow recently-created copies of CC events to cross other events when using copy mouse modifier [t=270899]
  + MIDI editor: fix 'move right by grid' when snap enabled and limit grid to visible is disabled
  + MIDI editor: fix auto-extend of MIDI items with negative start offsets [t=301611]
  + MIDI editor: fix event properties tick parsing clamping to file length for item in time timebase
  + MIDI editor: improve snap behavior when inserting text/lyrics/sysex events via right-click/double-click in lane [t=301850]
  + Phase aligner: allow setting maximum adjustment to 0 ms, to restrict alignment to inverting phase only
  + Pin mapper: fix potential crash when reopening media pin mapper/media explorer pin mapper (7.35 regression) [t=301329]
  + Preferences: fix searching of mouseover text on some preferences pages
  + Preferences: remove option from preferences/mouse that is no longer used [t=284849]
  + Project bay: fix initial focus when docked
  + Project settings window: increase size slightly to make room for future additions
  + ReaScript: support re-scanning JSFX list/metadata by calling EnumInstalledFX() with idx=-1
  + Region render matrix: menu item to enable rendering all regions ignores the 'entire project' region [t=301720]
  + Render: fix possible blank samples added to start of mp3 render when render settings enabled to mix/process at project sample rate and rendering to a different sample rate [t=301601]
  + Render: fix possible dropped samples at start of render when render settings enabled to mix/process at project sample rate and rendering to a different sample rate [t=301601]
  + Ruler: improve double-click behavior, restoring some 7.40 functionality lost in 7.41 [t=293896]
  + Save as: ensure saving project files via save-as always have correct .RPP extension
  + Scrub: add new preference for one-shot jog mode when moving edit cursor, add action to toggle it
  + Scrub: add action to play a single one-shot scrub loop
  + Scrub: add action to invert looped-segment range
  + Scrub: add action to prompt to set/update looped-scrub range values
  + Track I/O context menu: support adding send/receive to new tracks
  + Track list: improve auto-scroll of track list to match mixer when selected track is partially visible [t=301677]
  + VST3: fix bridging handling of legacy CC messages [p=2875935]
  + Wildcards: $namecount wildcard does not count multiple instances of the same name in the same string [t=301309]
  + Windows: improve handling of MIDI hardware output errors, add midi_hw_debug=1 ini file option to enable win32 debug messages on error

v7.41 - June 28 2025
  + Actions: add actions to move cursor by grid division, which preserve non-snapped grid if snapping is not enabled
  + Actions: fix actions to show/hide all envelopes in certain situations [t=301489]
  + Actions window: prevent adding action from incorrect section to custom menu/toolbar in certain instances [t=301286]
  + Actions window: prevent closing window when double-clicking item that is not runnable
  + Auto trim/split silence: respect dialog fade-in/fade-out setting regardless of project default fade settings [t=299675]
  + Click source: fix initial focus of modeless source properties window
  + Crossfade editor: add actions to load default crossfade, crossfade presets
  + Crossfade editor: add actions to nudge left or right item volume +/- 1 dB or 0.1 dB
  + Crossfade editor: add actions to set preview time to 50/100/500 ms
  + Crossfade editor: add actions to zoom in/out
  + Crossfade editor: add action to toggle ripple editing on/off
  + Crossfade editor: add action to toggle setting to lock left-hand item start position
  + Crossfade editor: add option for edits to affect all selected items regardless of timeline position, enabled by default [t=301171]
  + Crossfade editor: add option to link pre-roll/post-roll when mouse editing
  + Crossfade editor: after running action to set pre-roll or post-roll to mouse, restart playback only if the pre-roll changed
  + Crossfade editor: clamp edits to adjacent fade edges [p=2873557]
  + Crossfade editor: display the number of affected crossfades in the title bar
  + Crossfade editor: fix wonky display update when editing while playing back
  + Crossfade editor: improve auto-crossfade behavior when edits affect items that are not processed by the crossfade editor [p=2874197]
  + Crossfade editor: mute left/right also affects grouped items
  + Crossfade editor: update checkboxes when reopening editor and solo/mute are enabled
  + Crossfade editor: update numerical pre-roll/post-roll display after running actions that change pre-roll/post-roll
  + JSFX/Video Processors: get_host_placement() returns track index/fx address and sets 8 bit in flag when called from FX in container [t=301134]
  + macOS: fix ReaImGui issue with transparency [p=2875068]
  + Media explorer: fix vertical-mode divider sizing issues [t=296197]
  + Menu/toolbar customization: reduce flicker on Windows
  + MIDI: avoid writing real-time MIDI messages when exporting to file [t=301162]
  + MIDI: fix midi peaks inaccuracies when looped items intersect tempo changes (7.39 regression)
  + MIDI: fix swing grid navigation on 1/2 grid size [p=2873161]
  + MIDI: handle importing file MIDI with incorrectly-included SPP messages [t=301162]
  + MIDI editor: better behavior when using linked project grid and swing mode changes [p=2871994]
  + MIDI editor: fix actions to navigate left/right by grid when snapping is disabled (7.40 regression)
  + MIDI editor: preserve swing setting after glue
  + MIDI editor: improve undo log message after note splitting [t=299882]
  + MIDI editor: use project setting for relative snap
  + Mouse modifiers: fix incorrect capture handling when clicking to insert take marker [t=297904]
  + Mouse modifiers: preserve fade start/end time when engaging mouse modifier to adjust edge without changing fade time [p=2873252]
  + Nudge: fix nudging automation items by musical amounts [t=297915]
  + Pin mapper: fix incorrect initial size when using DPI scaling on Windows/Linux [t=301273]
  + Razor edits: fix handling of crossfades when stretching regions [t=301300]
  + Razor edits: fix stretch edits affecting other items when preference set to add warp markers [t=301240]
  + ReaEQ/ReaXcomp: support mousewheel over text fields, like other ReaPlugs
  + ReaScript: fix instances where GetSetProjectGrid() would not set measure-grid (mode=3)
  + Render: add setting to enable/disable all dither and noise shaping
  + Render: allow editing render metadata even if embedding metadata is not enabled
  + Render: fix skipped samples at start of render with certain combinations of render settings and resample modes (7.37 regression) [p=2874439]
  + Render: improve various behaviors and interaction with completed render dialog when project play rate is not 1.0 [t=301133]
  + Render: prevent possible crash when adding rendered files to project after the source track or media item has been removed
  + Render: restore option to normalize to master mix
  + Render: see render postprocessing help for explanation of differences between 'normalize as if files play together' and 'normalize to master mix'
  + Render: support 'entire project' as a region in region render matrix, to enable rendering specific tracks as mono/stereo/multichannel
  + Render: support delaying render start for normal renders, not just queued renders [t=300630]
  + Render: support limiting to master mix, as distinct from limiting as if files play together
  + RPP: support LOAD_PRESET_FROM_FILE in <FX following <VST, to allow programmatic loading VST/VST3 fxp/fxb/vstpreset file [t=288851]
  + RS5k: fix undesired mode-switch when editing note start/end values [t=299565]
  + Ruler: fix quirks around double-clicking ruler, edit cursor moving [t=293896]
  + Tempo envelope: preserve beat basis when copy/pasting envelope points [t=301271]
  + Transport: fix inconsistent behavior when closing edit field via escape key [p=2875136]
  + Undo: improve loop points/time selection undo messages
  + Windows: allow OSARA to re-enable old ctrl+space playback binding via .ini file
  + Windows: fix fade menu display issue on Windows XP/Vista/7 with classic system theme set [t=301209]

v7.40 - June 10 2025
  + Actions: do not display extra message box when using new 'Save copy of project as (prompt with current name)' action [p=2866104]
  + Audio Units: ensure MIDI events sent to plug-in are sorted
  + Big clock: support copying text to clipboard [t=300511]
  + Big clock: support double-clicking on region/marker color square to edit the region/marker
  + Click source: add setting to preserve click pitch when changing project playback rate [t=300144]
  + Click source: do not apply project or media item pitch shifting if click source setting to preserve pitch is enabled [t=300144]
  + Crossfade editor: add new graphical crossfade editor (thanks chmaha)
  + Crossfade editor: hold alt/opt key while editing crossfade intersection handle to keep left-right movement minimal
  + Crossfade editor: lower edge of fade start/end is mouse edit zone for crossfade width
  + Crossfade editor: mouse edit in combination lane is handled like an item move edit in arrange view (only one side of the crossfade moves)
  + Crossfade editor: support many context-specific actions and shortcut mappings (nudge, preview, align phase, etc)
  + Crossfade editor: add option (enabled by default) to color the entire item in the arrange view when using the crossfade editor
  + Crossfade editor: add theme images for navigation buttons
  + Crossfade editor: display signal correlation within crossfade area
  + Crossfade editor: support loading/saving snapshots
  + Crossfade editor: support locking left-hand item start time (edits are instead applied to the right-hand item in reverse)
  + Crossfades: allow changing either fade-in/out or crossfade shape via fade shape popup menu
  + Crossfades: respect preference to display crossfade handle when "offset overlapping items vertically" is enabled
  + Envelopes: fix envelope points possibly getting scrambled when editing point position via "set point value" dialog [t=241299]
  + Envelopes: support relative snap when moving envelope points, automation items
  + Joysticks: fix issues when re-enabling a joystick that was previously not found
  + Joysticks: update MIDI list when changing devices
  + Linux: add Joystick MIDI support
  + Localization: allow localizing MIDI note names
  + Localization: enhance per-control scaling to support x-position adjustment, width-shrinking, and y-growing of controls, via @id=scale,ysc=yscale,dx=moveamt
  + Localization: improve localization tweakability of media item properties window
  + Localization: support localizing ReaPlugs
  + Localization: fix development helper tooltip ID display for disabled controls on Windows
  + LV2: ensure MIDI events sent to plug-ins are sorted [t=300712]
  + macOS: fix inconsistencies with keyboard bindings after loading plug-ins that change locale (e.g. Kontakt7) [t=299738]
  + macOS: fix stale darkmode color of text controls in certain instances [t=300768]
  + Media explorer: when loading FXB/FXP, do not focus existing FX if already visible
  + Menu/toolbar customization window: fix flicker on Windows [t=300997]
  + Meters: fix mixer master gain reduction metering when master has a high channel count
  + MIDI: adjust item fixed-tempo setting when moving items across tracks to new timebases, auto-convert if possible
  + MIDI: improve behavior when importing, inserting, recording, gluing, or rendering MIDI on a track that has timebase set to time
  + MIDI: be a little more permissive when importing .mid files with oddly-formed MIDI track data, unterminated sysex messages [t=300816] [p=2871126]
  + MIDI: change menu/action text to 'Time format: Measures.Beats.PPQ' from 'Time format: Measures.Beats.MIDI_ticks'
  + MIDI editor: omit view/editor state from undo points, reducing extra undo points in certain cases
  + MIDI editor: enabling 'snap relative to grid' disables absolute snapping for note-starts
  + MIDI editor: support relative snap for CC events
  + MIDI editor: improve behavior of actions to move cursor left/right by grid with 'snap to visible grid' enabled
  + Mouse modifiers: fix automation item double-click action binding [t=301001]
  + Mouse modifiers: exporting ReaScript to set modifiers supports updating correct toolbar in MIDI editor [t=296961]
  + Paste: fix MIDI PPQ snapping when pasting items in projects that have tempo changes
  + Peaks: fix dual-type peaks display when using item section/reverse (7.39 regression) [p=2869705]
  + Peaks: fix peak edge drawing when using alpha < 1.0
  + Peaks building: allow peaks of corrupted partial media to finish building (7.39 behavior change reverted) [t=300885]
  + Phase aligner: add new phase alignment action/dialog
  + Phase aligner: maximize phase correlation between media items and selected reference media items
  + Phase aligner: support batch processing, to phase-align multiple media items with multiple reference media items
  + Phase aligner: adjust grouped items when applying phase alignment
  + Project settings: fix save of default relative snap setting
  + Razor edits: add experimental option (reaper.ini areasel=2) to not merge adjacent selection regions
  + Razor edits: improve behavior with video items and automation lane razor edit edges [t=300920]
  + Razor edits: update toolbar when moving razor edit with ripple mouse modifier [t=266576]
  + ReaControlMIDI: improve macOS window sizing
  + ReaEQ: clean up UI layout, improve for localization
  + ReaNINJAM: add option to auto-assign remote channels/users to output channels
  + ReaNINJAM: add option to hide beat counter display
  + ReaNINJAM: allow configuration of remote output channels
  + ReaNINJAM: allow customizing bitrate for each local channel
  + ReaNINJAM: fix potential crash after first scan on macOS
  + ReaNINJAM: improve accessibility labels, remove various dividers from screenreader lists
  + ReaNINJAM: make plug-in i/o size configurable, allow configuration of output channels for metronome, local channels
  + ReaPlugs: allow mousewheel over most text fields to adjust value
  + ReaScript: add CrossfadeEditor_Show(), CrossfadeEditor_OnCommand()
  + ReaScript: document more RENDER_SETTINGS values
  + ReaScript: FX_GetNamedConfigParm() supports is_instrument
  + ReaScript: auto-cleanup reaper-extstate.ini if it contains many incorrectly-written lines [t=298318]
  + ReaScript: prevent writing invalid newline characters to reaper-extstate.ini via SetExtState() [t=298318]
  + ReaScript: update documentation for SetExtState() to reflect lack of support for newlines in persistent state [t=298318]
  + ReaSurroundPan: fix truncating utf-8 channel names
  + ReaVerb: fix issues with unicode filenames on Windows
  + Render window: add vertical scrollbar when used on very low resolution screens
  + RS5k: increase UI width
  + Ruler: fix potential hang in certain instances (7.19 regression)
  + Samplerate conversion: fix r8brain-free quality issues with playspeed changes and sub-128-sample blocksizes [t=301049]
  + Snapping: improve behavior of mouse-dependent start/end snapping (snaps to start unless in last 15% of item)
  + Theme: support maximum width for gain reduction meter in WALTER, as 4th coordinate of meter.vu.div
  + Wildcards: localize $localtime using REAPER localization rather than system locale
  + Wildcards: support $wildcard[<N] to limit the replacement text to N characters
  + Windows: remove ancient hardcoded ctrl+space playback binding (users should use global shortcuts instead) [t=294485]

v7.39 - May 12 2025
  + Actions: add new 'save copy of project as (prompt with existing name)' action, improve description of previous related action [t=294726]
  + Actions window: prevent delete/edit/duplicate for plug-in registered actions [t=292666]
  + Big clock: fix display of region/marker color when using unicode text [p=2864267]
  + Big clock: fix parsing some time format specifiers
  + Big clock: support $timesel(format)
  + Big clock: support $ifprev, $ifnext, $ifboth, to display text conditional on whether the previous/next wildcard resolves to anything
  + Big clock: support $ifprevis, $ifnextis, to replace previous/next wildcards if they resolve to a specific condition
  + Big clock: support $preroll
  + Big clock: support formatting project time in total beats regardless of measures
  + Debug: add track arrange rendering statistics, accessible via debug console with arrange_perf command
  + Fixed lanes: when moving/copying a razor edit containing multiple lanes to a track with no lanes, also copy over the source lane play state
  + FX: fix run-FX-when-stopped for master FX when project has no normal tracks [p=2865485]
  + Item notes: prevent possible crash when closing item notes window
  + Item notes: prevent word wrapping on right edge of arrange when item is partially scrolled offscreen
  + LTC generator: improve waveform generation
  + Media explorer: fix previewing audio from video files via project tracks with more track channels than source audio channels [p=2861549]
  + Media explorer: fix issues with length string formatting/rounding [p=2864020]
  + Media item properties: improve screen reader accessibility
  + Meters: fix incorrect meter drawing in response to track selection changes [p=2864458]
  + Meters: improve dB scale positioning with certain themes when displaying gain reduction metering
  + MIDI: support chase/reset of Poly Aftertouch
  + MIDI: fix exploding MIDI items by pitch/channel for items that ignore project tempo
  + MIDI: when opening quantize window, automatically switch to 'selected notes' if some notes are selected and unselected notes are quantized
  + MIDI: add option to control whether editor configuration changes made will be the default; add action to save default MIDI editor config
  + MIDI: improve editor configuration granularity for note shapes vs view type
  + Peaks: detect when peaksbuild failed (e.g. due to network disk interruption) and prevent creation of invalid peakfile
  + Peaks: improve performance when scrolling large views [t=297946]
  + Peaks: improve display consistency with looped items
  + Peaks: improve efficiency when using multiple enhanced peaks views (e.g. spectral peaks + LUFS graph)
  + Peaks: improve spectrogram artifacts at start of item when zoomed-in
  + Peaks: optimize drawing with many items that end before the current view
  + ReaScript: add ResolveWildcards(), to resolve any wildcard string that is valid in the Big Clock
  + ReaScript: update Main_SaveProjectEx() to ignore calls with empty output filename string
  + Recording: fix preview display for autopunch selected items when first punched item is offscreen
  + Render: ensure that dry run render does not fail if the input tracks or media items are not named
  + Render: fix sample rounding inconsistencies in postprocessing [p=2864695]
  + Render: fix various render actions that render parent send channels only within time selection [t=300414]
  + Render: if rendering only one file and adding to project, name the track after the file
  + Render: limit text length for prompt to keep/delete partially-rendered files
  + Render: respect "cancel all" when rendering queued projects [t=300510]
  + Render: restore support for $namenumber wildcard
  + Render: when rendering master mix and adding rendered files to project, name the new track 'MASTER (rendered)'
  + Render: results window respects user preference for spacebar used for navigation, in which case ctrl+space activates play/stop
  + Render: results window screen reader accessibility improvements
  + Spectral edits: improve behavior when forcing mono peaks is enabled
  + Text drawing: fix partially-transparent drawing in various contexts when 'Faster text rendering' is disabled
  + Theme: fix WALTER warnings on unpacked default theme [t=300426]
  + Theme: support specifying spacing between track meters and gain reduction meters, via .vu.div (see documentation)
  + Theme: if gain reduction meter spacing is not specified, use half the specified track meter spacing
  + Trim behind: when trimming MIDI files due to trim-behind mouse edits, do not add default fades
  + Undo: prevent extra undo points when loading FX with default user presets [p=2865360]
  + Undo: prevent extra undo point additions following CLAP preset load [t=300250]
  + Wildcards: $tempo wildcard properly accounts for tempo beat basis [p=2864133]
  + Wildcards: $tracknameornumber resolves to "Track 01", etc if the track has no name
  + Wildcards: add $playrate wildcard
  + Windows: improve support for unicode localized dates/times in Big Clock Plus, elsewhere [p=2863816]

v7.38 - May 2 2025
  + Accessibility: add screen reader descriptions for more render settings
  + Big clock: add $ifprev, $ifnext, $ifboth wildcards, to display text only if previous/next/both wildcards resolve to anything
  + Big clock: $ifnext example: $ifnext(Next marker: )$markernext resolves to 'Next marker: markername' if there is a next marker, nothing otherwise
  + Big clock: hide customization indicator dots when mouse is not within the window
  + Envelopes: do not split automation items when moving/copying with media items
  + Envelopes: generate new GUID for envelopes when pasting [p=2863632]
  + Meters: improve dB scale positioning with certain themes when displaying gain reduction metering
  + Peaks: support forcing mono peaks display [t=299271]
  + Render: fix online rendering timing when used with master FX Hardware Output Compensation PDC mode [p=2862870]
  + Render: fix rendering sample-length rounding (7.37 regression) [t=300305]
  + Render: fix potentially stale render-progress dock/taskbar indicator after short render with postprocessing [p=2863405]
  + Render: increase meter refresh rate when rendering realtime or online
  + Take FX: improve tail behavior for plug-ins that do not report tail length, restoring 7.35 use of tail length preference in this case
  + Video: improve preview behavior when doing edge edits/etc on m4a/jpg/png files [t=300273]

v7.37 - April 28 2025
  + Actions: add 'Insert new track as first track', also add support when using insert tracks dialog
  + Actions: fix dry run render time display in actions to calculate media item loudness
  + Actions: fix moving cursor right to grid line when using Metronome grid and 2x/4x multiplier [t=300013]
  + Actions: improve behavior when inserting a new track via mixer and collapsed folders exist [t=288548]
  + Actions: prevent opening multiple copies of dialog to set recording tag or recording pass counter
  + Actions window: support adding keyboard shortcuts via context menu
  + Actions window: prompt to overwrite existing shortcut bindings prior to closing window
  + Batch converter: use media item position in project when converting media items and preserving metadata start position
  + Batch converter: when trimming leading silence and writing metadata preferred position, adjust preferred position after trimming
  + Big clock: support $projectpos, $projectlength wildcards in various time formats, including whole measures or beats within measure
  + Big clock: $trackitem resolves to item notes for empty items
  + Big clock: add $masterpeak, $masterloudness wildcards
  + Big clock: add $regionprev, $regionnext, $markerprev, $markernext wildcards
  + Big clock: allow minimum size to be smaller, especially when docked
  + Big clock: display region/marker color indicators inline with text [p=2860383]
  + Big clock: double-click anywhere in the window to open customization dialog
  + Big clock: double-click on resolved $rectag or $recpass wildcard to set new value
  + Big clock: respect setting to overlay (or not) beat count over visual click background image
  + Big clock: scale custom visual click background image to fit beat display area
  + Big clock: support up to 8 rows of wildcards
  + Big clock: update display when loading/unloading visual click background
  + Fixed lanes: fix unnecessary lane creation when recording starts immediately after a previous recording [t=299919]
  + FX: optimize performance of FX embedded in the MCP
  + Localization: localize 'mono', 'stereo' in render channel dropdown
  + Loudness: calculate LUFS-I even when the signal is very very loud
  + macOS: fix MIDI-learn and other things not working properly when modal UI created from deferred ReaScripts [t=299495]
  + Meters: adjust dB number positioning to account for gain reduction meters [p=2860316]
  + MIDI editor: fix note folding when switching contexts and selection linked to visibility/editability [t=298365]
  + MIDI editor: use project grid setting for grid line minimum pixel spacing
  + MIDI editor: follow visible grid preference when inserting grid-size notes
  + MIDI editor: improve painting note behavior with visually-reduced grid
  + MIDI editor: improve edit cursor behavior in Source Beats timebase
  + MIDI editor: improve maximum horizontal zoom range
  + MIDI editor: improve snapping in source beats view
  + MIDI editor: improve scroll positioning when switching between items in Source Beats timebase
  + MIDI editor: preserve editor configuration when gluing items, recording to new items on a track, etc
  + Mixer: improve layout with very narrow mixer window
  + MP3 decoding: allow configuring threshold in megabytes where .reapindex file will be used for VBR files, via reapindex_minsize in reaper.ini (default is 12000000 bytes)
  + MP3 decoding: optimize opening files with CBR LAME tag [t=299354]
  + Normalize action: fix potentially inaccurate LUFS-I calculation when normalizing multiple media items as if one long item, some items are mono and some are not, and mono adjustment is enabled
  + Preferences: move meter dB scale options to theme-specific settings, set via theme tweaker
  + Razor edits: fix razor edits on collapsed fixed lane tracks not respecting option to not affect all lanes [t=299803]
  + ReaScript: document gfx.mouse_cap modifier key flags for both Windows and macOS regardless of which OS the documentation is generated on
  + Region/Marker Manager: fix checkbox theme display [p=2859852]
  + Render/Convert: check postprocessing-enabled box only if any postprocessing is enabled
  + Render: 'tracks with only mono media to mono file' considers take channel mode and channel mapper but not per-take FX [t=297016]
  + Render: add preference to enable actions to open statistics for most recent render in web browser after the render window has been closed, to save memory if the user does not need this feature (statistics can always be saved automatically or opened directly from the render dialog)
  + Render: add preference to suppress prompt to save/delete incompletely rendered files
  + Render: add render postprocessing help
  + Render: add render setting to enable parallel render via master, with info button to explain behavior [p=2840667]
  + Render: after canceling incomplete render, prompt the user to save or delete the partially rendered output files
  + Render: apply postprocessing fades before start/end padding
  + Render: automatically select the rendered file in the statistics list view when automatically changing peaks display
  + Render: display file length in hours if appropriate in render settings file list dropdown
  + Render: fix potential crash when editing razor edit areas while render settings dialog is open and configured to render razor edit areas
  + Render: if possible, postprocess each file immediately after rendering [t=296872]
  + Render: if rendering to more than 2 channels and 'multichannel tracks to multichannel files' enabled, tracks with fewer channels do not override the render channel setting
  + Render: improve render speed with various combinations of postprocessing settings using multithreaded processing
  + Render: only support $item wildcard when rendering selected items
  + Render: support adjusting mono media by +/-3dB regardless of whether normalizing is enabled [t=297437]
  + Render: support changing previewed file via listview keyboard navigation
  + Render: support normalizing/limiting/trimming to master mix
  + Render: support normalizing and/or limiting each file separately, or as if all files play together
  + Render: normalizing as if files play together calculates gain adjustment based on the actual summed rendered output of rendered files
  + Render: normalizing as if files play together is similar to the previous setting to normalize to master mix; common gain is applied to files that start and end at the same time
  + Render: normalizing as if files play together (common gain) is similar to the previous setting to normalize as if one long file; common gain is applied to all files
  + Render: support padding start/end with silence
  + Render: support parallel rendering of media items or razor edits on separate tracks if overlapping
  + Render: support preview playback of rendered files
  + Render: route render playback to master track hardware outputs
  + Render: if rendering multiple files at once would overwrite some files, support overwriting all, or rendering only new files and skipping existing files, or canceling [t=294520]
  + Render: support rendering selected items or razor edit areas as one file (render master mix, but ignore all non-selected items or all non-razor-edit areas)
  + Render: support trimming silence from start/end of rendered files
  + Render: update file list display when checking/unchecking "do not render files that are likely silent"
  + Render queue: fix incorrect "+N" file count display when using secondary render format
  + Take FX: fix incorrect flushing of PDC plug-ins on second playback (7.36 regression) [t=300087]
  + Take FX: only auto-extend item tail for take FX that report infinite tail if FX has automatic tail detection enabled (7.36 addition incomplete) [t=299890]
  + Theme: fix layout issues relating to gain reduction metering in certain instances
  + Track/region/marker/group manager: fix committing renamed row when immediately double-clicking to rename another row [t=300091]
  + Wildcards: allow wildcard help window to stay open
  + Wildcards: deprecate $namenumber, use $filenumber or $recnumber instead
  + Wildcards: fix $markername/$regionname wildcards
  + Wildcards: fix '$markernumber[N]', '$regionnumber[N]' when no previous marker/region exists
  + Wildcards: reorganize wildcard help categories

v7.36 - April 12 2025
  + Actions: update last used media directory after importing multiple files at once [p=2855495]
  + ARA: improve behavior when track contains media items with mixed channel counts
  + ARA: prevent possible crash when plugin supports fewer channels than media
  + Automation items: fix bad behavior when copying media items with 'move envelope points with media items' and ripple edit both enabled
  + Automation items: fix restoring LFO sine type when saving/loading projects [t=299430]
  + Big clock: support displaying multiple customizable wildcard patterns, rename to Big Clock Plus
  + Big clock: default wildcard patterns display transport status, recording tag, recording pass, current region, current marker
  + Big clock: add customization dialog
  + Big clock: add wildcards for $playing(text), $stopped(text), $recording(text); displays 'text' when play state matches, otherwise blank
  + Big clock: if enabling project recording tag display and there is no recording tag set, prompt to set the recording tag
  + Big clock: support custom colors during recording
  + Big clock: support visual click border, in addition to full visual click
  + Big clock: update more frequently even if project time position has not changed
  + CLAP: do not query latency in response to latency-changed when plug-in is inactive
  + CLAP: fix MIDI editor CC lane names being cleared when using CLAP instrument FX [t=299341]
  + Configuration import: fix importing configurations larger than 4GB
  + Envelopes: fix automation copy/paste when track timebase is beats and partial measures exist in the project [p=2856491]
  + Fixed lanes: fix comp area extending on grouped tracks with certain mouse modifiers [t=299472]
  + FX: embedded plug-ins can make preferred size decisions with DPI-scaling and TCP/MCP context
  + FX: embedded plug-ins can query whether the current UI being drawn is for macOS Retina
  + Linux: default to fast text rendering (v7.23 change reverted for Linux only)
  + Media explorer: fix applying user-edited tempo metadata when inserting media into project
  + Media explorer: preserve image when editing tags of wav/flac/wavpack [t=277772]
  + Media explorer: support previewing m4a and other video-supporting container formats through a track if the file contains no video stream [t=297260]
  + Media items: fix displaying multiple embedded cues in media items [p=2855336]
  + Metadata: ensure IXML BWF_ORIGINATION_TIME is in the form HH:MM:SS rather than HH:MM
  + Metadata: fix display of certain picture description strings
  + Meters: enable track gain reduction meters by default for new tracks (unless the user previously changed or set different track defaults)
  + Meters: support theme images for track gain reduction meters (meter_strip_h_gr, meter_strip_v_gr)
  + MIDI: fix setting 'do not send reset messages' for MIDI output devices [t=297580]
  + MIDI: internal overhaul/cleanup
  + MIDI: reduce duplicate messages when interpolating 7-bit outputs
  + MIDI editor: add support for Poly Aftertouch CC lane, which follows note selection
  + MIDI editor: add native CC/velocity lane preset support, right click on lane controls/divider
  + MIDI editor: add option to auto-filter CCs based on note selection, useful for editing MPE content
  + MIDI editor: allow reordering velocity/CC lanes via drag/drop of header
  + MIDI editor: add option for snap to use visible grid
  + MIDI editor: add option to display project time as H:M:S[:F] in ruler
  + MIDI editor: add action to select notes at mouse time position
  + MIDI editor: add actions to load/save CC/velocity lane presets, save default CC lanes
  + MIDI editor: add option to control whether default CC lanes are saved automatically on MIDI editor close
  + MIDI editor: changing note display (rectangles, triangles, diamonds) affects all MIDI items on the same track
  + MIDI editor: fix actions to set grid, multiply grid size by X when grid is currently set to 'measure'
  + MIDI editor: fix behavior of 'toggle show MIDI editor windows' with multiple windows open
  + MIDI editor: fix CC oddness after click-to-select notes (7.31 regression)
  + MIDI editor: fix potential crash when duplicating text events [t=299497]
  + MIDI editor: fix CC lane scrollbars when auto-scaling-down lanes [t=297226]
  + MIDI editor: improve click+drag note creation length snapping [t=268119]
  + MIDI editor: improve velocity lane editing behaviors
  + MIDI editor: limit horizontal zoom range to reasonable values
  + MIDI editor: list editor respects piano roll timebase when using fixed-tempo MIDI items
  + MIDI editor: move 'Time format for ruler' from options to view menu
  + MP3: fix possible memory leak when updating metadata in existing file
  + Pin connection window: fix position when respawning due to FX I/O change (7.35 regression)
  + Project settings: ignore leading slashes in relative recording paths [p=2858769]
  + ReaScript: SetProjectMarkerByIndex2 ignores negative IDnumber parameter
  + ReaScript: support getting/setting project recording tag $rectag
  + Recording: use $rectag in default recorded filename wildcards
  + Region/marker manager: support displaying take markers in selected items only
  + Regions/markers: add actions to show/hide all or selected project regions and/or markers
  + Regions/markers: support hiding markers/regions from ruler via Region/Marker Manager
  + Regions/markers: support opening Region/Marker Manager from Marker Edit dialog
  + Render: do not consider empty items to be mono when evaluating 'tracks with only mono media to mono files' [p=2854839]
  + Ripple: respect setting to ripple when editing item edges when using nudge/set dialog or running actions to move right edge of items
  + Routing window: close any open folders when adding send to new track [t=299499]
  + Save as: add an additional confirmation when save to subdirectory is selected and project file already exists [t=298955]
  + Spectrogram: fix overdrawing glitches when zoomed in to sample-level
  + Take FX: use automatic silence detection for reverb tails, etc
  + Take FX: use tail-length information, if available, when processing tails
  + Toolbars: allow customizing via 'Edit me' action when opened as a menu
  + Toolbars: improve frameless resize control hit testing
  + Toolbars: enable frameless floating toolbar resize cursor on macOS
  + Track manager: when mirroring selection, selecting a new track deselects hidden folder children [t=299192]
  + Wildcards: $markername and $regionname return an empty string rather than falling back to marker/region number, if the marker/region has no name
  + Wildcards: add $time, $localtime (date+time string) wildcards
  + Wildcards: add $timesigfull, $timesignum, $timesigdenom wildcards
  + Wildcards: add $trackitem wildcard, resolves to active take name of currently-playing media item on selected track
  + Wildcards: add actions to set or reset $recpass to recording settings wildcard help menu
  + Wildcards: document that any of the characters ' -_.' will be omitted immediately before or after a wildcard that resolves to nothing
  + Wildcards: store separate lists of recent wildcard patterns per calling context (render, big clock, metadata, etc)
  + Wildcards: support $projectlength for Big Clock Plus and metadata
  + Wildcards: support project recording tag $rectag, see wildcard help in Preferences/Audio/Recording [p=2822976]

v7.35 - March 22 2025
  + API: get_config_var() can query active langpack with __langpack_filename
  + Automation: add actions to save, restore, and reset controller latches [t=197553]
  + Consolidate/glue: if preserving source metadata, clear any existing BWF offset data [t=295354]
  + File types: support .mka (Matroska Audio Container) files if a suitable decoder is found
  + FX: pin mappers respect advanced preference to remain open if desired
  + Media explorer: respect user-entered tempo metadata when previewing and inserting the file
  + Media item take channel mapper: detect when item selection changes and update window
  + PDC auto-bypass: do not auto-bypass if track is set to record-output mode [p=2852099]
  + PDC auto-bypass: do not use for record input FX
  + ReaScript: add MediaExplorerGetLastPlayedFileInfo()
  + ReaScript: improve performance of SetObjState when updating items that have take FX (7.34 regression) [t=298898]
  + Region/marker manager: add localization for marker/region/takemarker prefixes
  + Render: fix behavior of setting to render tracks with only mono media to mono files when track has media with mixed channel counts [t=299005]
  + Render: interpret setting to render only channels sent to master as restrictive, rather than expansive [t=298926]
  + Render: when project sample rate is not set, disable and clear render setting to mix/process at project sample rate (rather than graying but leaving the box checked, which is misleading)
  + Ripple: support ripple editing when editing media item edges (set via action or right-click toolbar ripple button)
  + Ripple: default toolbar button toggles ripple on/off rather than cycling through ripple modes (customized toolbars are not affected)
  + Ripple: right-click toolbar button to change ripple mode, or replace the toolbar action to restore the old behavior
  + Startup: fix possible hang with misconfigured default project template
  + Theme: if transport_basis_quarter, etc images exist, display that image's hover/click state when tapping tempo
  + Toolbar editor: double-click icons to open icon picker
  + Toolbar editor: double-click an icon in icon picker to select and close window
  + Track routing window: support adding a send to a new track, or receive from a new track
  + Video: support decoding H.265/HEVC video using Windows Media Foundation [t=298369]
  + Video: fix localization of some long FX names
  + WAV files: display embedded media cues even if they are out of order in the original file

v7.34 - March 2 2025
  + API: fix offsets of MIDI events generated via StuffMIDIMessage() in VKB mode
  + ARA: inform plugin of selected region change when editing media item edge changes the number of loop iterations
  + ARA: support disabling ARA for specific plugins (right-click plugin in FX Add list, does not affect plugins that are already loaded)
  + Automation: improve drawing performance when updating a single envelope
  + Automation: optimize FX automation undo/redo, fix related bugs [t=297960]
  + Color theme: add folder_start
  + Color theme: support theme images for transport tempo basis
  + Crossfades: fix grouped crossfades going out of sync when edit reaches the end of the media item
  + Filenames: add preference for suffix format to use when auto-incrementing filenames
  + FX: add option in Preferences/Audio to auto-bypass plug-ins whose PDC exceeds a threshold when record-armed
  + JSFX: tweak various plug-ins to look better when embedded in TCP/mixer on retina displays [t=298477]
  + Linux: allow using JACK with ALSA-MIDI devices by configuring JACK with 0 MIDI inputs/outputs
  + Localization: add option to show control IDs in debug tooltip, reduce debug tooltip delay
  + Localization: prevent refresh of preferences help via holding alt+shift, allowing localization-tooltips to display
  + Localization: support better expansion logic via auto_expand keyword on 5CA1E lines
  + Localization: support for per-control scaling via 5CA1E lines, using the syntax =1 1 @ctl_id=scale ...
  + Localization: support localizing 1/4, 1/8, etc via grid section
  + Localization: support localizing 1/4, 1/8, etc in tempo beat basis via marker section
  + macOS: fix unintended clearing of menu item modifiers in various menus
  + Meters: avoid potentially displaying track meters in the wrong location for tracks that are slightly offscreen
  + MIDI: avoid note-off/retriggers when SetObjState(item) is called with trivial changes (fixes playback glitches with various scripts and SWS MIDI editor actions)
  + MIDI editor: fix possible crash when opening editor
  + Project load: hide any FX UIs when displaying project-load warnings to ensure that warning window is visible
  + Razor edits: improve behavior when pasting razor edits into a fixed lane track [p=2843440]
  + ReaScript: add spectral edit API via SetMediaItemTakeInfo_Value(), etc
  + ReaScript: preserve existing tempo beat basis when calling SetTempoTimeSigMarker() [p=2847987]
  + ReaScript: SetObjState(item) runs synchronously if not recording
  + ReaScript: update Main_SaveProjectEx() to allow updating project filename
  + Record input menu: fix setting MIDI inputs sequentially by device
  + Record input menu: improve MIDI device/channel selection, sequential mapping modes
  + RS5k: fix incorrect sample length when note-off occurs in same audio block as note-on [t=262988]
  + Tempo/time signature: add actions to switch timebase (time/beats)
  + Tempo/time signature: fix action to apply playrate to tempo when tempo beat basis is not 1/4 [t=298732]
  + Tempo/time signature: ignore mixed timebase when editing tempo marker, adjusting previous tempo [t=291765]
  + Track/Region/Group Manager: pressing enter key initiates editing the name field of the currently selected row
  + Transport: improve vertical centering of tempo beat basis display
  + VST: improve VST2 to VST3 migration compatibility, including moduleinfo.json and IPluginCompatibility
  + VST: perform fast metadata-only scanning for plug-ins that define their classes via moduleinfo.json
  + VST: also look for xyz.vst3-moduleinfo.json, nonstandard but useful on Windows
  + Windows: reposition edit box when scrolling listview in Track Manager, Region Manager, Group Manager

v7.33 - February 2 2025
  + CLAP: fix Windows UTF-8 characters in preset combo-box
  + Render: fix adding rendered files to project when rendering master mix (7.31 regression) [t=298104]

v7.32 - February 1 2025
  + JSFX/ReaScript/Video: fix incorrect EEL2 string pooling (7.31 regression) [t=298084]

v7.31 - January 31 2025
  + Actions: improve behavior of insert-tempo-point when on non-1/4 beat base
  + Actions window: do not focus MIDI editor/etc when running actions without closing actions window
  + Actions window: improve foreground window behavior when closing window after adding action to custom menu editor/etc
  + ARA: fix possible crash when splitting media items (7.30 regression) [t=297382]
  + Auto-save: remove option to save RPP-UNDO with timestamped auto-saved projects
  + Batch converter: fix converted files potentially being one sample too short [t=297587]
  + Batch converter: support $takemarker wildcard when converting media items
  + CLAP: support context menu extension
  + CLAP: support gain reduction metering for plugins that support the extension
  + Click source: improve focus behavior when showing properties window [t=297408]
  + Customize menu/toolbar: improve focus behavior when window is already open
  + Grouping: add track menu actions to create new media/razor editing group for selected tracks, remove selected tracks from media/razor editing groups
  + JSFX/ReaScript/Video: fix potential incorrect memory read when parsing tan(x,y)
  + JSFX/ReaScript/Video: fix incorrect pooling of strings with embedded nul characters
  + Localization: fix click modifier display of envelope context menu on macOS
  + Localization: extended mixer FX context menu improvements for click modifiers
  + Localization: support localization of video FX names using 'video_processing_name' section
  + MIDI: fix trimming media item edges with unlooped MIDI that is set to ignore project tempo [t=297516]
  + MIDI editor: fix default MIDI note alt/opt-click to select note without moving edit cursor
  + MIDI editor: fix hang when using synced timebase and arrange view is resized to oblivion [t=296912]
  + Playback: prevent hanging notes when MIDI items are interrupted by enclosed items (when enclosed items replace enclosing) or fixed lane masking
  + Project: support project setting for BPM basis (quarter, dotted quarter, etc)
  + ReaScript: add set_action_options() parameter to allow scripts to quietly do nothing when run multiple times [t=296965]
  + Regions: after moving regions with contents, ensure tempo at the end of the moved region is preserved
  + Render: accept comma character as decimal separator in render normalization settings
  + Render: disable render tail setting by default for new projects (existing projects and default projects are unaffected)
  + Render: setting to render tracks with only mono media to mono files considers only source media channels, not per-take fx output channels [t=297016]
  + Render: when rendering media items and adding rendered files to project, copy original media item colors to rendered items
  + Render: when rendering media items and adding rendered files to project, if rendering multiple items per track, assign original media item lanes or free item positions to rendered items
  + Render: when rendering to mono or multichannel with 'multichannel tracks to multichannel files' enabled, stereo tracks do not override the render channel setting
  + Ripple: add option (right-click ripple toolbar button) for ripple-all to affect envelopes on all tracks when envelope points move with media items, regardless of which tracks have media items [t=297567]
  + Tempo: properly account for tempo basis when modifying tempo via tap tempo or entering a number in the transport and the project contains no tempo markers [p=2829281]
  + Time signature: automatically change bpm basis when switching between normal and compound time signature via transport edit boxes
  + Time signature: automatically switch beat basis to dotted quarter when entering a compound time signature in time signature edit dialog
  + Transport: display beat basis (quarter note, eighth, dotted eighth, etc) above tempo
  + Transport: improve behavior of BPM display/editing when on non-1/4 beat basis
  + Video: fix UTF-8 drawing of knob labels
  + VST: fix TUID matching immediately after scan using when in-process VST3 scan mode
  + WAV files: display embedded media cues even if they are out of order in the original file

v7.30 - January 8 2025
  + API: fix potential memory leak when calling realloc_cmd_clear from extensions
  + Batch converter: fix incorrect behavior when adding invalid files [t=297277]
  + Envelope manager: fix possible crash when manager set to selected takes and loading undo state removes items
  + Media explorer: fix display when playing audio reversed [t=297362]
  + MusicXML import: fix potential crash when parsing invalid XML [t=297277]
  + Project bay: do not display non-functional comment column for automation items [t=294747]
  + VST: fix possible incorrect MIDI event timing to bridged plug-ins [t=297165]
  + VST: fix possible use-after-free error with bridged plug-ins and large MIDI event counts
  + Web interface: remove 16kb lyrics-data, PROJEXTSTATE limits [t=297075]

v7.29 - January 2 2025
  + Actions: add actions to move edit cursor to start of next/current beat, similar to next/current measure
  + ARA: improve behavior when track contains media items with mixed channel counts
  + Batch converter: add "copy current settings to clipboard for command line use" to presets menu
  + Batch converter: add button to list all output files
  + Batch converter: add checkbox to disable all normalize/limit/fade/trim/pad settings
  + Batch converter: add menu items to open input or output file in Media Explorer
  + Batch converter: add menu items to insert converted file or replace existing source files in current project
  + Batch converter: allow using source file directory (but not overwriting original files) when converting media items
  + Batch converter: automatically resize columns to fit when resizing window
  + Batch converter: display "take name (media item)" in file list when converting media items
  + Batch converter: display channel count, sample rate, bit depth for not-yet-converted items
  + Batch converter: display actual converted filename if filename was automatically incremented to avoid collision
  + Batch converter: display output filename and path in separate columns
  + Batch converter: prevent adding empty media items to file list
  + Batch converter: ensure output paths are updated when changing other settings
  + Batch converter: display error if trying to convert MIDI with no FX loaded
  + Batch converter: fix preserving metadata when converting a media item that contains a section source
  + Batch converter: improve preserving source media start offset
  + Batch converter: reorganize window for wider aspect ratio
  + Batch converter: support both imploding and exploding channels (many input files to one multichannel output file, or one multichannel input file to many single-channel output files)
  + Batch converter: support converting selected items, all items, or only as-yet-unconverted items
  + Batch converter: support dragging source files within the list to reorder
  + Batch converter: support exploding to stereo pairs
  + Batch converter: support preserving source file directory structure starting at any level
  + Batch converter: support saving output settings with presets (note that presets are shared with render settings)
  + Batch converter: support preference (separate from existing render preference) to silently increment filenames to avoid overwriting
  + Batch converter: support trimming silence from start/end, and/or padding start/end with silence
  + Batch converter: when preserving metadata preferred start position and converting media items, if the source media does not contain a preferred start position, use the media item position in the project
  + CLAP: support reporting track name, color, other info to plugins [t=296773]
  + Click source: fix click source properties dialog initializing with incorrect click pattern displayed [p=2833416]
  + Command line: support -noactivate on macOS/linux
  + Command line: support passing -close[all][:save|:nosave][:exit] to already-running REAPER instances [t=296870]
  + Localization: allow localizing toolbar icon word names for menu, by using icon_words section [p=2818021]
  + macOS: improve some keyboard focus handling corner cases, especially with certain plug-ins
  + Media explorer: fix tempo-matched preview with certain files (7.26 regression) [t=296697]
  + Media explorer: when tempo-matching, use tempo at project edit cursor position when starting playback and current project is stopped
  + Media item properties: support entering take start in source in samples, if all selected items have the same sample rate
  + Media items: media item properties button tooltip reports if take is phase-inverted
  + MIDI: use default CC curves if option enabled when recording MIDI input (7.28 regression)
  + MIDI editor: fix incorrect CC LFO preset file path
  + Paste: obey 'Automatically show affected envelopes when moving media items across tracks' when pasting items [t=272789]
  + Playback: fix very unlikely but possible glitch when splitting playing items
  + Preferences: add option to show item properties button when take phase is inverted
  + Preferences: separate media item appearance and media item buttons pages
  + Razor edits: improve behavior when editing automation items [p=2828095]
  + Render: add checkbox to disable all normalize/limit/fade/trim/pad settings
  + Render: fix possibly incorrect rendered file when rendering with "preserve source media sample rate if possible" enabled
  + Render: improve handling of filename conflicts
  + Ruler: when grid follows metronome pattern, highlight all primary beats in ruler
  + Theme: fix HSV mode for gridlines on Retina [p=296786]
  + Threading: increase relative priority of LV2/miscellaneous worker tasks
  + Transport: prevent brief display of earlier transport time when starting playback [t=137751]
  + Wildcards: add preference to define wildcard pattern to use as default filename prompt when running "File: Save project as..."
  + Wildcards: add support for $tracknameornumber, which resolves to track name if the track has a name, otherwise track number
  + Wildcards: store separate lists of recent wildcard patterns per calling context (render, batch converter, etc)

v7.28 - December 9 2024
  + Accessibility: improve keyboard support for various modeless windows
  + API: add get_config_var/__reascript_runcnt for ReaImGui use
  + Automation: add preference to control whether automation recording happens at processing position (what you hear) or playback position
  + Automation: volume/pan automation recording now defaults to what you hear rather than at playback position
  + Automation: fix various take FX automation recording bugs
  + CLAP: fix race condition when plug-in calls request_restart [t=296661]
  + Click source: improve preset handling
  + Click source: properties window is modeless, changes are applied immediately [t=296046]
  + Comments: add Apply button to various comment dialogs (FX, metadata, project bay)
  + Filesystem: automatically shorten project file, recorded file, rendered file, peak file, filename parts to comply with system filename part length limits [t=80287]
  + FX: improve pin behavior when replacing mono plug-ins with stereo counterparts [t=295531]
  + FX: improve comment field window
  + JSFX: allow 'config:' to preserve parameter/serialized configuration when changing parameter, append -preserve_config to description to enable
  + JSFX: fix gfx_getchar() querying ASCII characters on Windows (v6.74 regression) [t=295897]
  + JSFX: prevent possible crash when gfx_blit() is called with bad inputs
  + Localization: fix incorrect UTF-8 display for various comboboxes
  + Localization: support localization of modifier keys for mouse maps
  + Localization: allow localization of ESC, cursor/navigation, multimedia keys on Windows
  + LV2: fix NULL termination of atom#Path strings sent to plug-ins
  + Main menu: if non-displayed ReaScript messages indicated in menubar, clicking audio device info will show menu
  + Media item properties: fix reset of window when focusing the time/beats dropdown [t=296095]
  + Metadata: support multi-line editing of multiple fields at the same time
  + Metronome/click source: encode relative paths to samples in project file when possible
  + MIDI: fix incorrectly adding CC curves when 'Apply default CC shape to recorded events' enabled and gluing/rendering MIDI take [t=296579]
  + MIDI editor: add undo points when unselecting CCs via marquee in CC lane
  + MIDI editor: use envelope point scaling when drawing CC lanes
  + OSC: fix FX_BYPASS and FX_OPEN_UI for currently-focused instance
  + Peaks: improve UI performance when building enhanced peaks
  + Peaks: display spectral peaks and spectrogram both while recording if view set to spectrogram+spectral peaks
  + Peaks: display spectral peaks while recording when view set to lufs+spectral peaks
  + Peaks: fix peak edge drawing when using alpha < 1.0
  + Project: add actions to change project timebase
  + Project save: improve handling of very long project file names
  + Razor edits: fix action to enclose media items including empty space [t=295987]
  + ReaScript: add option to never auto-show ReaScript Console
  + ReaScript: avoid potential crash on exit when deferred script cleanup functions call plugin-registered APIs [p=2822020]
  + ReaScript: add TimeMap_GetMetronomePattern("EXTENDED") to return new-style click pattern string, TimeMap_GetMetronomePattern("SET:pattern") to set the click pattern
  + ReaScript: fix gfx_getchar()/gfx.getchar() querying ASCII characters on Windows (v6.74 regression) [t=295897]
  + ReaScript: prevent possible crash when gfx_blit()/gfx.blit() are passed bad inputs
  + ReaScript: ShowConsoleMsg() supports !SHOWERR: prefix, displays error indicator in main menu bar if ReaScript Console not already visible
  + ReaVocode: fix update of parameters in response to automation/learn/etc [t=294751]
  + Render: update file name column when sorting rendered files [p=2821742]
  + Render: when delaying render via render queue, change audio device samplerate and notify FX plug-ins prior to delay
  + Ripple: fix ripple-all potentially affecting automation too early on non-edited tracks [p=2825443]
  + Ripple: improve performance when ripple editing with grouping enabled and many media items [p=2827987]
  + Super8: preserve configuration of MIDI mappings/etc when changing memory size
  + Video: prevent possible crash when gfx_blit() is passed bad inputs
  + VST: fix state-loading issue with VPS Avenger VST3 (7.26 regression) [t=296014]
  + Windows: normalize dialog fonts to MS Shell Dlg for various windows

v7.27 - November 1 2024
  + Actions: add action to dry run render project, using the most recent render settings
  + Actions: fix dry run render time display in actions to calculate media item loudness
  + CLAP: improve splash screen status display when scanning plug-ins
  + Click source: fix copying of samples to project path when configured and the ClickSamples folder does not yet exist
  + Click source: obey user-selected copy-to-project-directory option regardless of global/project setting
  + Envelopes: fix potential use after free when pasting envelope points and last-selected envelope no longer exists
  + FX browser: fix resize issues when using high DPI scaling values
  + Menu/toolbar editor: fix cutting multiple items near end of list
  + Peaks: correct LUFS graph display of fadeouts when displaying both LUFS and spectral peaks
  + Render: add preference to prevent render window from reopening modelessly after render finishes [p=2818237]
  + Render: fix normalizing to master mix when also rendering master mix (7.22 regression)
  + Ripple editing: fix potentially-incorrect crossfade on rippled items when trim-behind enabled
  + Take markers: snapping properly ignores take markers outside of item bounds [p=2817850]
  + VST: fix incorrect preset state-loading for UADx VST3 plug-ins (7.26 regression)
  + VST: improve preset menu behavior with duplicate factory and user-preset names
  + VST: improve support for TrackFX_GetPresetName on FX with a single program [t=295339]
  + Web interface: allow adding extra HTTP headers via reaper.ini [csurf_www] header1=name:value header2= etc [t=216538]
  + Windows: improve arm64ec installer (use correct modern Program Files path, label shortcuts as arm64)

v7.26 - October 25 2024
  + Accessibility: improve accessibility for Dynamic Split, Trim/Remove Silence, and Transient Sensitivity windows
  + Actions: add actions to show a toolbar as a menu at the mouse cursor
  + Click source: optionally copy samples to project directory when choosing samples from disk
  + Envelopes: improve appearance of unselected points with certain curve shapes
  + Envelopes: click on selected point with no mouse move will deselect other points
  + Item ruler: display a label at time zero, but do not display labels for negative time
  + JSFX: fix incorrect clearing of num_ch on playback start [t=131049]
  + Marker/region manager: fix CSV import of marker/region index
  + Marker/region manager: make CSV import more lenient of unknown columns
  + Media explorer: fix preview playback with 2x and 0.5x tempo-matching [t=295166]
  + Media explorer: obey ripple settings when inserting media via enter/context menu
  + Mouse modifiers: restore behavior of opening mouse modifiers preferences page to the last context used for a mouse edit
  + Mute/solo: improve track FX note-off behavior when muting/soloing another track [t=291742]
  + Preferences: add render peaks display settings to stats/charts menu in Preferences/Audio/Rendering
  + ReaScript: InsertMedia/InsertMediaSection can optionally respect project ripple editing setting
  + Render: automatically reopen render dialog modelessly when render is complete, unless set to auto-close or auto-return to render settings
  + Render: ensure ruler/tooltip color contrasts with background color for readability [t=295145]
  + Render: improve speed when rendering very many files at once (7.23 regression, plus additional improvement) [t=295211]
  + Render: support changing displayed file via listview keyboard navigation
  + Routing: add option to add sequential hardware outputs for selected tracks when right-clicking I/O button in TCP/MCP
  + System: automatically fix SSE exception flags for systems/plug-ins that leave exceptions in incorrect states
  + Take markers: actions to navigate take markers now respect item boundaries
  + Track control panel: do not change track selection when clicking on TCP track resize divider [t=295079]
  + VST3: notify processor when controller performEdit a parameter and automation notifications are ignored
  + Wildcards: $region resolves to a matching region even if rendering between markers [t=295274]
  + Wildcards: add wildcards for length in hours, minutes, seconds, milliseconds [t=295298]
  + Wildcards: fix $tracknumber wildcard when used on master track [t=295164]

v7.25 - October 14 2024
  + Color theme: allow theme to define empty arrange view area and empty arrange view area vertical shading colors that are identical [t=294982]
  + Envelopes: fix non-square points created on square-point-only envelopes when editing
  + FX: fix parameter linking being set incorrectly when adding/removing ReaEQ/ReaXcomp bands
  + FX: fix potential deadlock when toggling bypass and in automation-write mode
  + Linux: fix mouse positioning bugs with certain window managers (7.23 regression)
  + Media explorer: properly sort positive values in the peak or loudness column [t=294622]
  + Metronome: fix skipped beats when increasing project playback rate [t=295095]
  + Parameter modulation: fix keyboard support with more than 2 windows open at once [p=2813584]
  + Project loading: fix potential lost sends when loading with certain FX [t=295006]
  + Project tabs: hide/show FX comment window when switching project tabs [t=294657]
  + ReaLimit: fix rounding when using mousewheel on controls [t=294441]
  + Recording: fix actions to add take marker at mouse position when mouse is over a currently-recording media item [t=294911]
  + Render: add option to automatically reopen render dialog modelessly after render finishes
  + Render: add option to shade areas that do not contribute to LUFS-I [t=295076]
  + Render: after render, if there are not too many overs, support moving edit cursor from one over to the next
  + Render: clicking on an already-selected rendered file in the list returns the display to "live" if still rendering [p=2813299]
  + Render: fix marker display with certain themes
  + Render: add actions to jump to first clip or loudest sample to Stats/Charts menu (for accessibility)
  + Render: preserve render peaks preview time selection when switching between rendered files, resizing dialog, or reopening modelessly
  + Render: rearrange buttons at bottom of render setup dialog for better space utilization
  + Render: restore vu meter peak hold values when reopening render process dialog modelessly
  + Render: support defining a wildcard (like $project) as the master track substitution for the $track wildcard [t=284551]
  + Render: use theme colors for render statistics listview gridlines
  + Render: use theme marker/region lane background colors in render peaks display
  + Render: when adding project markers/regions from render dialog, update render display and include the new markers/regions in HTML render statistics
  + Render: fix possible memory leak following online render
  + Wildcards: warn if the user enters a wildcard character in the directory field in the render or batch converter dialogs
  + Windows: fix JSFX spacebar behavior (v7.23 regression) [t=294908]

v7.24 - October 4 2024
  + Automation: tweaks to clipped envelope point drawing
  + Metering: fix crash when master track set to LRA and playback stopped [t=294865]
  + Project tabs: fix seeking when synchronizing multiple tabs and different project time offsets are used [t=294129]
  + ReaScript: fix TrackFX_GetPreset() for VSTs with single program (7.23 regression) [t=294867]
  + Render: improve appearance of markers and regions in render process window
  + Render: improve ruler and text color in render process dialog [t=294870]

v7.23 - October 3 2024
  + Arrange view: improve appearance of loop indicators when grid is displayed under item with certain blend modes used [t=294353]
  + Automation: add preference to control which envelope is recorded to when pre-fx and post-fx envelopes are both armed
  + Automation: fix volume/pre-fx volume envelope interactions when recording automation via envelope panel
  + Automation: reset latches (if not in Latch Preview) when moving edit cursor while stopped/paused [t=292915]
  + Automation: fix issues with instant/toggle edits and latch preview mode [t=248330]
  + Automation: improve various FX behaviors when transitioning to touch state [p=2800488]
  + Automation: improve latch behavior of FX bypass automation [t=278857]
  + Automation: improve take FX behavior when stopped
  + Automation: reduce CPU overhead when automated FX parameters have no changes
  + Automation: actions to clear track latches also clear take envelope latches
  + Automation: actions to write value to currently-writing envelopes affect take envelopes
  + Batch converter: fix applying fade-in/fade-out when converting mono media and applying FX
  + Batch converter: improve responsiveness with very large numbers of files
  + Batch converter: improve support for converting video media items imported from arrange [t=292255]
  + CLAP: fix race conditions with bypass changes initiated by plug-in [t=294000]
  + CLAP: improve behavior when reopening plugins that support resizeable UI [t=294013]
  + Click source: double-click opens source properties dialog
  + Click source: add "use project metronome samples/frequencies" to presets menu
  + Click source: copy click samples when saving project with media
  + Custom menu editor: export menu name when writing .ReaperMenu
  + Custom menu editor: importing .ReaperMenu/.ReaperMenuSet are now non-destructive, can cancel or apply changes
  + Custom menu editor: importing .ReaperMenu allows importing from compatible contexts (ex: export as Main toolbar, import to Floating toolbar :
  + Custom menu editor: import menu name when importing .ReaperMenu into its original context
  + Custom menu editor: improve behavior when drag/dropping .ReaperMenu/.ReaperMenuSet
  + Envelopes: add options in Preferences/Appearance to control envelope point size scaling [t=239926]
  + Extension API: add IsWindowTextField()
  + Extension API: add PCM_SOURCE_EXT_SET_PREVIEW_LOOPCNT, available for track preview registers
  + Extension API: update hwnd_info hook to allow more context for window information
  + Freeze: fix freeze-to-FX issues relating to bypass automation
  + FX: improve bypass behavior when toggling via Ctrl+B or clicking in chain list
  + FX: improve focus behavior on Windows when clicking Remove button [t=293995]
  + FX: fix LV2, CLAP, and FX container preset display/navigation issues [t=294073]
  + Grid: fix snapping/navigating to metronome grid in certain cases [p=2809663]
  + Grid: when using metronome grid and click multiplier, apply multiplier to swing grid
  + Item ruler: improve display with very short media items
  + Lanes: fix comping MIDI when media is not looped and pooled MIDI is disabled [p=2806315]
  + Lanes: ignore preference to add whole recording when auto-punching and not adding lanes [p=2810520]
  + Lanes: improve behavior when splitting comp areas with crossfade left or center [p=2803994]
  + Lanes: MIDI export ignores lanes that are not playing back
  + Lanes: set last clicked lane (copy/paste destination) when clicking empty space in lane header area [p=2808231]
  + Localization: add option to ignore langpack-defined scaling
  + Localization: add option to show unlocalized strings in menu items
  + Localization: add option to show tooltips with pre-translated text on mouseover
  + Localization: improve localization of docked screenset window title
  + LV2: improve initial sizing of some plug-ins on Linux [t=294161]
  + LV2: optimized scanning of presets
  + Media explorer: improve behavior of zoom via scrollbar and mousewheel [t=294531]
  + Metadata: avoid recursively re-encoding IXML metadata
  + Metadata: encode .wav INFO metadata as 8-bit ASCII (when lossless) for compatibility with Windows Explorer
  + Metadata: improve IXML encoding compliance
  + Metering: fix potential stereo RMS post-fader track meter readout inaccuracy
  + Metronome/click source: allow multiple simultaneous voices when playing samples
  + Metronome/click source: increase maximum click pattern length to 72 beats
  + Metronome/click source: restore 4x click multiplier
  + Metronome/click source: support presets for click samples/frequencies
  + Metronome/click source: always show editable text version of click pattern
  + Metronome/click source: improve realtime audio performance when loading samples
  + MIDI editor: add preference to avoid setting MIDI items on non-playing lanes visible
  + MIDI editor: fix rounding inconsistencies in action to adjust MIDI event velocity
  + MIDI editor: improve display of recording notes during overdub/replace recording
  + MIDI editor: slightly reduce sensitivity of action to adjust MIDI note velocity to be more useful for Windows mousewheel
  + Normalize: add preference for normalize actions to apply to all takes within a media item
  + Normalize: add setting to adjust mono media an additional -3dB when normalizing media items, rendering, or converting
  + Normalize: change action descriptions to be clearer about whether common gain is applied when using most recent settings
  + Normalize: consistent wording for all normalize actions and dropdowns
  + Normalize: fix item normalization when using item channel modes
  + Normalize: improve precision of action to normalize media items using common gain
  + Normalize: support normalizing items separately, to loudest item, or as if they were one long item
  + Paste: action to paste as new takes supports pasting files from explorer/finder/etc
  + Peaks: support displaying any two of spectrogram, spectral peaks and loudness graph at the same time
  + Peaks: improve appearance of loudness graph when zoomed in
  + Peaks: support opacity control for loudness graph
  + Project bay: show media from RS5k, ReaVerb, etc in source media view, support copy/move/replace media
  + Project tabs: improve play state indicator state during/after render [t=293403]
  + Project tabs: show/hide item notes windows when switching tabs [t=293740]
  + Project tabs: when a playing background project stops at end of project, do not stop playing foreground project
  + Razor edits: fix snapping to media item edges [t=294539]
  + ReaScript: make EEL2 time_precise() return similar values to Lua versions on Linux
  + ReaScript: add GetSetTrackGroupMembershipEx()
  + ReaScript: document gfx.mouse_cap modifier key flags for all operating systems regardless of which OS the documentation is generated on
  + ReaScript: improve documentation for deprecated/discouraged functions
  + ReaScript: clarify that GetSelectedMediaItem(), CountSelectedMediaItems() are discouraged (and why)
  + ReaScript: [Track/Take]FX_CopyTo[Track/Take]() correctly copy automation [t=294038]
  + ReaVerb: fix incorrect output with stereo impulse response, silent left channel, and very sparse right channel [p=2804675]
  + Recording: improve realtime performance when initializing recording
  + Recording: restore behavior of adding takes when auto-punching selected items, not adding lanes, and new recording adds media items [p=2807839]
  + Region/marker manager: importing from csv (merge with existing) leaves all existing markers/regions intact [t=294127]
  + Render: add button to run actual render to file after successful dry run render
  + Render: add right-click menu action to reopen render peaks dialog modelessly, to allow focus to return to project
  + Render: after adding to the render queue, update render queue window if it is open
  + Render: clicking render peaks display sets edit cursor in project
  + Render: display cursor at mouse position when mouse is within render peaks display
  + Render: display multichannel, non-rectified peaks in HTML render statistics
  + Render: display project regions in HTML render statistics even if the region does not fall entirely within the bounds of the rendered file
  + Render: display short-term loudness graph by default (can be disabled) and loudness/gain reduction tooltip
  + Render: display timeline/ruler below render peaks display
  + Render: during or after rendering, update displayed filename when changing selected file in render list
  + Render: ensure final samples of rendered file are analyzed for render statistics
  + Render: fix peaks display when normalizing/limiting stems to master
  + Render: fix possible incorrect display of rendered file count after changing render settings [p=2809600]
  + Render: fix possible incorrect sample rate used when rendering with "preserve source media sample rate if possible" enabled
  + Render: fix render peaks display when user resizes render window to more than twice its original size
  + Render: fix render peaks display with very short renders
  + Render: fix switching peaks display by clicking in rendered file list when rendering selected tracks or media items via master
  + Render: improve render peaks display on retina
  + Render: include "show project markers" and "show project regions" checkboxes in HTML render statistics only if the rendered files overlap markers or regions
  + Render: increase default size of render process dialog
  + Render: increase resolution of loudness statistic history
  + Render: launch file, show in folder, media explorer buttons respect the current selection in the rendered file list
  + Render: move actions to jump to loudest or first clipping sample to render peaks display right-click menu
  + Render: move options for completed render window-closing behavior from render process window to render setup window
  + Render: optimize mid-render peaks drawing
  + Render: right-click render peaks display to insert project marker or create project region
  + Render: show project markers/regions in render peaks display
  + Render: support adding rendered files to project from render process window
  + Render: support changing render statistics display preferences from Preferences/Audio/Rendering
  + Render: support changing render statistics preferences from render dialog
  + Render: support creating time selection in render peaks display, on mouseup the time selection is created in the project
  + Render: support hiding project markers/regions in HTML render statistics
  + Render: support normalizing/limiting to master when rendering selected media items, using region render matrix, or any render setup that does not involve processing everything through the master track
  + Render: support sorting render statistics listview
  + Render: when rendering multiple files, support normalizing the loudest file and applying common gain adjustment to all files [t=293325]
  + Render: when rendering multiple files, support normalizing as if one long file
  + Render: do not corrupt UTF-8 characters when truncating filename for UI controls [t=294123]
  + Ruler: add actions, ruler context menu entries to set or reset project start time or start measure
  + Ruler: avoid displaying unnecessary fractional seconds in media item, media explorer rulers
  + SD2: adjust media item length after reloading media with new parameters
  + SD2: leave source properties dialog open after reloading media
  + SD2: support saving current decoding parameters as default
  + Take marker editor: do not apply the displayed position/length to the marker unless the user edited it [p=2807104]
  + Text: default to OS string rendering on macOS
  + Text: correct drawing of decomposed unicode glyphs in various places [t=291218]
  + Tempo map: fix editing tempo at existing time signature change when editing via transport [p=2803104]
  + Tempo map: improve warning when editing a time signature marker would create a partial measure
  + Tempo map: when editing time signature change position, ignore the current time signature when calculating the new position [p=2797818]
  + Timecode generator: double-click opens source properties dialog
  + Tooltips: fix tooltip clearing on certain mouse movements in arrange
  + Tooltips: improve loudness tooltip when zoomed in to samples
  + Track groups: support up to 128 groups
  + Track groups: do not show full list of empty groups, limit to highest used/named group + 16
  + Track groups: group window shows bullet next to groups that are in-use
  + Transport: label show-transport actions as "transport (play/record/stop...)" in case the user doesn't know what a transport is
  + Video: fix issues looping items with audio length discrepancies
  + VST: improve performance with large numbers of automated parameters/plug-ins
  + VST: ignore programs for VSTs with a single program [t=294090]
  + VST: improve TCP/MCP click behavior of gui-less bridged plug-ins [t=293994]

v7.22 - August 26 2024
  + LV2: fix support for various plug-ins on Windows (v7.21 regression) [t=293942]
  + Render: update render settings window when selecting project regions (by clicking on the region number) in the region render matrix [t=293919]

v7.21 - August 24 2024
  + Actions: actions that scroll the affected track into view only scroll if the track is entirely offscreen [t=292271]
  + Appearance: do not show vertical mouse indicator line when continuous scrolling is active
  + CLAP: improve handling of plugin request to resize GUI [t=293604]
  + Click source: preserve pattern when splitting or duplicating click source items [t=293876]
  + Custom menu editor: fix refresh of UI when importing ReaperMenu or ReaperMenuSet
  + Custom menu editor: prompt to save any unsaved changes before importing ReaperMenu/ReaperMenuSet
  + Freeze: correctly restore lane play state when unfreezing [t=290098]
  + Lanes: add new action to move media items up to minimize lane usage, without preserving relative lane positions [t=293763]
  + Lanes: fix loop recording behavior when recording into multiple tracks at once (7.20 regression) [t=293791]
  + Localization: fix UTF-8 issues on Preferences / Editing behavior page [t=293768]
  + LV2: fix support for plug-ins that use the urn: URI scheme [t=293582]
  + LV2: fix various plug-ins (7.20 regression) [t=293680]
  + MIDI: reset color when un-pooling MIDI [t=293592]
  + OGG Vorbis: fix writing of files when invalid CBR bitrate is specified [t=292988]
  + ReaScript: fix issue with FX_GetPresetIndex() and VSTs that have no built-in presets
  + Region manager: fix sorting by marker index after index has been edited [t=293804]
  + Regions: improve behavior when editing region length in samples [t=293838]
  + Render: ensure render window is entirely onscreen [t=293618]
  + Wildcards: add $lane wildcard, supported by rendering, metadata, and batch converter [t=293888]

v7.20 - August 13 2024
  + Actions: 'split item at mouse (no change selection)' preserves selection of unaffected media items [t=293124]
  + Anticipative FX: fix potential excess memory use in certain instances [t=292868]
  + Anticipative FX: fix smaller read-ahead being used on tracks with multiple send types
  + API: improve undo-dirty tagging of various item/take APIs
  + API: restore click source partial LoadState functionality (v7.19 change)
  + ARA: do not seek to loop start when setting loop points from ARA plugins
  + Automation: fix automation recording issues in certain instances [p=2801828]
  + Automation: fix trimming of envelopes that contain multiple pooled items [t=293005]
  + Custom menu/toolbar editor: support for multi-selection/reordering/copy-paste
  + Custom menu/toolbar editor: allow preserving unsaved changes when switching contexts
  + Custom menu/toolbar editor: allow non-destructive reset/revert changes per-context or for multiple contexts
  + Custom menu/toolbar editor: improve managing tooltips for icons
  + Default theme: fix positioning of dual-pan faders [t=293104]
  + Display: improve interaction between play cursor and mouse indicator line [t=293298]
  + Grid: fix shading arrange view vertically when ruler is displaying time [t=293108]
  + JSFX: support up to 128M memory slots (1GB RAM) via maxmem= option
  + JSFX: optimize calling of @init/@slider for FX that do not use @serialize
  + Lanes: when track has only one lane and it is not already playing, do not automatically set that lane playing after edits [t=293259]
  + LV2: support presets in external bundles
  + LV2: correctly handle relative URIs as (preset, e.g.) identifiers
  + LV2: disambiguate presets with duplicate names
  + macOS: use generic RGB profile for (non-Metal) internal drawing
  + Media explorer: fix context menu target area in listview display [t=293111]
  + Media explorer: fix tempo-matching files with certain kinds of embedded tempo metadata (7.19 regression) [t=293195]
  + Metronome: fix mouse behavior in click pattern editor with retina monitors and high time signatures
  + Metronome: add checkbox to metronome settings dialog to set project grid to follow metronome click pattern
  + Metronome: fix incorrect metronome pre-roll sounds at start of project (7.19 regression) [p=2801334]
  + Metronome: fix resetting pattern after clearing triplet setting [p=2798029]
  + MIDI devices: add separate MIDI Input Devices and MIDI Output Devices tabs in preferences
  + MIDI devices: allow filtering MIDI input/output device views
  + MIDI devices: faster saving of settings on Windows when adding/removing loopback devices, etc
  + MIDI devices: improve Windows support for devices with 8-bit ANSI characters in name
  + OSC: improve scroll behavior and fix other bugs in OSC listener window display
  + Peaks: improve loudness graph display on retina
  + Razor edits: fix incorrect behavior when using duplicate item action and trim behind razor edits set to auto-crossfade toolbar preference
  + Razor edits: use default split-fade when copying [t=293002]
  + Recording: ignore loop points if recording is entirely outside the loop [t=293021]
  + Recording: improve item auto-punch behavior when new recording ends before the end of the original media item
  + Recording: when item auto-punch recording, split media item only if new recording is looped and does not extend to the start or end of the media item [p=2797977]
  + Render: fix default colors for markers and regions in HTML render statistics
  + Render: do not mark project dirty when rendering/saving settings unless render configuration changed [p=2800108]
  + REX/ACID: fix importing media as beat slices skipping some slices with some combinations of project tempo and source media tempo
  + Super8: support configurable memory use, including longer loops
  + Tempo envelope: fix possible bad click pattern created when pencil-drawing tempo envelope points
  + Video: fix loading presets via ReaScript when UI is not visible [t=293212]
  + Video: support rendering selected items and selected items via master [t=292644]

v7.19 - July 23 2024
  + Actions: actions to up-rank/down-rank take under mouse will target comp areas if actively comping
  + Actions: add actions to move time selection/loop points start/end points to cursor (preserving length)
  + Actions: fix redraw of controls when clearing default-state latches in latch preview mode [t=278857]
  + Actions: improve descriptions of actions to up-rank, down-rank, or cycle through rankings for take or comp area under mouse
  + Actions window: if showing command IDs, match command IDs when filtering
  + Actions window: improve behavior of Find Key window, allow window to stay open on match
  + Actions window: improve macOS/Linux keyboard behavior in key binding window
  + Appearance: optionally display vertical line at mouse position, with various snapping options
  + CLAP: support CLAP_RENDER_OFFLINE notifications [t=292848]
  + Fixed lanes: add preference for MIDI comping to create pooled copies or not
  + FX browser: fix VST filesystem navigation for certain symbolic paths
  + Lanes: improve interactions between take ranking and comp areas
  + Linux: fix sweep-drag behavior in various managers
  + Media explorer: add option to display preview position and time selection in beats for audio files, using embedded or estimated tempo
  + Media explorer: clear time selection by pressing escape key while preview area is focused
  + Media explorer: do not display estimated tempo for file types that will ignore estimated tempo on import
  + Media explorer: do not recalculate beat grid when creating a time selection while tempo-matching to project
  + Media explorer: fix action to move column to far left on macOS
  + Media explorer: move setting to display preview position in fractional vs whole seconds to Show menu (from Options menu)
  + Media explorer: support navigating through editable metadata columns with left/right arrow keys, in addition to up/down arrow keys
  + Media explorer: when displaying preview ruler, playback position, or time selection in beats, use raw beat count rather than measures.beats (because there is no time signature context)
  + Media item edge edits: ignore preference to limit edge edits to source media for all but the item being directly edited, to prevent relative edge edits from going out of sync [t=292761]
  + Media item edge edits: ignore preference to limit edge edits to source media if media item edge is already outside the source media bounds
  + Metronome/click: only display deprecated click sounds/shapes (for example, "sine (soft start)") in dropdown if project is loaded with deprecated settings
  + Metronome/click: add button to reset click frequencies to default
  + Metronome/click: add graphical control for editing metronome pattern
  + Metronome/click: support triplets, 3 over 2, 3 over 4 (click the + buttons below the pattern editor grid to set)
  + Metronome/click: deprecate 4x click multiplier
  + Metronome/click: support double-length click pattern when using double-speed metronome
  + Metronome/click: support up to 4 different beat types/samples
  + Metronome/click: add sine+square metronome sound option
  + Metronome/click: automatically update metronome pattern when changing time signature
  + Metronome/click: in new projects, primary click is higher-pitched than secondary click by default
  + Metronome/click: preserve metronome/rhythm pattern for tempo/time signature change points, even if the point does not have "set metronome pattern" enabled
  + Metronome/click: support entering click volume directly in dB
  + Metronome/click: when changing time signature without changing click pattern, extend the click pattern if necessary with secondary beats
  + Metronome/click: when editing time signature marker, default to compound metronome pattern for compound time signatures
  + Metronome/click: always loop source for click source items by default
  + Monitoring FX: improve configuration state saving after window position/visibility changes
  + Notation: fix inserting notes on Windows [t=292871]
  + Notation: prevent crash when switching media items in notation view [t=292769]
  + Notation: improve hit testing at note edges [t=292808]
  + Peaks: improve drawing performance when moving items without any tempo changes
  + Pin connector: fix usability issues when scrollbar is visible
  + Preferences: move fixed lane comping preferences to new Editing Behavior / Fixed Lane Comping page
  + Preferences: add some basic comping help text to Preferences / Editing Behavior / Fixed Lane Comping
  + Razor edit: support copying locked media items and envelopes
  + ReaScript: add GetSetTempoTimeSigMarkerFlag()
  + ReaScript: GetSetEnvelopeInfo_String() can be used to get/set various envelope attributes (visible, armed, active, show in lane)
  + Recording: do not extend recording to span time selection when recording 2 takes that do not overlap [p=2794382]
  + Ruler: add "Measures.Fractions" ruler display mode
  + Ruler: add checkbox to project settings dialog to base ruler markings on customized project start measure
  + Ruler: add checkbox to time signature markers to reset measure grid [p=2786579]
  + Ruler: add preference to reset grid labels at start of regions
  + Ruler: display labels at grid reset measures if possible
  + Ruler: always display whole measures as 1.1, 2.1 etc (not 1.1.00, etc) when displaying beats
  + Ruler: internal improvements to ruler grid calculations
  + Ruler: add "metronome" grid display, which marks every metronome click
  + Ruler: when displaying samples, space labels similarly to when displaying time (space labels apart by integer seconds if possible)
  + Ruler: add separate option to shade arrange view vertically when ruler does not display beats
  + Ruler: automatically add a small amount of contrast to vertical grid shading colors, if the option to divide the arrange view vertically is enabled and the theme colors for odd/even track backgrounds are identical
  + Ruler: support dotted note grid lengths in grid settings dialog
  + Theme adjuster: improve import/export prompting
  + Toolbar editor: include animation flags when copying/pasting items
  + Toolbar editor: prevent pasting actions into contexts in which they are not compatible
  + VST3: simplify handling of plugins that generate MIDI events [t=292338]
  + Windows: support disabling crash dump generation via unchecking option in installer

v7.18 - July 6 2024
  + Actions: fix action list definition of 'split item under mouse cursor ignoring grouping, select right' (7.17 regression) [p=2792089]
  + Actions: actions to nudge pan left/right respect grouping
  + FX: defer FX-follows-track-selection until after mouse capture is completed [p=2793035]
  + Lanes: remove 'create comp areas for new recording while comping' from lane header button recording submenu (same setting is already in comping submenu)
  + Lanes: support default fixed lane track record mode override in Preferences / Project / Track/Send Defaults [p=2793287]
  + Lanes: update lane header buttons when lane play state changes after recording [p=2793292]
  + Lanes: update track properly when moving items down to a new lane on a track that has only one lane showing [t=292409]
  + Lanes: when new recording cannot add lanes, and recording into an existing fixed lane track, always add new recording to a lane that is already playing
  + Linux: allow configuring JACK MIDI port count (62/64 by default, range allowed 0-128)
  + Linux: fix crashes/incorrect priority when using JACK/PipeWire on some systems [p=2794080]
  + Meters: fix meter colors when using mixed peak/loudness metering for different tracks [p=2792915]
  + MIDI editor: improve drawing responsiveness to scrub, other miscellaneous actions
  + MIDI editor: improve resizing behavior when using project-sync timebase
  + MIDI editor: improve synced-timebase update frequency
  + Mouse modifiers: add mouse modifier support for take marker left drag, left click, double click
  + Peaks: fix loudness peaks display when media item volume adjustment is applied [p=2792398]
  + Razor edits: fix consolidating small adjacent razor edits [t=291621]
  + ReaScript: add InsertTrackInProject(), MIDI_RefreshEditors()
  + ReaScript: improve TrackFX_AddByName() searching of Audio Unit names [t=292553]
  + ReaScript: SetTrackUIPan/Volume/Width now clear touch state if done=true, temporarily set if done=false [t=291664]
  + ReaScript: SetTrackUIPan/Width no longer affect last-touched track [t=291674]
  + ReaScript: support background projects for GetTrackGUID(), GetTrackInfo(), DeleteTrack()
  + Recording: fix looped lane recording when recording starts before the loop start [p=2793240]
  + Regions: add region display options to region right-click menu
  + Render/convert: improve behavior when preserving source file metadata and source files contain many different metadata fields [p=2792710]
  + Ruler: add option to display selected regions over unselected regions (in ruler lane right-click menu)
  + Take markers: add double-click mouse modifiers to change take marker up-rank/down-rank
  + Take markers: fix actions that delete takes based on up-rank/down-rank markers after splitting the item [p=2792523]
  + Tempo: add global preference to snap tempo envelope edits to whole or fractional bpm
  + Theme adjuster: localization support
  + Theme adjuster: support mousewheel on faders
  + Theme: make reading of unzipped rtconfig.txt match corner case behaviors of zipped file to catch bugs earlier
  + Track defaults: allow setting force multichannel input, force MIDI input, and MIDI latch-replace as default track record modes via preferences [t=292454]
  + Windows: improve update responsiveness of MIDI editor

v7.17 - June 26 2024
  + Actions: add actions to clear or delete takes on selected tracks based on up-ranked/down-ranked state
  + Actions: add actions to up-rank or down-rank take under mouse
  + Actions: add actions to split media items at take markers (all takes)
  + Actions: improve description of actions to change crossfade-on-split options
  + Actions: improve description of actions to move loop points to time selection, move time selection to loop points [t=292104]
  + Actions: improve performance of imploding fixed lanes to takes
  + Actions: move/copy contents of time selection to edit cursor now obeys edit cursor/time selection preference for new cursor position
  + Actions: update description of MIDI editor save action
  + Actions: update Preferences/Project/Item Fade Defaults after running actions that change options
  + Actions: fix actions to crossfade media items when using free item positioning or fixed lanes [t=292039]
  + Appearance: lower default value for 'hide buttons when take height is less than X pixels' preference
  + API: track previews report project position in absolute_time_s
  + AU: provide track name context info for plugins that request it
  + Automation: add option in Preferences/Buffering to control whether anticipative FX is used on tracks in automation write modes
  + Automation: add options in Preferences/Editing Behavior/Automation to unselect all envelope points in response to various clicks
  + Color theme: add separate take marker color for selected items
  + Color theme: un-deprecate theme elements for unselected marker and region text
  + Color theme: use previous default values as fallbacks for new marker/region theme elements if the theme does not define them [p=2784260]
  + Default theme: fix margins on transport selection revealed when text very large [p=2788811]
  + Default theme: fix theme transport background color when pure black [p=2787054]
  + Default theme: prevent TCP track numbers clipping [p=2787902]
  + Default theme: add new Default 7.0 Theme Adjuster
  + Editing: fix auto-crossfading media items when trim behind edits is enabled
  + Glue: preserve color, if all glued items have the same custom color
  + Glue: preserve up-ranked/down-ranked status, if all glued items have the same status
  + Glue: preserve take markers when gluing
  + JSFX: fix load of certain preset/state for various JSFX including IX/MIDI_ and Guitar/Amp Modeler
  + JSFX: fix UTF-8 support for parameter combo boxes on Windows
  + Lanes: add explicit 'Do not add lanes' menu item to Options/'New recording that overlaps existing media item' submenu
  + Lanes: copy source media take name to comping lane
  + Lanes: fix recording into lanes when multiple files are created due to file size limit preference
  + Lanes: ignore setting to automatically remove empty lanes when displaying only one lane [p=2786394]
  + Lanes: optimize drawing performance when zoomed in to a track with many lanes
  + Linux: improve knob appearance when using dark mode libSwell.colortheme
  + Localization: support localizing modifier key names
  + macOS: fix quirks with 'show last undo point in title bar' option
  + Marker/region manager: extend existing option to display only take markers in active takes that are within the visible part of the media item
  + Media: fix potential performance/stability issue when replacing media via drag/drop and project bay [t=292208]
  + Media import: properly handle user canceling import via multiple-item or tempo-match prompts [t=288431]
  + Media import: do not prompt to tempo-match video, image, or tempo-less MIDI files
  + Media import: do not prompt to adjust tempo if tempo is guessed and file is more than 8 measures long
  + Media import: when dragging in media from media explorer with suggested tempo and user asks to adjust media, do so
  + Media import: add preference to prompt to adjust media or project bpm if media tempo is guessed from file length
  + Media items: add action to delete all takes that are not up-ranked [t=288314]
  + Media items: add action to import media cues as take markers
  + Media items: don't show locked item button when items are too small
  + MIDI editor: add action to set measure grid
  + MIDI editor: add action to toggle snap to key signature
  + MIDI editor: filter out events with invalid timestamps when loading [t=292265]
  + MIDI editor: fix adding/editing of Port events in list editor [p=2789003]
  + MIDI editor: fix displaying length for multiple selected notes with mixed time signatures [p=2790490]
  + MIDI editor: fix latent response of actions to move CC events by pixel/grid
  + Mouse modifiers: add media item left-click modifiers to split items with crossfade left/right/center
  + Mouse modifiers: add media item mouse modifiers to split item ignoring snap
  + Mouse modifiers: add modifiers to split razor edits with crossfade to inside, outside, or center
  + Mouse modifiers: fix media item left-click actions being ignored when clicking on bottom half of item
  + Peaks: display loudness peaks/tooltips correctly when a media item consists of a subset of channels of a multichannel file [t=290961]
  + Peaks: use new loudness peaks file format which supports per-channel loudness, previously-calculated loudness peaks may be automatically recalculated
  + Pin connector/channel mapping control: support mousewheel vertical scroll if the mouse is anywhere in the grid
  + Preferences: create new General/Undo tab for undo-related settings
  + Preferences: create new Appearance/Ruler/Grid tab for ruler/grid-related settings
  + Quantize items: fix potential crash when running action to quantize items to grid [t=291548]
  + Razor edits: default actions/behaviors that split at razor edit edges crossfade to the inside by default, rather than to the right
  + ReaScript: support rendering multichannel media using RenderFileSection() [t=291611]
  + ReaVerb: improve list scrollbar behavior
  + Recording: add global option for whether to record into an existing fixed lane if there is space available
  + Recording: all tracks, including fixed lane tracks by default, obey project overlapping recording behavior
  + Recording: fixed lane tracks can override project overlapping recording behavior
  + Recording: recording into a fixed lane track with overlapping recording behavior set to 'do not add lanes' will record into an existing lane only
  + Recording: respect project settings for how to handle overlapping recording when in item auto-punch record mode
  + Recording: fix potential rounding error when gaplessly switching files during recording [rr=1d2wlyq]
  + Region/marker manager: display length for take markers
  + Region/marker manager: improve display when marker color has been manually set to the default color
  + Render: support multichannel media when drag/drop rendering item [t=291611]
  + Render: add render setting to preserve source media sample rate if possible [t=291533]
  + Render: update some render dialog controls when output file name changes
  + Render: when rendering multiple files at once, support writing render statistics HTML per file or combined
  + Retroactive MIDI recording: fix potential incorrect behavior when as multiple takes during playback
  + Sends: fix multichannel downmix when receiving track has fewer channels than source send [t=291349]
  + Split: add global preference to crossfade left/right/center when splitting
  + Split: add actions to change crossfade left/right/center preference, cycle through preferences
  + Split: legacy actions to split (select left, force crossfade left) will ignore new global preference
  + Split: hide legacy actions to split (select left, force crossfade left) in actions list; existing custom actions and scripts will still work
  + Split: respect crossfade-left, crossfade-center, crossfade-right preference when splitting at grid, markers, or cues
  + Split: deselect unaffected media items after actions to split at mouse
  + Split: fix behavior when crossfade would extend beyond item start/end [t=290691]
  + Split: add actions to split items at time selection or razor edit, crossfading to inside, outside, or center
  + Split: all actions to split at time selection (crossfading to inside, outside, or center) will split on razor edits, if any exist
  + Take markers: add actions to create or delete take marker within time selection
  + Take markers: avoid possible crash when editing or deleting take markers on currently-recording items
  + Take markers: sync comping and source lanes after deleting take marker
  + Take markers: sync source edits to take markers from source lane to comping lane
  + Take markers: reverse-sync edits to take markers from comping lane back to source lane [t=288992]
  + Take markers: support copying take markers via ctrl/cmd-drag
  + Take markers: support editing take marker position in take marker dialog
  + Take markers: support length parameter for take markers
  + Take markers: add preference for 1-5 up-rank levels (default=3), 0-1 down-rank levels (default=1)
  + Take markers: when adding take markers to media items in the comping lane, update the associated media items in the source lane, as well as any other comping lane items that are synced with that source item [p=2784514]
  + Takes: add 'at mouse' versions of actions to delete takes based on up-rank/down-rank marks
  + Takes: actions to delete takes based on take ranking markers only consider visible take markers
  + Takes: add actions to add up-ranked/down-ranked take markers at 1 second or 2 seconds before play position, if playing back
  + Takes: add actions to clear up-rank/down-rank take markers
  + Takes: add actions to cycle through up-rank/down-rank levels
  + Takes: add actions to split at take markers
  + Takes: add actions to up-rank/down-rank take or clear rankings within time selection
  + Takes: add context menu for take up-rank/down-rank markers
  + Takes: add default arrange_takemarker cursor
  + Takes: move take markers context submenu, now adjacent to stretch markers context submenu
  + Track spacers: fix removing track spacers from mixer [p=2790754]
  + Undo: add option in preferences to control whether MIDI event selection creates undo points
  + VST3: support IPluginFactory3::setHostContext with IRunLoop support on Linux
  + Wildcards: support lower-casing all letters of the substitution (see wildcard help) [t=267428]
  + Windows: improve behavior when unable to overwrite file with UTF-8 characters [t=290707]

v7.16 - May 21 2024
  + Actions: improve description of unknown or deprecated actions that are components of other custom actions
  + Audio Units: fix display of stepped parameter when minimum value is not zero [t=290386]
  + Automation: add preference for automation rate and parameter modulation when interpolating between points for FX that support sample-accurate automation
  + Automation: preserve armed state when hiding/showing envelopes
  + Automation: when hiding single-point default-setting pre-FX/mute/etc track envelopes, optionally deactivate the envelope as well
  + Batch converter: support writing project markers/regions to rendered file when converting from media item [t=290688]
  + Color theme: add theme elements for region/marker edge (selected, unselected)
  + Color theme: ensure that theme colors for selected listview rows are different from unselected rows [t=290998]
  + Control surfaces: add option to close devices while rendering
  + Control surfaces: do not send feedback to open devices while rendering
  + Envelope manager: when ctrl+alt+clicking visible/arm/UI columns, treat as set-exclusive
  + Envelope manager: when setting envelope visible, auto-scroll arrange view to make it visible
  + FX browser: fix undocked filter combo box persistence quirk [t=291259]
  + Import: when importing media with embedded tempo information into an empty project, optionally prompt to adjust project tempo to media tempo
  + Import: when importing media with unknown tempo, if user preference is to prompt for behavior (adjust media to project tempo or adjust project to media tempo), prompt using a best-guess tempo estimate
  + Lanes: when comping, copy source media take name to the comping lane copy of that media item
  + Localization: localize default menu names when displaying customized menus
  + Localization: support Frame/Measure in grid/snap window
  + Localization: support localization of various key names
  + Localization: use synonyms when searching toolbar icon names
  + LV2: tweak worker scheduling in order to match other hosts [t=290406]
  + Media explorer: add list header context menu to move column to far left, support shift+click on column header to move to far left
  + Media explorer: improve resizing behavior on linux
  + Media explorer: label channel mapping button 'MIDI' for MIDI source media
  + Media explorer: support adding image metadata or deleting existing image metadata for .mp3 files
  + Media explorer: support retaining separate channel mapping for each file, for each channel count, for all files, or not at all (options in channel mapping window)
  + Media explorer: when previewing stereo file with both source channels mapped to both output channels, import media with mono channel mode and +6dB take volume [p=2780410]
  + Media item properties: support displaying/entering item position and length in samples
  + Meters: fix 'LUFS-S (readout=current)' metering mode [t=290568]
  + MIDI editor: add action to insert CC at edit cursor in current lane
  + MIDI editor: fix quantize with manual swing settings (7.15 regression) [t=290472]
  + MIDI editor: improve corner case behavior relating to right-drag marquee and context menus
  + Mixer: reduce CPU overhead with master track panel docked and hidden
  + MP3: fix importing files with long APE metadata tags [t=290751]
  + Preferences: add maximum stretch marker handle size configuration
  + Preferences: allow resizing window, some tabs support this usefully
  + Project: reset master track pan width when creating new project [t=290615]
  + Project: show indicator on ruler if project maximum length has been enabled
  + Razor edit: improve display responsiveness when zoomed in to a tiny part of a razor edit [t=290605]
  + ReaComp: improve threshold automation behavior [p=2775220]
  + ReaControlMIDI: fix ReaScript and automation issues with Bank LSB parameter [t=289639]
  + ReaScript: add preference to copy error message to console when IDE is open
  + ReaScript: GetUserFileNameForRead supports trailing slash in filename in order to set initial path only
  + ReaScript: optimize MIDI API when modifying items with open MIDI editors
  + ReaScript: setting I_PERFFLAGS takes immediate effect for routing hierarchy
  + ReaScript: skip items on hidden lanes in GetItemFromPoint() [t=290496]
  + ReaScript: update FX_GetNamedConfigParm() to support querying chain_pdc_actual/chain_pdc_reporting
  + ReaXcomp: improve threshold automation behavior [p=2775220]
  + ReaXcomp: remove denormal noise from filters [p=2775795]
  + Recording: fix $recpass wildcard being off by one [t=289805]
  + Recording: improve monitoring behavior with auto-input monitoring and loop selection auto-punch when there is no selection
  + Region manager: fix deleting multiple markers/regions at once [t=291102]
  + Region manager: improve behavior when changing listview selection multiple times in a row [t=290237]
  + Region manager: when changing selection while filter is applied, clear selection of non-visible regions unless shift or ctrl key is down [t=290998]
  + Regions: support selecting regions (mirrored in region manager, affects rendering selected regions) by clicking on them in the ruler
  + Render: add option to preserve source start offset when rendering with media items as source
  + Render: apply render fade-in/fade-out properly when using 2nd pass render
  + Render: if option enabled to preserve metadata, preserve existing BWF metadata and ignore BWF-related .wav configuration settings [p=2777573]
  + Render: support $marker[001], $region[001], etc to apply offset or number of digits to marker or region number [t=290337] 
  + Render: when preserving metadata start offset, adjust for any take start offset [p=2777732]
  + Save as: when using trim media, fix incorrect handling of some reversed items [t=290394]
  + Searching: treat UTF-8 punctuation and certain symbols as non-word characters
  + Split: fix grouping after action to split item under mouse [t=290454]
  + Tempo envelope: fix positions of inserted points when pencil-drawing tempo envelope points and the envelope contains partial measures [t=290745]
  + Tempo map: improve behavior when editing time signature markers (do not move items, preserve later tempo/time sig marker times)
  + Tempo map: support a mixed timebase which uses beats for time signature markers and time for tempo markers
  + Theme: fix mixer strip floating arm button [p=2778232]
  + Theme: properly hide mixer volume knob if clipped away
  + Track panels: add action to show/hide entire track control panel area [p=2776572]
  + Track panels: add separate actions to toggle between primary and alternate TCP widths (alternate is zero by default), or show/hide TCP area
  + Track panels: improve behavior of ctrl+alt record-arm button click (exclusive-sets track and any grouped tracks)
  + Track panels: do not send mouse clicks to window when clicking causes control under mouse cursor to change [t=288032]
  + Undo: fix automatic record-arm inconsistency after undo [t=290347]
  + Virtual MIDI keyboard: add checkbox to send all keyboard input to VKB
  + Virtual MIDI keyboard: improve evenness of key spacing
  + VST: fix for possibly incorrect VST3 .vstpreset export [t=290322]
  + VST: fully fix support for mapping high MIDI buses to VST3 MIDI buses [t=284552]
  + Windows: add preference to disable FX windows during render [t=290801]
  + Windows: fix various issues when user temporary path includes non-ASCII characters
  + Windows: improve behavior of hidden mouse cursor when tweaking TCP/MCP send/fx knobs
  + Windows: improve scheduling of display updates in response to input events

v7.15 - April 17 2024
  + Accessibility: improve descriptions for various FX/JSFX text edit fields
  + Accessibility: improve keyboard accessibility of various sliders via pageup/down, home/end
  + Accessibility: improve macOS VoiceOver keyboard focus behavior for sliders in FX, other windows
  + Actions: clarify that split actions that select the left-hand item also crossfade to the left of the split point [t=286185]
  + Actions: respect global crossfade preference when running actions to split items on grid or at markers
  + API: extend screenset API slightly for ReaImGui
  + Color theme: fix labeling of odd vs even media item background color in theme tweaker [t=289479]
  + FLAC: display error message when attempting to record or render to an unsupported FLAC configuration (more than 8 channels, etc)
  + FX: allow reordering reaper-native presets using ctrl+up/down with preset combo box focused
  + FX: improve pin connector dialog default size with JSFX [t=290028]
  + FX: parse -inf user input in various ReaPlugs dB contexts
  + FX: improve ReaDelay length parameter names
  + Lanes: fix comp areas breaking when using multiple comping lanes [t=290278]
  + macOS: fix mousewheel support in menus on Sonoma
  + macOS: improve FX plug-in resize behavior when switching monitors on recent macOS versions
  + Media Explorer: improve preserving non-overwritten .mp3 metadata when adding new metadata
  + Media explorer: support displaying embedded image metadata (via action or double-click on 'image' column)
  + Metadata: automatically set/clear default image type when setting/clearing image metadata
  + MIDI editor: improve appearance of measure start with swing grid enabled [t=283527]
  + MIDI editor: improve behavior of actions to move notes left/right by grid when using swing or non-1.0 playrate
  + MIDI editor: improve keyboard navigation when using swing grid [t=288971]
  + MIDI editor: improve swing grid behavior with non-1.0 playrate
  + MIDI editor: improve various grid/editing behaviors with 'ignore project tempo' enabled
  + Mixer: allow moving tracks to before, within, or after an existing spacer that is before or after the track [t=288785]
  + ReaScript: do not correct reversed FX min/max parameters in SetParamNormalized [t=290126]
  + ReaScript: fix GetThingFromPoint() when mouse is over track manager and track manager is displaying no tracks [t=290056]
  + Regions: fix moving/copying regions with locked media items [t=290117]
  + Render: support preserving existing metadata (using best efforts) when rendering master mix or tracks, not just selected media items
  + Splash screen: increase status granularity when scanning MIDI devices
  + Take markers: do not display markers that occur before the visible item start, regardless of zoom level
  + Theme: fix volume knob size in strip mixer
  + Tooltips: clear media item tooltip correctly [p=2773110]
  + VST: fix issues when recording automation on highly-automated plug-ins
  + VST: fix support for mapping high MIDI buses to VST3 MIDI buses [t=284552]
  + VST: ignore feedback parameter change notifications from plugins while automating

v7.14 - April 4 2024
  + ARA: do not inform plugins of UI-related changes when plugin UI is closed
  + ARA: update project media item selection information when reopening plugin UI
  + CLAP: when an instrument plugin is acting as FX, replace input rather than summing [t=289548]
  + Loudness peaks: fix display when applying item pan or take pan envelope
  + MIDI editor: when using mouse modifier to move note on one axis only, lock movement to one axis once the move has been initiated
  + Render: fix render dialog loudness display when rendering multiple regions or selected media items
  + Tooltips: fix lag when displaying loudness tooltip while playing back [p=2770568]

v7.13 - April 2 2024
  + API: C/C++ header allows renaming API call names [t=289894]
  + Default theme: fix 150% MCP image glitch [p=2771219]
  + Default theme: move MCP strip index divider up 1 pixel, fix selection dot z-order
  + Lanes: fix applying implied fade-in/fade-out when using lane masking
  + Lanes: fix fade-in/fade-out/autocrossfade behavior after running actions to crop to playing media items without preserving lanes [p=2771274]
  + Lanes: fix behavior of action to automatically create comp areas when lanes are collapsed [p=2771408]
  + Lanes: fix gluing media items when using lane masking
  + Lanes: fix saving/restoring lane masking state in .RPP
  + Lanes: prevent possible bad output when using lane masking and media items have no fade-in/fade-out [p=2771246]
  + Lanes: update peaks after disabling lane masking [p=2770721]
  + Media explorer: fix inconsistency in time selection display/calculation when project has negative start offset [t=289724]
  + Media items: fix display of implied fade-in/fade-out when item mix mode is 'enclosed items replace enclosing items'
  + Preferences: fix search focus issues with certain REAPER extensions installed
  + Render: fix render dialog statistics display when normalizing to common gain and not rendering master mix [t=289917]
  + VST: fix support for up to 128 buses [t=284552]

v7.12 - March 26 2024
  + Accessibility: improve accessibility descriptions in Preferences/Item fade defaults
  + Accessibility: improve accessibility for MIDI device list
  + Accessibility: improve application-key menu behavior in various listviews
  + Actions: improve some action descriptions for last touched FX envelope
  + Actions: fix media item quantize action affecting unrelated items on free item positioning or fixed lane tracks [t=289244]
  + ARA: report selection change to plugins when switching active takes
  + Automation: add preference to control whether envelopes with a single point are automatically removed when hiding [t=90282]
  + CLAP: fix pin state loading for plug-ins that change their channel count on state load (e.g. FabFilter)
  + Default theme: make auto-hide behavior of envelopes and routing buttons similar to Default 6 theme
  + Default theme: mixer layout B is now a reworked strip layout
  + Drag and drop: allow dragging FX and routing to tracks in track manager
  + Freeze: exit comping when freezing a track
  + Freeze: treat media items on fixed lanes that do not play as if they were muted items
  + Grouping: increase tolerance for track edit grouping to include items that start and end within 2ms of each other
  + Initialization: warn on startup if configuration file cannot be written to (avoid unexpected behavior when running portable installation without directory write permission, for example)
  + Lanes: actions to automatically create comp areas prefer media items in higher numbered lanes rather than lower numbered lanes
  + Lanes: action to reset lane names will reset lanes named like 'C1' if they have no comp areas
  + Lanes: add actions to explicitly set (rather than toggle) recording options to add lanes, add lanes in layers, or not add lanes
  + Lanes: add track setting for media items on higher numbered lanes to automatically mask playback of lower lanes
  + Lanes: display implied crossfade when a media item is masked by the fade-in or fade-out of another media item
  + Lanes: do not set new lanes playing when inserting multiple media items and only one lane currently playing [p=2767175]
  + Lanes: fix behavior of action to comp into new empty lane when comp lane already exists
  + Lanes: fix crash when trying to insert more than 128 lanes
  + Lanes: fix pasting razor edits or media items to fixed lane tracks when comping is active [t=289260]
  + Lanes: fix undo after changing comping lane [p=2734645]
  + Lanes: handle corner case when auto-removing lane from two lane track with no media [p=2757796]
  + Lanes: prevent creating comp areas that are fully enclosed by other comp areas
  + Lanes: respect setting to automatically comp new recording when in autopunch mode but recording does not intersect the time selection or selected items [t=288422]
  + Lanes: update display after auto-punch recording with comping enabled [t=288667]
  + macOS: improve peaks drawing quality in Retina mode
  + macOS: possible drawing performance fixes with M2/Sonoma/Metal enabled
  + Media explorer: add option to close window on escape key
  + Media explorer: support enabling, disabling, remapping individual channels for audio or MIDI
  + Media explorer: support manually entering time selection start/end times
  + Media explorer: support inserting selected portion of media into existing media item [t=268245]
  + Media explorer: restore most recently used channel mapping when reloading a file that was previously previewed
  + Media explorer: apply preview channel playback configuration to media when inserting
  + Media explorer: disable reverse preview actions for MIDI (has never been supported, but display was misleading)
  + Media explorer: display channel count for MIDI files (may require re-reading metadata from media)
  + Media explorer: display preview playback position, length, time selection in beats for beat-based media (MIDI, REX)
  + Media explorer: display ruler on media preview
  + Media explorer: fix APEv2 tag after writing new metadata to .mp3 files
  + Media explorer: fix displaying out-of-tune indicator when pitch detection is enabled
  + Media explorer: improve display of MIDI markers and cues
  + Media explorer: improve randomness of action to randomize file list
  + Media items: fix occasionally not displaying take markers that are at the very start of the media item
  + Media items: when preference enabled to clamp media item edge edits to source media start/end, and item has multiple takes, clamp to the earliest start or latest end
  + Metadata: automatically set/clear default image type when setting/clearing image metadata
  + Metadata: remember last used metadata scheme selection when reopening REAPER
  + MIDI: fix inserting multitrack MIDI onto existing tracks
  + MIDI editor: add option to not draw CC events in non-editable contexts
  + MIDI editor: do not preview note when clicking/dragging piano roll with modifiers that are mapped to 'No action'
  + MIDI editor: do not show hidden tracks in track list
  + MIDI editor: ensure double-click on collapsed CC lane expands the lane [t=289393]
  + MIDI editor: improve grid-line navigation on items with non-1.0 playrates [t=289129]
  + Mouse modifiers: respect arrange view override when clicking within track spacer or below last track [t=288574]
  + Notation editor: fix display of ties when note extends past the right edge of the screen in continuous view [t=288216]
  + Peaks: add display mode to color peaks by loudness (LUFS-M or LUFS-S), or display a colored loudness graph over the media item
  + Peaks: add option to display tooltip with peak value and loudness, when displaying loudness peaks or when loudness peaks were previously generated and cached
  + Peaks: add preferences to always generate and cache info for loudness, spectral peaks even if not currently displayed
  + Peaks: support renaming presets for spectral, loudness, spectrogram peaks
  + Peaks: support loading/saving/renaming/resetting display presets from '...' dropdown menu in peaks display settings window, when displaying spectral, loudness, spectrogram peaks
  + Peaks: support retina drawing in peaks display settings window
  + Preferences: add new Editing Behavior/Automation Items page, move existing preferences there
  + Preferences: add new Media/Peaks Generation page
  + Preferences: add preference for fixed lane tracks to enable media items in higher numbered lanes masking lower numbered lanes by default
  + Project bay: do not report unavailable FX as idle
  + ReaScript: add GetSetMediaTrackInfo('C_LANESETTINGS') [p=2763381]
  + ReaScript: add I_MIDI_INPUT_CHANMAP/I_MIDI_CTL_CHAN/I_MIDI_TRACKSEL_FLAG to GetSetMediaTrackInfo()
  + ReaScript: add Lua usage example for SendMIDIMessageToHardware() [t=276925]
  + ReaScript: improve default rounding of gfx.roundrect() [p=2768237]
  + ReaScript: improve support for newer Python versions
  + ReaScript: update audio status menubar text in response to GetSetProjectInfo_String with RECORD_PATH or RECORD_FORMAT [t=289432]
  + Render: do not apply dither to the first rendered sample if it would otherwise be zero
  + Render: fix peaks display when calculating loudness of selected items via dry run render [t=288907]
  + Render: fix render statistics chart for video renders [t=288336]
  + Render: respect render settings to dither/noise shape stem renders
  + Take markers: avoid possible crash when editing or deleting take markers on currently-recording items
  + Toolbars: update customized toolbar buttons after actions to display various views of the routing/grouping/region matrix window [t=288273]
  + Tracks: add actions to crop to playing media items (not muted, not on lanes that do not play back, not masked by other media items), or copy playing media items to new track
  + Transport: fix macOS retina drawing glitch with some themes [t=288253]
  + Wildcards: add support for $notes wildcard, resolves to the text in the Project Settings/Notes dialog

v7.11 - February 10 2024
  + API: fix get_config_var() quirks for Playtime 1.x compatibility [t=288171]
  + Envelope window: fix macOS focus issue with MIDI learn [p=2757628]
  + Razor edit: fix some razor edit actions applying to media items outside the razor edit [p=2757638]
  + ReaScript: fix TakeFX_CopyToTake for containers [t=287880]

v7.10 - February 9 2024
  + Accessibility: improve state indicators for routing window mute/polarity/mono/MIDI buttons
  + API: fix accessing metronome, master track state via projectconfig_var_getoffs/projectconfig_var_addr
  + API: support get_config_var(__fx_loadstate_ctx) for VST/CLAP use, see C++ header documentation
  + Automation: add project setting to smooth abrupt changes (square envelope points, sharp edits) on volume/pan/width envelopes
  + Automation: use new project setting, if enabled, for envelope smoothing for mute envelopes
  + Automation: improve smoothness when looping automation items with sine or parameteric LFO
  + CLAP: add per-plugin option to disable offsetting automation by PDC [t=287191]
  + CLAP: properly restore saved UI size of resizable plug-ins [t=286523]
  + Configuration export: support saving/restoring Media Explorer metadata caches (including metadata not yet written to media files) [t=287160]
  + Default 6.0 theme: add retina meter mute/unsolo/dim images [t=286642]
  + Envelope manager: add dockable envelope manager to complement track/take envelope window
  + Envelope manager: support editing all selected tracks, selected active takes
  + Envelope window: redesign window using a listview to list envelopes/parameters/etc
  + Envelope window: add combobox for filtering active envelopes, last touched FX parameters, etc
  + Envelope window: filter now supports matching Arm, Visible, Active, UI, Mod, Learn
  + Envelope window: support setting modulation for take FX
  + FX browser: when assigning shortcuts and alt-main section enabled, use alt-main section [t=288018]
  + Lanes: action to duplicate items to new lane does not set new lane playing [p=2754987]
  + Lanes: add actions to explicitly make all lanes big/small
  + Lanes: add actions to explicitly show one/all lanes
  + Lanes: preference to add whole recording when auto-punch recording into a fixed lane track applies regardless of whether comping is enabled
  + Lanes: preference to allow mouse edits in comping lane to expand media items in source lanes is enabled by default for users who have not previously edited the preference (or related preferences)
  + Lanes: track setting to record into first available lane does what it says, even if there is an earlier recording below the new recording
  + Lanes: add option (via Options menu or action) for razor edits on small fixed lane tracks to affect all lanes
  + macOS: fix Sonoma listview checkbox issue
  + Media explorer: fix control overlap when window is very small [p=2756979]
  + Media explorer: fix displaying out-of-tune indicator when pitch detection is enabled
  + Media explorer: handle active search properly when renaming file [t=286683]
  + Media explorer: improve tempo display when previewing MIDI
  + Media explorer: rename copy/paste actions as 'Copy selected files' and 'Paste files' for clarity
  + Meters: improve mute/unsolo indicators on retina displays with various legacy themes
  + MIDI: allow uppercase CC in MIDI reset configuration preference [t=258837]
  + MIDI: display length as both quarter notes and estimated seconds
  + MIDI: display metadata in source media properties dialog
  + MIDI: fix inserting multitrack MIDI onto existing tracks
  + MIDI: improve displayed length of .mid files in Media Explorer
  + MIDI: in source properties dialog, fix transpose setting being applied as output channel when channel filter is also applied
  + MIDI: prevent hanging notes when editing channel filter in media source properties dialog
  + MIDI: fix overlapping notes being corrected during humanization when 'automatically correct overlapping notes' is disabled [t=288033]
  + Mouse modifiers: fix restoring state after using ripple edit mouse modifier [t=286003]
  + Pan law: set default for new projects/tracks to hybrid taper [p=2753690]
  + Parameter modulation windows: add topmost pin for modulation windows
  + Parameter modulation windows: use modal window preference for initial position
  + Preferences: remove misleading 'ms' label on default media item fade-in/fade-out
  + Razor edit: fix deleting tiny media items [t=287852]
  + ReaScript: add Menu_GetHash(), to determine if a menu/toolbar has been customized, or if the default menu/toolbar changed after the current menu/toolbar was customized
  + ReaScript: get_config_var_string() can now be used to query project state in addition to global state
  + ReaScript: improve behavior when removing selection via arrow keys
  + ReaScript: improve performance of MIDI_GetRecentInputEvent() [p=2745361]
  + Region manager: support setting tracks to render as mono, stereo, or multichannel [t=271185]
  + Regions: add actions to set loop points to current, previous, or next region
  + Render: support displaying loudness chart after calculating track/item/media loudness via dry run render
  + Render: fix project name display when writing render statistics to file [t=287807]
  + Snap: add checkbox in snap settings to snap media item edges to source media start/end [t=192498]
  + Synonyms: improve handling of NOT ( list ) [p=2750549]
  + Tempo/Time signature marker: when adding or editing time signature, automatically reset metronome pattern if there is a previous time signature change in the project with the same numerator [t=287422]
  + Tracks: refresh TCP after actions to select or unselect all tracks [t=287651]
  + VST: default paths on new installs use system environment variables rather than absolute paths
  + VST: report prefetch state (for anticipative FX and pre-buffering) to FX

v7.09 - January 17 2024
  + Envelopes: restore looping automation item sine/parameteric LFO behavior (revert 7.08 change) [t=285838]
  + FX: improve preset navigation behavior when both user and default presets exist with the same name [t=270990]
  + Glue: fix crash when gluing empty items (7.08 regression) [t=287133]
  + Input FX: fix potential crash with record arm disabled and input FX UI open (7.0 regression)
  + JSFX: report correct initial samplerate in @init when ext_noinit is used [t=286975]
  + Jump to time: if primary ruler display is samples, parse user-entered 8-digit number as samples rather than timecode [t=287041]
  + Lanes: fix pasting razor edits on grouped tracks [t=287303]
  + Lanes: set target lane for insert/paste when preference disabled to set target track when clicking in arrange view, and user clicks on the current target track
  + Lanes: when naming/renaming lanes, support applying name to all lanes and/or replacing '#' with lane number
  + MIDI editor: in track list, hide MIDI media items on hidden tracks when selecting other MIDI items [t=286973]
  + Razor edits: fix undo after applying razor edit to envelope [t=287175]
  + Razor edits: fix undo of region/marker edits when deleting with ripple-all enabled [t=285967]
  + Recording: support $recnumber and $recnumber[N] wildcards, resolve to 1 for the first recorded file with the same name, 2 for the second, etc
  + Region manager: set undo point after setting region render channels
  + Track manager: allow searching for tracks by name in collapsed folders [t=279605]
  + Video: fix reverse and section playback (7.08 regression) [t=287183]

v7.08 - January 9 2024
  + Actions window: ignore case/UTF-8 accents when sorting by description [t=285073]
  + ARA: fix potential crash when loading old projects (does not affect Melodyne) [t=286524]
  + FX: option to not run on muted tracks also affects record-armed tracks
  + FX: update container-mapped TCP parameters in response to internal modulation
  + JSFX: fix locrian scale definition in Effects/IX [t=31862]
  + Lanes: actions to move items up/down by lane respect project auto-crossfade setting [p=2743624]
  + Lanes: action to move comp area up/down for selected items skips lanes with no media [p=2743844]
  + Lanes: add setting (on mouse modifiers preferences page) for media item edits in comping lane to affect media item edges in source lane (clamped to source media start/end)
  + Lanes: exit fixed lanes when edits move all items to one lane on track with hidden lanes
  + Lanes: improve MIDI editor behavior with certain combinations of preferences on fixed lane tracks [t=286332]
  + Linux: fix multiline vertical alignment in message boxes
  + Localization: use localized strings when filtering in theme tweaker [p=2698234]
  + Media items: fix preference to display overlapping media items as opaque [t=286664]
  + Menus: remove some redundant razor edit / envelope point menu entries [p=2747122]
  + Metadata: add option to attempt to preserve source file metadata when rendering media items [t=284174]
  + Metadata: preserve metadata when gluing media items if all glued items share the same source file
  + Metadata: preserve source media metadata when applying FX, rendering as new take, etc
  + Metronome: minor dialog appearance adjustments for metronome, click source properties
  + MIDI: add actions to set selected MIDI items to ignore project tempo [t=286721]
  + MIDI: add action to set MIDI media items to follow project tempo changes (undoing any previous setting to ignore project tempo)
  + MIDI: display minor key signature metadata correctly in Media Explorer [t=286854]
  + MIDI editor: add CC shape preferences to MIDI CC lane context menu [t=286929]
  + MIDI editor: do not display note edges beyond the edge of the media item in notation view [p=2738388]
  + Mouse maps: fix click-type display order when names are localized
  + Normalize: add option to only normalize files that are too quiet when rendering or batch-converting
  + Peaks building: add options to change peak building order, disable parallel building
  + Peaks building: build active takes before building inactive takes
  + Project bay: add selection mirroring and auto-scroll support for FX and FX parameters tabs
  + Project bay: allow disabling grouping of similar media items
  + Project bay: improve naming of FX with aliased names/video processors
  + Project bay: show containers, FX in containers in FX view
  + Project bay: show fade in/out size for very small fades
  + Project bay: support expanding/collapsing groups via left/right keys
  + Project bay: update FX parameter names when parameters change
  + Razor edits: fix editing multiple envelopes at once using multiple razor edits and automation items [t=286719]
  + ReaScript/JSFX: optimize mouse hit testing for gfx_getchar(65536), add 65537 mode to skip hit testing [p=2745361]
  + ReaScript: add GetSetMediaItemInfo("C_ALLLANESPLAY")
  + ReaScript: allow setting a negative take marker offset via SetTakeMarker() [t=267197]
  + ReaScript: document more GetSetMediaItemTakeInfo() attributes
  + ReaScript: fix return value of MIDIEditor_GetSetting_int() [t=286306]
  + Region manager: fix adding selected tracks to render matrix [t=271185]
  + Regions: improve behavior when moving regions with tempo changes [t=285738]
  + Retroactive MIDI record: use correct offset when inserting all available events and first event was recorded during playback
  + Ruler: do not move edit cursor when right-clicking marker lane [t=201914]
  + Stretch markers: add option in preferences/item fade defaults to control default stretch marker fade size
  + Stretch markers: fix playback issues with a fade size of 0ms
  + Stretch markers: fix quality issues with ramped rates near 1.0 [p=2742890] [p=2744008]
  + Take FX: fix issues with batch converter and glue/render actions when PDC and project playrate are both in use
  + Take FX: fix sample-accurate automation accuracy when using take start offset and project playrate
  + Tempo envelope: when inserting empty space, ensure tempo remains the same at the start of the moved content [t=286359]
  + Toolbars: fix tooltips when using text icon and "use as tooltip" disabled [t=286219]
  + Tracks: handle clicks on volume, pan, width label as if they were clicks on track control panel background [t=286237]
  + Tracks: add preference to set target track for insert/paste when clicking in arrange view [p=2743123]
  + Undo: improve memory tracking over 4GB
  + UTF-8: various logical sortings correctly handle various accented characters [t=285073]
  + Video: lower CPU use with very large numbers of video items in project [t=284760]
  + Video: support video processors within FX containers
  + Virtual MIDI keyboard: show arrow-key checkbox at smaller widths [t=286102]
  + VST: fix macOS/Linux keyboard message sending issues
  + Windows: use new EV authenticode certificate

v7.07 - December 12 2023
  + Actions: add action to move edit cursor to left edge of visible arrange view or MIDI piano roll
  + Actions: add action to toggle preference to limit media item edge edits to source media content
  + Actions: improve logic of GR/LUFS metering toggle actions when tracks have mixed states
  + Actions window: reset/copy actions in alternate sections also reset/copy global override states
  + Automation items: improve edge point shapes and loopability for sine and parametric LFO types [t=285838]
  + API: allow plug-ins to register default-global keyboard assignments via gaccel_global or gaccel_globaltext
  + ARA: improve retaining edits through undo/redo
  + CLAP: prevent misbehavior when preference enabled to flush FX on loop [t=285644]
  + Default theme: layout updates
  + Display: improve cursor paste location indicator on free item positioning and fixed lane tracks [p=2738141]
  + Dynamic split: add action to immediately dynamic split items based on most recent settings
  + Editing: add preference to limit edge/crossfade edits to source media content for unlooped media items (checkbox in mouse modifiers preferences)
  + Empty items: improve performance with 'stretch to fit' and large amounts of text
  + FX: preserve parameter linking if applicable when copying/pasting FX
  + FX containers: fix loss of pin names and parameter mappings when pasting FX [p=2739005]
  + FX containers: fix behavior of single-FX-chain mode when moving FX out of container
  + FX containers: fix various action support for FX in containers [t=286119]
  + FX containers: preserve mappings, parameter links, envelopes etc when moving FX to/from containers
  + Lanes: improve behavior when lanes contain multiple copies of the same source media with different take envelopes [p=2734244]
  + Lanes: click unsynced media item button to copy edits to a new source lane (existing behavior)
  + Lanes: ctrl/cmd+click (or right-click) unsynced media item button to copy media items back to original source lane
  + Lanes: alt/opt+click (or right-click) unsynced media item button to discard edits and replace with source lane media
  + Lanes: improve behavior when comping looped media items with per-take automation [p=2733428]
  + Lanes: action to comp into a new copy of lane automatically copies edited media items to new lane and re-comps
  + Lanes: action to minimize lane usage respects track edit grouping
  + Lanes: add action, menu item, mouse modifier to refresh out-of-sync comp areas
  + Lanes: add actions to exit fixed lane view, show only one lane, set small lanes, or set big lanes for all fixed lane tracks in the project
  + Lanes: add action to remove empty comp areas
  + Lanes: add selected-tracks versions of actions to delete comp areas, delete empty comp areas, delete comp areas including media
  + Lanes: add support for copying all edited media items back to source lanes, or discarding all media item edits and replacing from source lanes
  + Lanes: comping button on a razor edit in the comping lane containing no items will choose a suitable source lane rather than creating an empty lane
  + Lanes: delete unsynced comp areas before running action to minimize lane usage
  + Lanes: fix behavior of action to select item under mouse when lanes are collapsed [t=285725]
  + Lanes: fix comping into a new copy of lane with MIDI media [t=285639]
  + Lanes: fix re-syncing multiple media items when some items have source media in the lane immediately below and some do not
  + Lanes: fix some edge cases where comp areas un-sync when edges barely overlap [p=2739194]
  + Lanes: respect track grouping when running action from unsynced comp area right-click menu [p=2735636]
  + Lanes: support "Add comp area at time selection" when right-clicking existing comp area on track showing only one lane
  + Lanes: support comping media items with "auto-stretch at tempo changes" enabled [p=2740986]
  + Linux: add drag/drop preview [p=2737763]
  + Linux: improve support for ini files which are symlinks [t=283160]
  + macOS: improve system memory use/free statistics in performance meter
  + Markers/Regions: support importing markers with negative time positions [t=286152]
  + Metadata: clarify that MPEG 7.1C channel layout is equivalent to SMPTE 7.1
  + Metadata: correct descriptions of MPEG 7.1 channel layout metadata
  + Metadata: improve descriptions of channel layout metadata [t=284455]
  + MIDI editor: account for media item left/right trim when sizing to fit contents
  + MIDI editor: display lane information in track list
  + MIDI editor: display media item position in track list if multiple media items share the same name
  + MIDI editor: display MIDI take names in Contents submenu
  + MIDI editor: do not list media items in non-visible, non-playing lanes in MIDI editor track list
  + MIDI editor: fix tooltip for "CC selection follows note selection" button [t=285697]
  + MIDI editor: sort media items in track list by lane
  + MIDI editor: when editor follows track selection, follow lane selection as well
  + MIDI editor: when switching active MIDI source, ensure the source is visible in the editor
  + Normalization: retain separate target values for peak vs loudness normalization in various dialogs
  + Preferences: improve help text for "automatically color" settings in Preferences / Appearance / Peaks/Waveforms
  + Razor edits: add action to select media items within razor edit areas
  + ReaScript: action to open ReaScript documentation defaults to Lua view
  + ReaScript: add support for GetSetMediaTrackInfo("P_LANENAME:n")
  + ReaScript: fix TakeFX_Show container support [t=286120]
  + ReaScript: GetSetMediaItemInfo("C_LANEPLAYS") returns -1 if media item is on a non-visible, non-playing lane on a non-fixed-lane track
  + ReaScript: GetSetMediaItemInfo("I_FIXEDLANE") always returns 0 for non-fixed-lane tracks
  + ReaScript: support GetSetMediaItemTakeInfo("I_TAKEFX_NCH"), to get/set the number of take FX channels [t=286031]
  + ReaSurroundPan: add 7.1 non-SMPTE channel layout [t=284455]
  + ReaSurroundPan: support up to 128 inputs
  + Regions: improve description of menu item to set loop points to region [t=286025]
  + Render: respect source track render channel request when rendering via master [p=2740422]
  + Toolbars: restore support for customizing both icon and tooltip
  + Toolbars: restore previous tooltip behavior for various actions
  + Tracks: always change track selection when clicking lane buttons, unless modifier keys are down
  + Tracks: fix moving tracks above spacers when the spacer is above the first track in the project [t=285749]
  + Tracks: when preference enabled to change track selection when clicking track controls, ignore modifier keys when processing track selection
  + WALTER: support setting/clearing custom controls via wildcards e.g. 'clear tcp.custom.*' or 'clear tcp.*'
  + Windows: use new authenticode certificate

v7.06 - November 27 2023
  + Accessibility: add control descriptions for video encoder configuration
  + Accessibility: add descriptions for various search-related fields
  + Accessibility: add option in Preferences/Plug-ins to include descriptions of parallel/bypass/offline state in FX names
  + Accessibility: improve Media Explorer accessibility descriptions
  + ARA: improve handling of unlooped media with negative start-in-source offset [t=285131]
  + Automation items: fix glue/delete preserve points for some cases with very small AIs
  + Automation items: fix incorrect values when gluing AIs with small overlaps
  + Automation items: improve sizing of label area [t=284771]
  + Automation items: add per-FX-envelope option to control how overlapping AIs are combined
  + Automation items: fix envelope context menu when right-clicking near overlapping AIs [p=2737483]
  + Auto save: do not process auto-save during mouse edits
  + Comp areas: do not switch source lane when right-clicking to open context menu
  + Comping: fix comping looped source media
  + Comping: improve behavior when inserting empty space or copying regions [p=2734194]
  + Comping: ensure comp areas are synced on every undo point and project save
  + Comping: support resetting comp area to a different source lane when right-clicking on media item re-sync button
  + Comping: when media is selected on both the source lane and comping lane, do not move comp area when slip-editing [p=2733376]
  + CPU metering: add option to view use as percentage of core (e.g. 4.0%c)
  + CPU metering: make readouts more consistent, use dynamic precision depending on values
  + Dynamic split: add modes to add stretch markers to items rather than replace
  + FX: improve take FX position reporting to plug-ins (including ARA) when using PDC [p=2734271]
  + FX: fix automation quirks with non-1.0 project playrate on plug-ins following PDC (v7 regression)
  + FX: fix quirks moving/copying single FX when single-FX chain mode is enabled [t=277429]
  + FX: improve drag/drop FX chain selection behavior when chain is not visible [t=284973]
  + FX: improve wording/checked-state indicators for bypass/offline menu items
  + FX: show indicator for first FX in parallel group
  + FX containers: always report tweaked plug-in context for last-tweaked parameter even when parameter is mapped [p=2733387]
  + FX containers: auto-expand container on mouseover drag in chain
  + FX containers: fix bypass automation of items in containers
  + FX containers: fix wet and delta solo automation for containers within containers
  + FX containers: fix undo-related issues with automation
  + FX containers: fix issues with bypass/wet/delta envelopes when adding additional parameters
  + FX containers: improve display in TCP/MCP FX context menu [t=284678]
  + FX containers: improve JSFX default sizing [t=285309]
  + IDEs: do not go to edit cursor when saving [t=285086]
  + JSFX: ensure JSFX name cache is generated if needed on startup [t=285490]
  + JSFX: fix stereo pair autodetection for auto-routing build [t=285144]
  + Keyboard: improve Windows/macOS cross-import keyboard support for US keyboards [t=284753]
  + Lanes: action to reset lane names will reset lanes named like 'C1' if they have no comp areas
  + Lanes: fix crash when trying to insert more than 128 lanes
  + Lanes: fix drag/drop with certain lane counts [p=2733354]
  + Lanes: fix editing vertical edge of razor edit on fixed lane tracks
  + Lanes: fix moving comp areas to lower-numbered lanes via razor edit [p=2733413]
  + Lanes: fix play cursor drawing glitch in certain situations [p=2734248]
  + Lanes: fix possible mouse click miss when track is greatly zoomed in [p=2735023]
  + Lanes: fix undo after changing comping lane [p=2734645]
  + Lanes: fix undo potentially resetting overlapping recording preference [p=2737625]
  + Lanes: fix resetting lane height when moving items across tracks in certain situations [p=2736745]
  + Lanes: if recording exceeds maximum number of lanes (currently 128), place recording in last lane
  + Lanes: ignore items in hidden lanes in various navigation and other actions [p=2733398]
  + Lanes: improve action to move items up to minimize lane usage
  + Lanes: improve behavior when auto-punch recording and setting enabled to record into first available lane [p=2731993]
  + Lanes: improve shift+click media item selection behavior [p=2733811]
  + Lanes: improve visibility of unsynced media item button in default theme
  + Lanes: recalculate auto-crossfades after actions to move items up/down by lanes
  + Lanes: when preference enabled to vertically offset overlapping items, items respect original lane order if track formerly displayed fixed lanes
  + Linux: use case-insensitive searching when finding JSFX by filename [t=285490]
  + Localization: support Container and Video processor names in FX browser
  + Media explorer: allow inserting into active sample player when RS5k is in a container
  + Media explorer: fix setting option to normalize preview volume to -12LU from action window [t=285395]
  + Media explorer: obey preference to not move edit cursor when inserting media
  + Metadata: Double-clicking 'description' field opens multi-line editor by default (note that right-click on any value field also opens multi-line editor)
  + MIDI editor: add actions to open/switch to MIDI toolbars 9-16 [t=285543]
  + MIDI editor: fix step sequencer for VKB input and MIDI inputs with high IDs [rr=17y0f7z]
  + Mouse modifiers: fix assigning 'add items to selection' to media item left-click [t=285480]
  + Preferences: always open mouse modifier preferences to the most recently viewed context
  + Project: preserve settings when loading projects saved before v7.0 with 'New recording that overlaps existing media items / Creates new media items' enabled [t=285116]
  + Project bay: fix extra display tag info on video processors
  + ReaComp: improve peak metering accuracy [t=223980]
  + ReaScript: add focused, last_touched, chain_sel, parent_container, container_item.X, container_map.add.fxid.parmid, container_map.get.fxid.parmid attributes for Track/TakeFX_GetNamedConfigParm
  + ReaScript: fix backwards compatibility in group membership flags [t=277048]
  + ReaScript: GetFXEnvelope automatically updates UI in response to creation
  + ReaScript: GetFXEnvelope will no longer return envelope contexts for FX parameters that have modulation but no envelope [t=284945]
  + ReaScript: GetFXEnvelope/TakeFX_GetEnvelope auto-map parameters to parent container if necessary [t=284400]
  + ReaScript: GetTouchedOrFocusedFX returns obviously-invalid values when returning failure [p=2733147]
  + ReaScript: improve behavior of deprecated GetLastTouchedFX() when FX in container was last touched and parameter was mapped
  + ReaScript: improve FX-type prefix matching of TrackFX_AddByName et al [t=285430]
  + ReaScript: TrackFX_CopyFXToTrack/etc select moved/copied FX in chain when chain is not visible [t=284973]
  + ReaScript: update envcp when toggling parameter modulation via API [p=2733149]
  + ReaXcomp: fix potential deadlock when adding band [t=285407]
  + Recording: actions to mark last recording pass as favorite or for deletion will mark the current recording if there is no previous recording pass
  + Recording: action to mark last take as favorite or for deletion affects only currently-recording looped items, not previously recorded items
  + Recording: improve consistency of action to add take marker to currently-recording media item [t=284953]
  + Recording: improve handling of user deleting or reordering tracks while recording [t=284363]
  + Recording: improve reliability of action to quick-add take marker while recording in MIDI overdub mode
  + Regions: recalculate region display overlap after undo [t=276254]
  + Text filtering: support Unicode combining accent when matching strings [t=284752]
  + Track panels: improve FX parameter multi-row size calculation
  + Track panels: improve retina/hidpi drawing of lane controls for non-hidpi-aware themes [p=2732013]
  + Track panels: fix display glitch when reactivating project tab and TCP is narrow [p=2734249]
  + Video: add action to toggle fullscreen
  + Video: allow dshow_depr to be enabled explicitly for extensions other than wmv/wma/avi/asf [t=269473]
  + Video: ignore m4a files when using option to use video from background projects
  + VST: add preference to disable out-of-process plug-in scanning (for developer use when debugging plug-ins, not recommended for end users)

v7.05 - November 12 2023
  + Comping: fix items in source lanes occasionally displaying as grouped
  + FX containers: reduce stack use for nested containers
  + Lanes: fix lane delete actions

v7.04 - November 12 2023
  + Accessibility: improve labels for volume/pan fields in track routing window
  + Actions: when editing custom actions, display 'unknown or deprecated' for unknown component actions
  + Comp areas: fix weirdness when running action to move comp areas up/down on grouped tracks with no targeted comp areas [p=2731934]
  + Comp areas: handle re-enabling comping after media item edits cause comp area to be in sync with a different source lane [p=2732173]
  + Comping: always display lane name when showing only one lane; display lane up/down controls on mouseover
  + Comping: fix comping media that is decoded by a video decoder [p=2731245]
  + Comping: fix take offset error when editing media items while comping [p=2732163]
  + Comping: improve behavior when source media has negative start-in-source offset [p=2732559]
  + FX containers: enforce a reasonable limit on visible nested containers [p=2731384]
  + FX containers: improve drag and drop behavior when dragging from chain to container [p=2732273]
  + Lanes: add action to move items up to minimize lane usage
  + Lanes: clear comp area controls mouseover when mouse leaves arrange view
  + Lanes: fix moving media items on higher-numbered lanes [p=2731912]
  + Lanes: fix pencil-drawing with certain numbers of lanes [p=2732116]
  + Lanes: improve behavior when deleting lanes that have razor edit areas [p=2732254]
  + MIDI loopback: open devices immediately when creating new device pair
  + Theme: tweaks and transport HiDPI fixes
  + Tooltips: improve visibility for floating toolbars and some other scenarios
  + Undo: fix potentially incorrect automation when undoing track deletion [t=284881]

v7.03 - November 7 2023
  + Comp areas: actions to move comp areas up/down re-selects items after running
  + Comp areas: actions to move comp areas up/down skips lanes that only have source media within the comp area fadein/fadeout
  + Comp areas: actions to move comp areas up/down re-comps items if they are not already in sync
  + Comp areas: fix glitch when rapidly dragging comp area from right to left [p=2726070]
  + Comp areas: improve handling of unlooped media items that are longer than the media source [p=2725228]
  + Comp areas: when deleting comp areas and media, avoid leaving tiny pieces behind
  + Comping: actions to toggle comping set the track to fixed lanes, create a comping lane if the track has never had one; otherwise re-enable most recently used comping lane
  + Comping: action to delete comp areas and re-comp ignores crossfades [t=284286]
  + Comping: action to delete media within comp areas and re-comp skips lanes with no media
  + Comping: allow setting source lane by right-clicking comp area
  + Comping: improve behavior when comp areas contain multiple copies of the same media [p=2726836]
  + Comping: when moving comp areas up/down via buttons or actions, skip empty source lanes
  + Comping: when re-enabling comping, handle edits in the comping lane that were made while comping was disabled [p=2729225]
  + Envelopes: improve organization of context menu
  + Envelopes: remove redundant 'Tension:' from mouseover tooltips
  + Envelopes: mouseover tooltip on overlapping automation items displays both current and combined item values
  + FX: actions to apply first track or take fx also bypass all take or track fx, whichever FX chain is not being rendered [p=2726302]
  + FX containers: fix parameter modulation issues in certain instances [p=2730461]
  + FX containers: fix possible incorrect undo state when recording new automation [t=284335]
  + FX containers: improve accessibility for nested containers by allowing left/right arrows in chain list to navigate up/down hierarchy
  + Keyboard sections: avoid incorrect menu modifiers being generated when editing alternate sections
  + Keyboard sections: fix temporary override behavior with modifier keys [p=2726244]
  + Keyboard sections: improve behavior and default mapping of ESC when copying main action assignments
  + Lanes: actions to delete comp areas have no effect if comping is disabled
  + Lanes: action to reset lane names preserves comp lane identifiers, but resets comp lane numbers
  + Lanes: add actions to explicitly show or hide fixed lane buttons
  + Lanes: add action to delete source media within comp areas and re-comp for selected tracks
  + Lanes: add menu item, action to delete all lanes except for the clicked lane
  + Lanes: add preference to show/play only one lane by default
  + Lanes: display lane collapse button when track is tall enough, regardless of user setting for empty space at bottom of track [p=2726084]
  + Lanes: display media item re-sync buttons when lanes are collapsed [p=2727052]
  + Lanes: fix behavior of toggle action to set track to fixed lanes when multiple tracks are selected with mixed states
  + Lanes: fix crash when right-clicking comp lane that has no comp areas [p=2727154]
  + Lanes: fix lane size changing when moving media items out of and back into fixed lane tracks [p=2726086]
  + Lanes: fix occasionally pasting razor edits into the incorrect lanes [p=2726481]
  + Lanes: fix pencil-drawing media items on tracks with hidden lanes when multiple lanes are playing
  + Lanes: fix recording overlapping media on tracks that were formerly set to fixed lanes
  + Lanes: recording behaviors are equivalent for a track that has never had lanes vs a track that was formerly in fixed lane view
  + Lanes: when disabling fixed lanes, only retain hidden lane information if there are hidden media items or items on multiple lanes [p=2726131]
  + Lanes: when reordering lanes, only affect other selected tracks with the same number of lanes [p=2726910]
  + Lanes: when showing/playing only one lane, ignore actions that would result in no lanes or multiple lanes playing
  + License import: improve wording and explanation of old license keys
  + macOS: fix toolbar switching actions for various toolbars [t=284681]
  + Marquee: clear envelope selection if envelope is selected and marquee is largely outside of envelope [t=284171]
  + Menus: fix 'move to folder' menu items after customizing menu [t=284219]
  + MIDI editor: fix displaying time/value in the correct place [p=2726975]
  + MIDI editor: when setting enabled, set channel for new events on mouseup rather than mousedown [p=2727380]
  + Navigator: do not display items in hidden lanes [t=284539]
  + Paste: allow pasting media items onto a specific lane when pasting items on multiple tracks [t=284056]
  + Preferences: fix disabling backup preferences
  + Preferences: fix setting configuration of default item fade length
  + Razor edits: display vertical guidelines when creating razor edit areas
  + Razor edits: improve horizontal guidelines when editing on free item positioning or fixed lane tracks
  + ReaScript: gfx.getchar(65536) returns additional flag if mouse click would hit window [t=284395]
  + ReaScript: add set_action_options() for Lua/EEL2 which allows customizing behavior when re-running an already-running script
  + ReaScript: fix get_action_context() for alternate keyboard sections [p=2727422]
  + ReaScript: MIDIEditor_GetTake/EnumTakes() will return NULL rather than take in an invalid item [t=284387]
  + ReaScript: optimize CountSelectedMediaItems/GetSelectedMediaItem
  + ReaScript: simplify script exported from mouse modifiers preferences
  + ReaScript: support setting script toggle state via set_action_options()
  + ReaScript: improve IDE suggestion mouse/mousewheel/scroll behavior
  + ReaScript: improve IDE help auto-navigate on F1 for some functions
  + Recording: add recording option to add overlapping media items in layers, replicating v6 recording option 'Add media items'
  + Track reordering: add more options in Preferences/Editing Behavior/Mouse to control folder creation via drag/drop
  + Track spacers: action to insert spacer after tracks skips hidden folder children [p=2727198]
  + Video: support VLC 3.0.19+
  + WALTER: fix loading custom images from subdirectories in certain themes [p=2726746]
  + Wildcards: $hour12 resolves 12:xx as 12 rather than 00 [t=284470]

v7.02 - October 25 2023
  + Actions: fix behavior of action to paste at mouse position when mouse is over track spacer [t=284042]
  + Accessibility: fix API issue with MIDI editor last_clicked_cc_lane
  + Color theme: rename 'Inactive take overlay color/mode' to 'Inactive take/lane overlay color/mode' to clarify that these elements affect inactive fixed lanes (lanes that are not playing)
  + Comp areas: fix action to create comp area at mouse when track is not selected [p=2725233]
  + Comp areas: fix behavior when deleting edge between two adjacent comp areas [p=2723290]
  + Comp areas: fix left-click mouse modifiers to set loop points to comp area [p=2723284]
  + Comp areas: fix resync button display when track is small or unsynced items are overlapping
  + Comp areas: handle re-comping media items that are fully faded in or faded out [p=2725217]
  + Comp areas: respect project item locking when editing comp areas
  + Comp areas: respect track grouping when re-syncing media items [p=2724215]
  + Comp areas: when resyncing all edited media items, consolidate overlapping items
  + Comp areas: when resyncing individual media items, do not resync overlapping items
  + Comping: update comp areas after replacing media [p=2724687]
  + FX: fix crash when single-FX-chain mode enabled and dragging FX from chain to nowhere [t=283777]
  + Grouping: improve behavior of dual edge editing when media items are grouped [t=283998]
  + JSFX: add options: prealloc=* or prealloc=size, useful if a plug-in wants to force memory to be allocated at compile-time
  + JSFX: fix bug with top channel in channel_mapper [t=283773]
  + JSFX: improve watch window filtering, allowing both REAPER filter logic plus expressions such as refs=1 or value>1 etc
  + JSFX: do not set image dirty when using gfx_measurestr/etc
  + Lanes: add lane collapse button right-click menu item to disable/re-enable fixed lanes
  + Lanes: add track setting to show/hide lane buttons (right-click or alt-click lane collapse button)
  + Lanes: allow clicking above or below lane button to initiate dragging/reordering lanes without changing lane play state [p=2725245]
  + Lanes: display razor edit comp area control differently when clicking would re-sync rather than comping
  + Lanes: enable option to record into first available lane even when layering lanes [t=283867]
  + Lanes: handle section/reversed media properly when comping [t=283957]
  + Lanes: improve display of lane names in lane button menu
  + Lanes: improve display of overlapping media items when a fixed lane track is taken out of fixed lane view [p=2723489]
  + Lanes: improve lane area display and mouse interaction with non-100% layouts
  + Lanes: improve shift+click selection behavior on fixed lane tracks
  + Lanes: respect setting to record into the first available lane when recording multiple loops into an empty track [p=2724969]
  + Lanes: when 'record into first available lane' is enabled, skip comping lanes if any
  + Lanes: when disabling comping, handle special case where a 2nd empty lane is displayed and autoremove lanes is enabled [p=2725237]
  + Lanes: when showing only one lane, support switching to any other lane via lane button right-click menu
  + macOS: fix file extension when exporting mouse modifiers as ReaScript
  + macOS: fix Sonoma routing window combo box bugs [t=283872]
  + Media items: actions to set item colors also clear any per-take colors [p=2723344]
  + Media items: display tiny items on collapsed folder tracks when item selection indicator is enabled
  + Media items: hide item selection indicator when track height is small
  + Metadata: do not discard currently-being-edited metadata when the user clicks away [t=284012]
  + MIDI: fix export timing issues [t=283898]
  + MIDI: increase retroactive recording history size from 128KB to 1MB
  + MIDI: when option enabled to set channel for new events when clicking a note, ensure the new channel passes the MIDI filter [p=2723907]
  + MIDI editor: fix inconsistent text colors of CC lane description
  + MIDI hardware: better support user-generated reaper-midihw.ini files with whitespace around equal signs [p=2721555]
  + Mixer: fix embed FX layout bugs [p=2723714]
  + Preferences: fix changing media item background/peaks display color when theme does not override [p=2725825]
  + Preferences: support setting track lane buttons hidden by default
  + Razor edits: support relative snap [t=283820]
  + Razor edits: if snapping to grid at any distance, also snap to the original, unsnapped position
  + Razor edits: remove razor edit areas when hiding envelopes [t=284003]
  + ReaComp: fix reset of RMS size via doubleclick [p=2723224]
  + ReaLimit: fix 1-pixel incorrect drawing error on odd embedded-UI widths
  + ReaScript: fix GetSetMediaTrackInfo("C_LANEPLAYS:N") when setting value [p=2724132]
  + ReaScript: fix setting media item bottom half mouse modifiers from API
  + ReaScript: GetThingFromPoint() returns 'spacer_N' for spacer before track N
  + ReaScript: do not set image dirty when using gfx.measurestr/etc
  + ReaScript: fix gfx.circle rounding [t=284033]
  + Super8: improve performance when starting recording on multiple channels simultaneously
  + Super8: use new prealloc feature for improved initial realtime performance
  + Theme: inline editor and item hidpi fixes, MCP indenting fixes
  + Toolbars: add preference to disable all toolbar animations
  + Track panels: refresh when setting/changing MIDI hardware outputs in various contexts [t=280959]
  + Track reordering: improve folder behavior when dragging over a track that has envelopes visible
  + Track reordering: make folder-creation drag/drop behavior closer to that of 6.81
  + Tracks: if inserting a track at the end of the project and the last track is a folder with hidden collapsed children, add the track outside the folder
  + Track spacers: fix various behaviors when spacer size is customized
  + Track spacers: improve behavior when manually adjusting height of track that is displaying big lanes and track spacer height has been customized to a large value [p=2724027]
  + Virtual MIDI Keyboard: show all available keyboard assignments [t=283801]
  + Windows: fix RAM use metering on Windows 11 [t=284006]

v7.01 - October 19 2023
  + Actions: report toolbar button feedback for deprecated mouse modifier actions [p=2721945]
  + Comp areas: fix some potential undo glitches [p=2722176]
  + Comp areas: improve behavior when copying regions that contain comp areas
  + FX containers: do not migrate modulation/linking to parent when pasting/moving FX [t=283626]
  + Grid: respect 'measure' grid setting when splitting item on grid, moving cursor by grid, etc [p=2722052]
  + JSFX: fix performance issue with gain reduction scope resized very small [t=282577]
  + JSFX: hide loudness meter maximum value display when meter is tiny [t=283539]
  + Lanes: display comping button on razor edits in fixed lane tracks even if there is only one lane
  + Lanes: do not display comping button on razor edits when fixed lanes have been hidden
  + Lanes: improve behavior when moving/copying items between tracks with collapsed lanes [t=283682]
  + macOS: fix default theme font
  + Parameter modulation: fix parameter linking when copying FX to tracks with existing FX [t=282137]
  + Paste: fix pasting multiple media items into empty project with setting enabled to paste into separate tracks
  + ReaScript: correct GetMediaTrackInfo() parameter from "I_LANESCOLLAPSED" to "C_LANESCOLLAPSED" [p=2722531]
  + ReaScript: fix setting of FX param.X.plink.effect
  + ReaSurroundPan: optimize initialization process
  + Super8: fix possible audio errors when recording very long loops
  + Theme: fix squashed record arm buttons
  + Track groups: split items on grouped tracks if most of the item is within the bounds of the selected item [t=283664] [p=2719354]
  + Track panels: correct multichannel input label/tooltip [t=283594]
  + Track panels: fix hidpi text size for lane labels and TCP embedded FX labels [t=283747]
  + Track templates: warn if FX are offline on import [t=257672]
  + Video: fix video processor editor mousewheel issue on macOS
  + Visual spacers: improve behavior when adjusting track height and visual spacer height has been set to a high value [p=2722567]
  + Visual spacers: prevent envelope lane height affecting spacer size when spacer size has been customized to a large value
  + VST: fix undo point addition for some plug-ins when changing parameters via TCP controls/API [t=281778]

v7.001 - October 16 2023
  + MIDI editor: fix setting channel dropdown [t=283592]
  + Default theme updates (TCP margin fixes), macOS font tweaks

v7.0 - October 16 2023
  + Actions: add action to color all takes that share the same source media with the same color
  + Actions: add action to select all media items that use the same source media
  + Actions: add action to paste tracks/items at mouse position
  + Actions: prevent healing an unlooped item with a copy of itself [p=2647801]
  + Actions: actions to move items up/down/top/bottom will act on razor edit areas, if any exist
  + Actions: add actions to apply first track or take FX to items (can be used to render ARA FX)
  + Actions Window: hide actions like 'set default mouse modifier for [context] to [action]' from actions list, instead use ReaScript SetMouseModifier('context_name', keycombo, 'action_name'), deprecated actions will still work though
  + Actions Window: add meta-actions to allow running (some) actions in background project tab contexts
  + Actions Window: allow setting a parameter value for keys bound to MIDI CC/mousewheel actions
  + Actions Window: show custom action toggle state as enabled/disabled if all component actions that report a toggle state are enabled/disabled [t=229048]
  + Actions Window: store descriptive comments about shortcuts in ReaperKeyMap/reaper-kb.ini
  + Actions Window: add 'Options' button to action window
  + Actions Window: add menu items to import, export, reset, clear keyboard shortcuts for the current section
  + API/ReaScript: support ShowConsoleMsg() from multiple threads
  + API/ReaScript: add actions to toggle console window visiblity, clear console window; console window log persists when closing/reopening window
  + API/ReaScript: add CleanItemLanes(), to recalculate fixed lane arrangement and remove unused lanes at bottom of track after moving or editing media items
  + API/ReaScript: add FX_GetNamedConfigParm(container_count) for getting number of FX in container
  + API/ReaScript: TrackFX_/TakeFX_ APIs can access container and sub-container FX via documented addressing scheme
  + API/ReaScript: preserve FXID when cutting/pasting FX, saving/loading RfxChain
  + API/ReaScript: add EnumInstalledFX()
  + API/ReaScript: add GetTouchedOrFocusedFX(), support addressing FX containers, deprecate GetFocusedFX2() and GetLastTouchedFX()
  + API/ReaScript: add MIDIEditorFlagsForTrack(), to get/set pitchwheel range and snap settings
  + API/ReaScript: add set/getNamedConfigParm container_map.add, param.X.container_map.*
  + API/ReaScript: add support for GetSetMediaTrackInfo() I_NUMFIXEDLANES, I_LANESCOLLAPSED, C_LANEPLAYS, I_SPACER
  + API/ReaScript: add support for GetSetMediaItemInfo() I_FIXEDLANE, B_FIXEDLANE_HIDDEN
  + API/ReaScript: much faster API validation for takes and envelopes [t=283024]
  + API/ReaScript: fix gfx.drawstr() on multiline content drawing with negative Y offset [t=282702]
  + API/ReaScript: GetTrackFromPoint() also returns the fixed lane under the mouse, if applicable
  + API/ReaScript: gfx.setcursor() can specify named theme cursors without specifying numeric ID
  + API/ReaScript: support using full (unlocalized) action description in Get/SetMouseModifier(), example: SetMouseModifier('Media item left drag', 0, 'Move item')
  + API/ReaScript: update from Lua 5.3.5 to Lua 5.4.6 (may affect existing ReaScripts) [t=281435]
  + API/ReaScript: update TakeFX/TrackFX_Get/SetPinMappings() to support more than 64 mappings
  + API/ReaScript: add GetSetTrackGroupMembership() support for MEDIA_EDIT_LEAD, MEDIA_EDIT_FOLLOW
  + ARA: support pooling edits by source media, so edits can automatically affect all media items that share the same source media
  + ARA: support pooling or not pooling ARA edits by default (old projects will always load with edits unpooled)
  + ARA: pooled edits will not be preserved when loading a project created with REAPER 7+ into an older version of REAPER (the old version will show a 'project token not recognized: ARAMOD' warning)
  + ARA: display pooled edit button for media items that share ARA edits (similar to pooled MIDI behavior)
  + ARA: list analyzed media files and pooled/unpooled count in FX + menu
  + ARA: add actions to select media items with pooled ARA edits, remove items from edit pool, return items to edit pool
  + ARA: improve stability of ARA edits when editing media items (splits, copies, cut/paste, etc)
  + ARA: fix possible hang when ARA plugin analyzes media with negative start-in-source offset
  + Audio: support up to 128 channels per track, 128 channels of I/O per plug-in
  + Audio: allow mapping ReaRoute/loopback devices as regular channels
  + Backups: add configuration for path to auto-save unsaved projects
  + Backups: default to saving up to 50 timestamped projects in Backups directory for new users
  + Backups: optionally save timestamped backup projects to Backups directory, auto-saved projects to AutoSaves directory
  + Backups: optionally keep last X copies or X unique days of copies of timestamped backups
  + Batch Converter: allow user-entered file extension if it is compatible with the format (.m4v for .mp4, etc)
  + Batch Converter: correct extension handling when option enabled to overwrite source files
  + CLAP Plugins: automatically scan reaper_resource_path/UserPlugins/FX for .clap plug-ins
  + CLAP Plugins: fix recording automation in touch mode [t=279975]
  + Click Source: fix glitch at start of playback with take FX that use PDC [t=277406]
  + Color Theme: new Default 7.0 theme
  + Color Theme: add preference/theme element for small themed indicator on selected media items
  + Color Theme: add theme elements for various fixed lane display features (buttons, text, etc)
  + Defaults: display media item volume knob, FX button, mute button by default
  + Defaults: enable preference to record media, copy imported media to project media directory by default
  + Defaults: MIDI editor defaults to one editor per project
  + Defaults: default to OpenGL for video output
  + Defaults: video media defaults to low-resolution audio peaks, for improved responsiveness
  + Defaults: disable automatic fadein/fadeout for imported media by default
  + Defaults: disable 'right-click deletes notes' MIDI editor preference by default
  + Defaults: mouse-drag on crossfade intersection moves the split point left/right by default, rather than adjusting fade curves
  + Defaults: use project peaks directory by default
  + Defaults: ReaComp defaults to 4:1 compression ratio
  + Defaults: ReaEQ adds default HPF band 5 (disabled by default)
  + Defaults: ReaEQ changes default bandwidth for low/high shelf
  + Defaults: built-in sliders respond to mouse click anywhere in the slider window, not just within the thumb image [p=2699292]
  + Dynamic Split: properly handle leading/trailing pad when splitting grouped tracks [p=2714123]
  + FX: support processing multiple plug-ins in parallel
  + FX: flush plug-in buffers when bypassing VST or CLAP plugins
  + FX: always run track/track FX while playback is stopped, if the UI is visible [t=273647]
  + FX: always run input FX if the UI is visible
  + FX: optionally run FX when muted if the UI is visible
  + FX: fix many last-touched-parameter actions to work with per-take, input FX
  + FX: show more descriptive names for track/take channels in pin connector dialog
  + FX: support parameter modulation for input FX, monitor FX
  + FX Containers: support sub-chains of FX with configurable input/output/processing channel sizes, configurable parameter mappings
  + FX Containers: support configurable channel feedback
  + FX Containers: support internal modulation of parameters, using parent modulation/automation as baseline for any container-local modulation
  + FX Oversampling: add preference to auto-disable oversampling for record arm-affected tracks
  + FX Oversampling: avoid subsample delays in signal when delay compensating [t=277936]
  + FX Oversampling: fix slight errors in passthrough MIDI timing when using per-instance oversampling and latency compensation
  + FX Oversampling: improve accuracy of timing information passed to plug-ins when using chain oversampling
  + FX Sidechain: allow drag/drop sidechain creation to FX in containers, floating windows
  + FX Sidechain: when creating sidechain via drag/drop to FX, always add/route to new track channels, reconfigure pin mappings for sidechain if FX has 4 inputs
  + Grouping: add option (enabled by default) for track media item grouping to affect only items that start and end at the same time (rather than any enclosed media item)
  + Grouping: improve behavior when splitting media items on grouped tracks [p=2719354]
  + JSFX: add ext_gr_meter to support reporting gain reduction to the host (set to non-positive values in @init and @block)
  + JSFX: make output metering pre-wet/dry/delta-solo
  + JSFX: support plug-in defined compile-time configuration parameters
  + JSFX/ReaScript/Video: % (modulus) operator supports 64-bit values on arm64 [t=282237]
  + Keyboard: add multiple alternate main keyboard sections, add actions to switch between them persistently or momentarily
  + Lanes/Comping: support fixed-lane tracks, to arrange media items in fixed lanes
  + Lanes/Comping: support setting individual lanes to play back or not play back
  + Lanes/Comping: support automatically recording overlapping media to separate lanes, either layered (multiple lanes play back at once) or not (only the last recorded lane plays back)
  + Lanes/Comping: v6 option for overlapping recording to create new media items is replaced by option to add lanes; playback behavior is identical to v6
  + Lanes/Comping: support minimizing, maximizing, or collapsing track lanes
  + Lanes/Comping: support adding lanes by dragging media to a hashed 'parking area', automatically removing empty lanes
  + Lanes/Comping: support naming individual lanes, resizing lane name area
  + Lanes/Comping: support reordering fixed lanes by dragging lane buttons up/down
  + Lanes/Comping: support targeting a specific lane or free item position when pasting media items and razor edits
  + Lanes/Comping: add many actions to support editing, manipulating, playing back, comping, and coloring items in fixed lanes
  + Lanes/Comping: add mouse modifier contexts for fixed lane header buttons, fixed lane comp areas (including click/double-click contexts)
  + Lanes/Comping: add many theme elements for fixed lane and comp area display
  + Lanes/Comping: support recording into specific lanes or new lanes
  + Lanes/Comping: add actions to explode items in lanes to tracks, implode items on tracks to lanes, optionally creating comp areas
  + Lanes/Comping: existing actions to switch active take (T/shift-T by default) will switch the comp area under the mouse up or down as well
  + Lanes/Comping: add import option to add multiple media on fixed lanes on a single track
  + Lanes/Comping: tracks that are grouped for media/razor edits are also grouped for lane actions and edits
  + Lanes/Comping: when exiting fixed lane view, lanes that are not playing are hidden; hidden lanes are restored when re-entering fixed lane view
  + Lanes/Comping: create a comping lane by double-clicking or right-clicking the lane button, or clicking the comping button on a razor edit, or using arrange view mouse modifiers
  + Lanes/Comping: while comping, mouse-drag in source lanes to create comp areas; comped media is copied to the comping lane
  + Lanes/Comping: comp areas create editable copies of source media
  + Lanes/Comping: mouse modifiers for comp areas include behaviors to change comp area source lane, limit comp areas to media item edges, move media items along with comp areas, attach comp area edges to adjacent comp area edges, create time selection including pre-roll/post-roll for previewing
  + Lanes/Comping: while comping, edits to media item edges/fades/crossfades in comping lane will also affect comp areas (comp areas fades/crossfades can be individually edited this way)
  + Lanes/Comping: while comping, edits that cause comping-lane media to go out of sync with source-lane media will display a re-comp button on the comping lane media
  + Lanes/Comping: clicking re-comp button will copy edited media to a new source lane, to use as an alternative edit along with existing source media
  + Lanes/Comping: optionally support editing source media while comping (edits immediately affect the comping lane)
  + Lanes/Comping: add options to automatically create comp areas for new recording while comping
  + Lanes/Comping: ensure that new recording is in the same lane for all grouped tracks [p=2720419]
  + Lanes/Comping: when recording with time selection auto-punch into a new lane, optionally add the entire new recording, but comp only within the time selection [p=2676770]
  + License: display license valid-through version in About/Purchase window
  + Loopback: add audio loopback support (Preferences/Audio) for up to 256 channels
  + Loopback: when recording from loopback MIDI/audio channels, do not compensate audio device latency
  + macOS: improve menu item modifier descriptions for various menus
  + macOS: optionally display last user-run action in REAPER title bar
  + Media Items: allow mouse editing take markers by clicking anywhere within the text, as well as on the marker itself
  + Media Items: avoid snapping to a grid point that is in a different direction from the mouse move
  + Media Items: do not autoscroll when adjusting media item contents [p=2706019]
  + Media Items: improve interactions between auto-crossfade project setting and crossfade preferences when trimming content behind media item edits
  + Media Items: limit overlap and crossfade when splitting at time selection or razor edit [p=2699919]
  + Media Items: improve multiple selection behavior when editing crossfade or shared media item edges [t=282099]
  + Media Items: limit crossfade edits consistently when moving left or right [p=2661922]
  + Media Items: show tooltip when hovering over pooled MIDI button
  + Media Items: store fade-in/fade-out length with greater precision in project files
  + Media Items: support healing items even if one or both contains empty takes
  + Media Items: support healing splits even if items do not have the same active take lane
  + Media Items: when option enabled to offset overlapping media items vertically, arrange media items that start at the same time in the order they were created [t=279000]
  + Metadata: support multi-line render metadata (right-click value cell to open multi-line editor) [t=282304]
  + Metadata: support unsynchronized lyrics metadata via ID3 and VORBIS tags
  + Metadata: cancel metadata edit entry box when user scrolls metadata list
  + Metadata: attempt to parse XMP markers for terse display in media source properties dialog
  + Meters: add per-track option to display gain reduction from VST or JSFX plug-ins that report gain reduction to the host
  + Meters: add gain reduction metering preferences in Appearance/Track Control Panels
  + MIDI: support up to 128 MIDI buses per track
  + MIDI: add action to send explicit note-off messages for every channel/pitch combination to every MIDI output and plugin
  + MIDI: improve MIDI device preferences pane
  + MIDI: do not automatically re-color MIDI media items when doing pooled copy
  + MIDI Devices: support up to 128 input/output devices
  + MIDI Devices: add ability to create multiple native MIDI loopback devices (single audio block delay)
  + MIDI Devices: allow ignoring devices to prevent them from using up device ID space
  + MIDI Devices: add per-device option to not warn when unable to open device
  + MIDI Editor: add option for editor selection to follow track selection in arrange view
  + MIDI Editor: add option to set the channel for new events when selecting a single note or CC event (improves MPE editing support)
  + MIDI Editor: support vertical zoom/scroll in CC lanes
  + MIDI Editor: support pitchwheel lane semitone range, snap-to-semitone
  + MIDI Editor: improve support for renaming CC lanes
  + MIDI Editor: add option to prevent mouse edits of single CC events from moving past other CC events
  + MIDI Editor: add preference to display empty space at top/bottom of CC lanes
  + MIDI Editor: display time/value in CC lanes
  + MIDI Editor: improve options to allow/disallow CC curve shapes in sustain, bank, LSB lanes
  + MIDI Editor: fix deselecting CC events when clicking lane outside envelope, when preference enabled to draw/edit immediately on mouse click
  + MIDI Editor: if 'show only events that pass filter' disabled, allow setting any channel for new events [p=2720147]
  + MIDI Editor: remove snap-to-center for mouse edits in CC lanes (double-click a value to center it)
  + MIDI Editor: when switching active MIDI item, adjust vertical scroll if all notes would be offscreen
  + MIDI Editor: when using one editor per project or per track, reopen editor at the same screen location for all MIDI items that share the editor
  + MIDI Quantize: automatically quantize media content start position to PPQ when quantizing MIDI [t=279531]
  + MIDI Quantize: reset quantization for unselected notes when switching from 'all notes' to 'selected notes' in quantize dialog  
  + MIDI Quantize: when creating new items, always snap media item position to PPQ [t=271205]
  + MIDI Quantize: improve behavior of no-chase playback modes to handle media items with non-quantized starting positions [t=271205]
  + Mouse Modifiers: add multiple arrange view mouse modifier override sections, to define new behaviors when left-mouse-dragging in arrange view
  + Mouse Modifiers: set override A to marquee selection behaviors, override B to razor edit behaviors, override C to comping behaviors, override D to time selection behaviors by default (all are fully customizable though)
  + Mouse Modifiers: add actions, toolbar buttons to activate/momentarily activate/toggle/clear mouse modifier overrides
  + Mouse Modifiers: add menu action to export modifiers for the current context as a ReaScript [p=2699692]
  + Mouse Modifiers: support user-defined custom toolbar button tooltip for arrange view override contexts
  + Multiproject: if =REF markers specified in both projects, use as a manual synchronization point
  + Multiproject: use project time offsets to synchronize video and playback between project tabs
  + Pitch shift/timestretch: add multi-mono and multi-stereo options for applicable algorithms
  + Pitch shift/timestretch: support more than 48 channels with Elastique [t=181279]
  + Preferences: add new Envelope Colors preferences page, support custom envelope colors based on envelope name
  + Preferences: add new Project/Backups preferences page
  + Preferences: add new Item Fade Defaults, Item Loop Defaults preferences pages
  + Preferences: add new ARA preferences page
  + Preferences: add new Scrub/Jog preferences page
  + Preferences: add new Zoom/Scroll preferences page
  + Preferences: add button to Preferences/Project to open project settings dialog
  + Preferences: add preference for envelope lane height as a percentage of track height, when zooming vertically (default 50%)
  + Preferences: add preference for adjusting scrub/jog volume gain
  + Preferences: add preferences for default fixed lane track configuration (big/small lanes, etc)
  + Preferences: add preferences for crossfade behavior for various contexts (splitting, reording, etc)
  + Preferences: add preferences for track meter display defaults
  + Preferences: remember last selected mouse modifier context when closing/restarting REAPER
  + Project: changing autocrossfade or overlapping-recording options also sets default setting for new projects
  + Project: use HMSF if set as a secondary project time unit
  + Project: show play/record indicators for background tabs
  + Project: add actions to reorder project tabs, actions to switch to specific or previously-selected tabs
  + Raw PCM Media: add button to source properties to reload media after editing .rsrc sidecar file
  + Razor Edit: copy selected part of fade-in/fade-out if any part of the fade is included in the razor edit
  + Recording: display loop counter during recording
  + Recording: optionally apply autocrossfade when new recording overlaps existing items and adding takes [t=276274]
  + Recording: optionally apply autocrossfade when loop-punch recording and adding takes [t=275518]
  + Recording: fix aligning takes when recording pass starts in the middle of a looped section [p=2636585]
  + Recording: when loop recording, do not split recorded media even if a full loop pass was not recorded
  + Render: inform user when saved render format is not available
  + Render: fix persistence of preference to embed XMP markers [t=263105]
  + Render: respect preference to close render window when done, even when normalizing (but leave the window open when dry run rendering regardless of the preference)
  + Render: support forcing mono/stereo/multichannel render for master mix via region render matrix
  + Render: support rendering raw PCM (.sd2), including sidecar definition file
  + Render: support marker/region wildcards consisting of separated name=value pairs using $marker(name)[separator] and $region(name)[separator] (see wildcard help)
  + RX2: fix memory leak when exploding items
  + Samplerate Conversion: update r8brain-free to v6.3
  + Super8: support 1-48 channels (default 8)
  + Takes: add actions to mark previous recording pass for deletion, delete takes that are marked for deletion
  + Takes: avoid potential crash when editing take markers and media item source file is not available
  + Tempo/Time Signature: inserting time at start of project uses initial tempo marker rather than project tempo setting [t=280453]
  + Tempo/Time Signature: if project timebase for tempo/time signature envelope is set to beats, action to insert time will preserve existing tempo/time signature changes [t=279580]
  + Toolbars: support optional animation or blinking for toolbar buttons
  + Toolbars: animate ripple-edit, mouse modifier override toolbar buttons by default 
  + Toolbars: support up to 32 main toolbars, 16 MIDI toolbars
  + Track Folders: add preference to hide tracks in a folder when the folder is fully collapsed
  + Track Folders: add option for track folder collapse button to cycle child track heights between various combinations of normal-sized, small, collapsed, and hidden
  + Track Folders: add action to show/hide children of selected folder tracks
  + Track Folders: consistently refer to collapsed folders as 'collapsed' rather than 'compacted'
  + Track Folders: add actions, menu items to move tracks to new or existing folder track
  + Track Folders: gray out folder tracks in track context menu if all selected tracks are already within that folder
  + Track Folders: when inserting tracks after a folder whose children are all hidden, insert after children
  + Track Spacers: add support for customizable spacers between tracks
  + Track Spacers: display track spacers in mixer when mixer tracks are displayed in the same order as TCP
  + Track Spacers: when multiple contiguous tracks are selected, spacers will be added at the start and end of the set
  + Track Spacers: support moving/copying track spacers with mouse, dragging tracks to before/after/within spacers
  + Transport: add support for Measures.Beats as secondary time unit [t=283214]
  + Transport: when parsing user-input time, always treat 8-digit numbers as hhmmssff
  + Video: add option to disable video per-media-item
  + Video: optionally display video from background projects if current project lacks video [t=273317]
  + Video: support project setting for YUV preview/conversion gamut: BT.601 (previous versions), BT.709, BT.2020
  + Video: add preference to use standard (accessible) OS editing controls for video code
  + WALTER: themes can create custom controls by using 'custom tcp.custom.xyz [label] [action ID] [accessibility description] [button_image_name]' in layouts
  + WALTER: custom controls can be text fields or buttons, may support .font, .color, .margin
  + WALTER: add various scalars/elements/images
  + WALTER: add warnings, enable via 'warnings all' or 'warnings pedantic' line (only supported when loading a non-zipped theme)
  + Web Control Surface: reduce web server latency
  + Windows: do not try to style-match tab-child windows [t=283126]
  + Windows: update manifest to declare UAC configuration and compatibility for new Windows 8+ features (improves support for some plug-ins)
  + Zoom/Scroll: consistently support small control device moves, such as from a trackpad or trackball
  + Zoom/Scroll: map shift+alt+mousewheel to 'scroll vertically one page' by default
  + Zoom/Scroll: rename actions to scroll horizontally/vertically to match behavior (scrolling forward vs reversed)
  + Zoom/Scroll: do not change envelope height when resizing tracks via mouse drag
  + Zoom/Scroll: support vertical scroll step as percentage of track height or percentage of arrange view height
  + Zoom/Scroll: add actions to toggle track zoom height to default; cycle track zoom height between minimum, default, and maximum
  + Zoom/Scroll: add actions to toggle or cycle track zoom to maximum, even if maximum is not 100% of arrange view height
  + Zoom/Scroll: if maximum vertical zoom preference is 100% or less, keep the focused track entirely onscreen while zooming
  + Zoom/Scroll: if track height is greater than screen height, mousewheel scroll on TCP scrolls by screen height
  + Zoom/Scroll: allow mouse-centered vertical zoom to target the interior of a track


For full log see: http://www.reaper.fm/whatsnew.txt

v6.0-v6.83  - December 2019 - October 2023
v5.0-v5.99  - August 2015 - November 2019
v4.0-v4.78  - August 2011 - December 2014
v3.0-v3.78  - May 2009 - August 2011
v2.0-v2.58  - October 2007 - March 2009
v1.0-v1.888 - August 2006 - August 2007
v0.2-v0.999 - December 2005 - July 2006
uly 2006
